<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
$cod_apertura		= $_REQUEST['cod_apertura'];
$cod_apert_ciclo	= $_REQUEST['cod_apert_ciclo'];
?>
<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
    <title>Sistema Educativo AppAOE</title>
    <link rel="stylesheet" type="text/css" href="css/normalize.css">
    <link rel="stylesheet" type="text/css" href="css/estilosweb.css">
    <!-- Iconos Fontello -->
    <link rel="stylesheet" type="text/css" href="css/animation.css">
    <link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
    <link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
    <link rel="stylesheet" type="text/css" href="css/iconos.css">
    <!-- Google Fonts -->
    <link
        href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel"
        rel="stylesheet">
    <!-- jQuery -->
    <script src="js/jquery-2.2.3.min.js"></script>
    <!-- jQueryDataTable -->
    <link rel="stylesheet" type="text/css" href="css/datatables.min.css">
    <script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.6/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.6/js/buttons.flash.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.6/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.6/js/buttons.print.min.js"></script>
    <!-- jQueryDataTable Checkboxes -->
    <link rel="stylesheet" type="text/css" href="css/dataTables.checkboxes.css">
    <script src="js/dataTables.checkboxes.min.js"></script>
    <!-- jQuery Alertify -->
    <link rel="stylesheet" type="text/css" href="css/alertify.core.css">
    <link rel="stylesheet" type="text/css" href="css/alertify.default.css">
    <script src="js/alertify.js"></script>
    <!-- Fancybox -->
    <script type="text/javascript" src="source/jquery.fancybox.pack.js?v=2.1.5"></script>
    <link rel="stylesheet" type="text/css" href="source/jquery.fancybox.css?v=2.1.5" media="screen" />
    <!-- Acordion -->
    <script src="js/acordion.js"></script>
    <!-- jQuery Select2 -->
    <link rel="stylesheet" type="text/css" href="css/select2.css">
    <script src="js/select2.js"></script>
    <script>
    $(function() {
        //Inicializar Alertify como Prom
        function reset() {
            $("#toggleCSS").attr("href", "css/alertify.default.css");
            alertify.set({
                labels: {
                    ok: "SI",
                    cancel: "NO"
                },
                delay: 5000,
                buttonReverse: false,
                buttonFocus: true
            });
        }
        /**************************************************/
        /*********************  Datatables   **************/
        /**************************************************/
        $('#tablas').DataTable({
            'order': [
                [1, 'asc']
            ],
            'lengthMenu': [
                [50, 100, -1],
                [50, 100, "All"]
            ],
            'dom': 'Bfrtip',
            'buttons': [
                'excel', 'pdf', 'print'
            ]
        });
        /**************************************************/
        /*********************  Fancybox    ***************/
        /**************************************************/
        $('.fancybox').fancybox({
            padding: 0
        })
        //Inicializar Select2
        $("#cod_apertura").select2({
            placeholder: "Seleccionar Carrera"
        });
        $("#cod_apert_ciclo").select2({
            placeholder: "Ciclo o Módulo de Carrera"
        });
        $("#cod_curricula").select2({
            placeholder: "Seleccionar Curso o Asignatura"
        });
        /**************************************************/
        /*********************  Validar     ***************/
        /**************************************************/
        $("#benviar").click(function() {
            if ($("#cod_apertura").val() == 0) {
                alertify.error("Seleccionar La Carrera");
                $("#cod_apertura").focus();
                return false;
            }
            if ($("#cod_apert_ciclo").val() == 0) {
                alertify.error("Seleccionar El Ciclo");
                $("#cod_apert_ciclo").focus();
                return false;
            }
            if ($("#cod_curricula").val() == 0) {
                alertify.error("Seleccionar El Curso");
                $("#cod_curricula").focus();
                return false;
            }
            realizarBusqueda();
        })
        //Cargar datos al volver del registro
        <?php
	if($cod_apertura!='' and $cod_apert_ciclo!=''){
		echo "realizarBusqueda()";
	}
	?>
        /**************************************************/
        /*********************  Busquedas   ***************/
        /**************************************************/
        $("#cod_apertura").change(function() {
            var datosEnviados = {
                'cod_apertura': $(this).val(),
                'proceso': 'BuscarCarrera'
            };
            $.ajax({
                type: 'POST',
                url: 'consultas.php',
                data: datosEnviados,
                dataType: 'json',
                success: function(data) {
                    $("#cod_apert_ciclo").html(data.resultado);
                }
            })
        });
        /* $("#cod_apert_ciclo").change(function(){
		var datosEnviados	= {
			'cod_apert_ciclo'	: $(this).val(),
            'cod_apertura'	    : $("#cod_apertura").val(),
			'proceso'		    : 'BuscarCursos'
		};
		$.ajax({
			type			: 'POST',
			url				: 'consultas.php',
			data			: datosEnviados,
			dataType		: 'json',
			success			: function(data){
				$("#cod_curricula").html(data.resultado);
			}
		})
	}); */

    }) //Fin document ready

    /**************************************************/
    /***************  Realizar Busqueda  **************/
    /**************************************************/
    function realizarBusqueda() {
        var datosEnviados = {
            'cod_apertura': $('#cod_apertura').val(),
            'cod_apert_ciclo': $('#cod_apert_ciclo').val(),
            'proceso': 'BuscarAlumnosCer'
        };
        //alert(datosEnviados.cod_apertura+' - '+datosEnviados.cod_apert_ciclo+' - '+datosEnviados.cod_curricula+' - '+datosEnviados.proceso);
        $.ajax({
            type: 'POST',
            url: 'consultas.php',
            data: datosEnviados,
            dataType: 'json',
            success: function(data) {
                $("#cuerpotabla").html(data.resultado);
            }
        });
    }
    </script>
</head>

<body>
    <!-- **************************************************************** -->
    <!-- ************************  MENU DEL GESTOR  ********************* -->
    <!-- **************************************************************** -->
    <?php include("modulos/menucms.php"); ?>
    <!-- **************************************************************** -->
    <!-- ************************  SECCION DEL GESTOR  ****************** -->
    <!-- **************************************************************** -->
    <section id="contenedor">
        <!-- ********************  CABECERA GESTOR     ****************** -->
        <?php include("modulos/cabecera.php"); ?>
        <!-- ********************   CUERPO GESTOR      ****************** -->
        <section id="cuerpo">
            <section id="centro-top">
                <h1>Boleta de Notas y Certificados de Estudios</h1>
                <div>
                    <a href="inicio.php"><i class="icon-reply"></i> Volver Inicio</a>
                </div>
            </section>
            <!-- ******************************************************** -->
            <!-- ******************************************************** -->
            <!-- ******************************************************** -->
            <section id="titulo-modulos">
                <h2>Buscar por Carrera Profesional, Ciclo Academico y Docente</h2>
            </section>
            <!-- ******************************************************** -->
            <!-- ******************************************************** -->
            <!-- ******************************************************** -->
            <section id="marco-modulo">
                <form action="" name="fcms" id="fcms" method="post">
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" class="tablas">
                        <tbody>
                            <tr>
                                <td class="aliderecha">Carrera :</td>
                                <td>
                                    <select name="cod_apertura" id="cod_apertura" class="campos">
                                        <option value="0"> Seleccionar Carrera </option>
                                        <?php
							$sqlAperCar	= mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE estado='A'");
							while($fAper			= mysqli_fetch_array($sqlAperCar)){
								$xcod_apertura		= $fAper['cod_apertura'];
								$xtitulo_apertura	= $fAper['titulo_apertura'];
								echo "<option value='$xcod_apertura'>$xtitulo_apertura</option>";
							}
							?>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td class="aliderecha">Ciclo ó Módulo :</td>
                                <td>
                                    <select name="cod_apert_ciclo" id="cod_apert_ciclo" class="campos">
                                        <option value="0"> Ciclo o Módulo de Carrera </option>
                                    </select>
                                </td>
                            </tr>
                            <!-- <tr>
					  <td class="aliderecha"> Curso o Asignatura :</td>
					  <td>
					  	<select name="cod_curricula" id="cod_curricula" class="campos">
							<option value="0"> Seleccionar Curso o Asignatura </option>
						</select>	  
					  </td>
					</tr> -->
                            <tr>
                                <td>&nbsp;</td>
                                <td>
                                    <input type="button" value="BUSCAR" class="botones" id="benviar">
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <!-- *********************************************************** -->
                    <!-- ******************  TABLA DE RESULTADOS  ****************** -->
                    <!-- *********************************************************** -->
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" id="tablas" class="display">
                        <thead>
                            <tr>
                                <th width="5%" scope="col">Nº</th>
                                <th width="28%" scope="col">Nombre Alumno</th>
                                <th width="28%" scope="col">Num. Documento</th>
                                <th width="28%" scope="col">Fecha Nacim.</th>
                                <th width="28%" scope="col">Sexo</th>
                                <th width="28%" scope="col">Telefono</th>
                                <th width="5%" scope="col">Boleta</th>
                                <th width="6%" scope="col">Certificados</th>
                            </tr>
                        </thead>
                        <!-- *********** Resultado de Busqueda -->
                        <tbody id="cuerpotabla">

                        </tbody>
                    </table>
                </form>
            </section>
        </section>
        <!-- ********************  PIE PAGINA GESTOR   ****************** -->
        <?php include("modulos/piepag.php"); ?>
    </section>
    <!--************************** Rutinas CMS ***************************-->
    <script src="js/cms-rutuas.js"></script>
</body>

</html>