<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
/***********************************************************/
/***********************************************************/
$cod_cargahoraria   = $_REQUEST['cod_cargahoraria'];
$cod_matricula      = $_REQUEST['cod_matricula'];
$cod_alumno         = $_REQUEST['cod_alumno'];
$cod_apertura       = $_REQUEST['cod_apertura'];
$cod_apert_ciclo    = $_REQUEST['cod_apert_ciclo'];
$cod_curricula      = $_REQUEST['cod_curricula'];
$cod_docente        = $_REQUEST['cod_docente'];
/***********************************************************/
/***********************************************************/
$sqlAlumno		    = mysqli_query($conexion, "SELECT apellido_paterno, apellido_materno, nombres, num_documento FROM alumnos WHERE cod_alumno='$cod_alumno'");
$filaAlu			= mysqli_fetch_array($sqlAlumno);
$num_documento	    = $filaAlu['num_documento'];
$imagen	            = $filaAlu['imagen'];
$nombre_alumno	    = utf8_encode($filaAlu['apellido_paterno'] . ' ' . $filaAlu['apellido_materno'] . ' ' . $filaAlu['nombres']);
/***********************************************************/
/***********************************************************/
$sqlCarrera			= mysqli_query($conexion, "SELECT titulo_apertura FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
$filaCar		    = mysqli_fetch_array($sqlCarrera);
$titulo_apertura	= utf8_encode($filaCar['titulo_apertura']);
/***********************************************************/
/***********************************************************/
$sqlCiclo			= mysqli_query($conexion, "SELECT titulo_ciclo FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
$filaCic			= mysqli_fetch_array($sqlCiclo);
$titulo_ciclo		= utf8_encode($filaCic['titulo_ciclo']);

/***********************************************************/
/***********************************************************/
require('tcpdf.php');
$tcpdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set default monospaced font
$tcpdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set title of pdf
$tcpdf->SetTitle('ISTP PUBLICO');

// set margins
$tcpdf->SetMargins(5, 5, 5, 5);
$tcpdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$tcpdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set header and footer in pdf
$tcpdf->setPrintHeader(false);
$tcpdf->setPrintFooter(false);
$tcpdf->setListIndentWidth(3);

// set auto page breaks
$tcpdf->SetAutoPageBreak(TRUE, 11);

// set image scale factor
$tcpdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

$tcpdf->AddPage();

$tcpdf->SetFont('helvetica', '', 8.5, '', true);

$html .= '
<style>
    *{
        box-sizing: border-box;
    }
    h1 {
        font-size: 16pt;
        font-weight: bold;
    }
    h2 {
        font-size: 13pt;
        font-weight: bold;
    }
    h3 {
        font-size: 9pt;
        font-weight: bold;
	}
    .borde{
        border: 1px solid #000;
    }
    .centrado{
        text-align: center;
    }
    .derecho{
        text-align: right;
    }
    .izquierda{
        text-align: left;
    }
    td{
        padding: 5px;
    }
    .negrita{
        font-weight: bold;
    }
    .fondo{
        background-color: #D0D0D0;
    }
    .medio{
        display: table-cell;
        vertical-align: middle;
    }
</style>
<table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr>
    <td width="20%">&nbsp;</td>
    <td width="60%" class="centrado borde"><h1>ANEXO 3F</h1></td>
    <td width="20%">&nbsp;</td>
    </tr>
    <tr>
    <td><span class="centrado"><img src="imagenes/logo.png" width="227" height="81" alt=""/></span></td>
    <td><span class="centrado"><img src="imagenes/logo-minedu.jpg" width="246" height="59" alt="Ministerio de Educación"/></span></td>
    <td><span class="centrado"><img src="../img-apps/alumnos/' . $imagen . '" width="77" height="91" alt=""/></span></td>
    </tr>
    <tr>
    <td>&nbsp;</td>
    <td class="centrado"><h3>CERTIFICADO DE ESTUDIOS DE EDUCACIÓN SUPERIOR TECNOLÓGICA</h3></td>
    <td>&nbsp;</td>
    </tr>
</table>
<!-- ******************************************************** -->
<table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr>
    <td>&nbsp;</td>
    </tr>
    <tr>
    <td>El <strong>Instituto de Educación Superior Tecnológico</strong>, el que suscribe.</td>
    </tr>
    <tr>
    <td class="centrado"><h1>CERTIFICA</h1></td>
    </tr>
    <tr>
    <td><p>Que: <strong>' . $nombre_alumno . '</strong>, ha cursado las Unidades Didácticas /  asignaturas o cursos que se indican en la Carrera: <strong>' . strtoupper($titulo_apertura) . '</strong>.</p></td>
    </tr>
    <tr>
    <td>&nbsp;</td>
    </tr>
</table>
<!-- ******************************************************** -->
<table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr>
        <td width="50%" rowspan="2" class="borde centrado">Unidades Didácticas/cursos o asignaturas</td>
        <td width="10%" rowspan="2" class="borde centrado">Número de créditos</td>
        <td width="20%" colspan="2" class="borde centrado">Nota</td>
        <td width="20%" colspan="2" class="borde centrado">Periodo</td>
    </tr>
    <tr>
        <td width="10%" class="borde centrado">En número</td>
        <td width="10%" class="borde centrado">En Letras</td>
        <td width="10%" class="borde centrado">Lectivo</td>
        <td width="10%" class="borde centrado">Académico</td>
    </tr>';
$sqlListado          = mysqli_query($conexion, "SELECT * FROM carga_horaria as c, registro_alumnos as r WHERE c.cod_apertura='$cod_apertura' AND c.cod_apert_ciclo='$cod_apert_ciclo' AND c.cod_cargahoraria=r.cod_cargahoraria AND r.cod_alumno='$cod_alumno' AND r.cod_matricula='$cod_matricula'");
while ($fila				  = mysqli_fetch_array($sqlListado)) {
	$cod_cargahoraria	= $fila['cod_cargahoraria'];
	$cod_apertura		  = $fila['cod_apertura'];
	$cod_apert_ciclo	= $fila['cod_apert_ciclo'];
	$cod_curricula		= $fila['cod_curricula'];
	$cod_docente		  = $fila['cod_docente'];
	$cod_notas        = $fila['cod_notas'];
	$numReg++;
	/***************************************************/
	/************   Leer Datos del Curso  **************/
	/***************************************************/
	$sqlCursos			= mysqli_query($conexion, "SELECT * FROM plan_curricular WHERE cod_curricula='$cod_curricula'");
	$fCurso				= mysqli_fetch_array($sqlCursos);
	$nombre_curso		= $fCurso['nombre_curso'];
	$num_creditos		= $fCurso['num_creditos'];
	$total_creditos    += $num_creditos;
	/***************************************************/
	/************   Leer Notas del Curso  **************/
	/***************************************************/
	$numnot           = 0;
	$totalNotas       = 0;
	$notaFinal        = 0;
	$sqlNotas         = mysqli_query($conexion, "SELECT nota FROM lista_notas WHERE cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' AND cod_curricula='$cod_curricula' AND cod_docente='$cod_docente' AND cod_notas='$cod_notas'");
	while ($fNotas    = mysqli_fetch_array($sqlNotas)) {
		$totalNotas     = ($totalNotas + $fNotas['nota']);
		$numnot++;
	}
	$notaFinal        = round(($totalNotas / $numnot));
	$notaFinalLetras  = convertir($notaFinal);
	$html .= '
    <tr>
        <td class="borde">' . $nombre_curso . '</td>
        <td class="borde">' . $total_creditos . '</td>
        <td class="borde">' . $notaFinal . '</td>
        <td class="borde">' . $notaFinalLetras . '</td>
        <td class="borde">&nbsp;</td>
        <td class="borde">&nbsp;</td>
    </tr>';
}
$html .= '   
</table>
<!-- ******************************************************** -->
<table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td class="derecho">Lugar y fecha, Cajamarca 07 de Febrero 2020</td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
</table>  

<table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr>
    <td width="45%" class="borde centrado">&nbsp;</td>
    <td width="10%">&nbsp;</td>
    <td width="45%" class="borde centrado">&nbsp;</td>
    </tr>
    <tr>
    <td class="borde centrado">Director General<br>
        Sello, firma, post firma
    </td>
    <td>&nbsp;</td>
    <td class="borde centrado">Secretario Académico<br>
        Sello, firma, post firma
    </td>
    </tr>
</table>';

$tcpdf->writeHTML($html, true, false, false, false, '');

//Close and output PDF document
$tcpdf->Output('BolNotas-' . $cod_matricula . '.pdf', 'I');
$tcpdf->Output(__DIR__ . '/filespdf/Certificado-' . $cod_matricula . '.pdf', 'F');
/********************************************************/
function unidad($numuero)
{
	switch ($numuero) {
		case 9: {
				$numu = "NUEVE";
				break;
			}
		case 8: {
				$numu = "OCHO";
				break;
			}
		case 7: {
				$numu = "SIETE";
				break;
			}
		case 6: {
				$numu = "SEIS";
				break;
			}
		case 5: {
				$numu = "CINCO";
				break;
			}
		case 4: {
				$numu = "CUATRO";
				break;
			}
		case 3: {
				$numu = "TRES";
				break;
			}
		case 2: {
				$numu = "DOS";
				break;
			}
		case 1: {
				$numu = "UN";
				break;
			}
		case 0: {
				$numu = "";
				break;
			}
	}
	return $numu;
}
/*************************************************/
/*************************************************/
/*************************************************/
function decena($numdero)
{
	if ($numdero >= 90 && $numdero <= 99) {
		$numd = "NOVENTA ";
		if ($numdero > 90)
			$numd = $numd . "Y " . (unidad($numdero - 90));
	} else if ($numdero >= 80 && $numdero <= 89) {
		$numd = "OCHENTA ";
		if ($numdero > 80)
			$numd = $numd . "Y " . (unidad($numdero - 80));
	} else if ($numdero >= 70 && $numdero <= 79) {
		$numd = "SETENTA ";
		if ($numdero > 70)
			$numd = $numd . "Y " . (unidad($numdero - 70));
	} else if ($numdero >= 60 && $numdero <= 69) {
		$numd = "SESENTA ";
		if ($numdero > 60)
			$numd = $numd . "Y " . (unidad($numdero - 60));
	} else if ($numdero >= 50 && $numdero <= 59) {
		$numd = "CINCUENTA ";
		if ($numdero > 50)
			$numd = $numd . "Y " . (unidad($numdero - 50));
	} else if ($numdero >= 40 && $numdero <= 49) {
		$numd = "CUARENTA ";
		if ($numdero > 40)
			$numd = $numd . "Y " . (unidad($numdero - 40));
	} else if ($numdero >= 30 && $numdero <= 39) {
		$numd = "TREINTA ";
		if ($numdero > 30)
			$numd = $numd . "Y " . (unidad($numdero - 30));
	} else if ($numdero >= 20 && $numdero <= 29) {
		if ($numdero == 20)
			$numd = "VEINTE ";
		else
			$numd = "VEINTI" . (unidad($numdero - 20));
	} else if ($numdero >= 10 && $numdero <= 19) {
		switch ($numdero) {
			case 10: {
					$numd = "DIEZ ";
					break;
				}
			case 11: {
					$numd = "ONCE ";
					break;
				}
			case 12: {
					$numd = "DOCE ";
					break;
				}
			case 13: {
					$numd = "TRECE ";
					break;
				}
			case 14: {
					$numd = "CATORCE ";
					break;
				}
			case 15: {
					$numd = "QUINCE ";
					break;
				}
			case 16: {
					$numd = "DIECISEIS ";
					break;
				}
			case 17: {
					$numd = "DIECISIETE ";
					break;
				}
			case 18: {
					$numd = "DIECIOCHO ";
					break;
				}
			case 19: {
					$numd = "DIECINUEVE ";
					break;
				}
		}
	} else
		$numd = unidad($numdero);
	return $numd;
}
/*************************************************/
/*************************************************/
/*************************************************/
function centena($numc)
{
	if ($numc >= 100) {
		if ($numc >= 900 && $numc <= 999) {
			$numce = "NOVECIENTOS ";
			if ($numc > 900)
				$numce = $numce . (decena($numc - 900));
		} else if ($numc >= 800 && $numc <= 899) {
			$numce = "OCHOCIENTOS ";
			if ($numc > 800)
				$numce = $numce . (decena($numc - 800));
		} else if ($numc >= 700 && $numc <= 799) {
			$numce = "SETECIENTOS ";
			if ($numc > 700)
				$numce = $numce . (decena($numc - 700));
		} else if ($numc >= 600 && $numc <= 699) {
			$numce = "SEISCIENTOS ";
			if ($numc > 600)
				$numce = $numce . (decena($numc - 600));
		} else if ($numc >= 500 && $numc <= 599) {
			$numce = "QUINIENTOS ";
			if ($numc > 500)
				$numce = $numce . (decena($numc - 500));
		} else if ($numc >= 400 && $numc <= 499) {
			$numce = "CUATROCIENTOS ";
			if ($numc > 400)
				$numce = $numce . (decena($numc - 400));
		} else if ($numc >= 300 && $numc <= 399) {
			$numce = "TRESCIENTOS ";
			if ($numc > 300)
				$numce = $numce . (decena($numc - 300));
		} else if ($numc >= 200 && $numc <= 299) {
			$numce = "DOSCIENTOS ";
			if ($numc > 200)
				$numce = $numce . (decena($numc - 200));
		} else if ($numc >= 100 && $numc <= 199) {
			if ($numc == 100)
				$numce = "CIEN ";
			else
				$numce = "CIENTO " . (decena($numc - 100));
		}
	} else
		$numce = decena($numc);
	return $numce;
}
/*************************************************/
/*************************************************/
/*************************************************/
function miles($nummero)
{
	if ($nummero >= 1000 && $nummero < 2000) {
		$numm = "MIL " . (centena($nummero % 1000));
	}
	if ($nummero >= 2000 && $nummero < 10000) {
		$numm = unidad(Floor($nummero / 1000)) . " MIL " . (centena($nummero % 1000));
	}
	if ($nummero < 1000)
		$numm = centena($nummero);
	return $numm;
}
/*************************************************/
/*************************************************/
/*************************************************/
function decmiles($numdmero)
{
	if ($numdmero == 10000)
		$numde = "DIEZ MIL";
	if ($numdmero > 10000 && $numdmero < 20000) {
		$numde = decena(Floor($numdmero / 1000)) . "MIL " . (centena($numdmero % 1000));
	}
	if ($numdmero >= 20000 && $numdmero < 100000) {
		$numde = decena(Floor($numdmero / 1000)) . " MIL " . (miles($numdmero % 1000));
	}
	if ($numdmero < 10000)
		$numde = miles($numdmero);
	return $numde;
}
/*************************************************/
/*************************************************/
/*************************************************/
function cienmiles($numcmero)
{
	if ($numcmero == 100000)
		$num_letracm = "CIEN MIL";
	if ($numcmero >= 100000 && $numcmero < 1000000) {
		$num_letracm = centena(Floor($numcmero / 1000)) . " MIL " . (centena($numcmero % 1000));
	}
	if ($numcmero < 100000)
		$num_letracm = decmiles($numcmero);
	return $num_letracm;
}
/*************************************************/
/*************************************************/
/*************************************************/
function millon($nummiero)
{
	if ($nummiero >= 1000000 && $nummiero < 2000000) {
		$num_letramm = "UN MILLON " . (cienmiles($nummiero % 1000000));
	}
	if ($nummiero >= 2000000 && $nummiero < 10000000) {
		$num_letramm = unidad(Floor($nummiero / 1000000)) . " MILLONES " . (cienmiles($nummiero % 1000000));
	}
	if ($nummiero < 1000000)
		$num_letramm = cienmiles($nummiero);
	return $num_letramm;
}
/*************************************************/
/*************************************************/
/*************************************************/
function decmillon($numerodm)
{
	if ($numerodm == 10000000)
		$num_letradmm = "DIEZ MILLONES";
	if ($numerodm > 10000000 && $numerodm < 20000000) {
		$num_letradmm = decena(Floor($numerodm / 1000000)) . "MILLONES " . (cienmiles($numerodm % 1000000));
	}
	if ($numerodm >= 20000000 && $numerodm < 100000000) {
		$num_letradmm = decena(Floor($numerodm / 1000000)) . " MILLONES " . (millon($numerodm % 1000000));
	}
	if ($numerodm < 10000000)
		$num_letradmm = millon($numerodm);
	return $num_letradmm;
}
/*************************************************/
/*************************************************/
/*************************************************/
function cienmillon($numcmeros)
{
	if ($numcmeros == 100000000)
		$num_letracms = "CIEN MILLONES";
	if ($numcmeros >= 100000000 && $numcmeros < 1000000000) {
		$num_letracms = centena(Floor($numcmeros / 1000000)) . " MILLONES " . (millon($numcmeros % 1000000));
	}
	if ($numcmeros < 100000000)
		$num_letracms = decmillon($numcmeros);
	return $num_letracms;
}
/*************************************************/
/*************************************************/
/*************************************************/
function milmillon($nummierod)
{
	if ($nummierod >= 1000000000 && $nummierod < 2000000000) {
		$num_letrammd = "MIL " . (cienmillon($nummierod % 1000000000));
	}
	if ($nummierod >= 2000000000 && $nummierod < 10000000000) {
		$num_letrammd = unidad(Floor($nummierod / 1000000000)) . " MIL " . (cienmillon($nummierod % 1000000000));
	}
	if ($nummierod < 1000000000)
		$num_letrammd = cienmillon($nummierod);
	return $num_letrammd;
}
/*************************************************/
/*************************************************/
/*************************************************/
function convertir($numero)
{
	$numf = milmillon($numero);
	return $numf;
}
