<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
$proceso	 = $_POST['proceso'];
/*******************************************************/
/******************	 BUSCAS ALUMNOS ********************/
/*******************************************************/
if ($proceso == "BuscarAlumnos") {
	$cod_alumno		= $_POST['cod_alumno'];
	$sqlConsulta	= mysqli_query($conexion, "SELECT apellido_paterno, apellido_materno, nombres, num_documento, direccion, email, telefono, movil FROM alumnos WHERE cod_alumno='$cod_alumno'");
	$fila				= mysqli_fetch_array($sqlConsulta);
	$apellido_paterno	= $fila['apellido_paterno'];
	$apellido_materno	= $fila['apellido_materno'];
	$nombres			= $fila['nombres'];
	$num_documento		= $fila['num_documento'];
	$direccion			= $fila['direccion'];
	$email				= $fila['email'];
	$telefono			= $fila['telefono'];
	$movil				= $fila['movil'];
	//Crear array para devolver en formato json
	$salidaJson			= array(
		"apellido_paterno"	=> $apellido_paterno,
		"apellido_materno"	=> $apellido_materno,
		"nombres"			=> $nombres,
		"num_documento"		=> $num_documento,
		"direccion"			=> $direccion,
		"email"				=> $email,
		"telefono"			=> $telefono,
		"movil"				=> $movil
	);
	echo json_encode($salidaJson);
}
/*******************************************************/
/******************	 BUSCAR APERTURAS ******************/
/*******************************************************/
if ($proceso == "BuscarAperturas") {
	$cod_apertura	= $_POST['cod_apertura'];
	$sqlConsulta	= mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
	$fila				= mysqli_fetch_array($sqlConsulta);
	$cod_carrera		= $fila['cod_carrera'];
	if ($fila['turno'] == 'M') {
		$turno	= "Mañana";
	}
	if ($fila['turno'] == 'T') {
		$turno = "Tarde";
	}
	if ($fila['turno'] == 'N') {
		$turno	= "Noche";
	}
	$horario			= $fila['horario'];
	/*****************************************************************/
	$sqlCarrera			= mysqli_query($conexion, "SELECT * FROM carreras WHERE cod_carrera='$cod_carrera'");
	$fCar				= mysqli_fetch_array($sqlCarrera);
	$duracion			= $fCar['duracion'];
	$costo_matricula	= $fCar['costo_matricula'];
	/*****************************************************************/
	$sqlCiclos			= mysqli_query($conexion, "SELECT * FROM apertura_ciclos WHERE cod_apertura='$cod_apertura' AND estado='A'");
	$numCic				= mysqli_num_rows($sqlCiclos);
	if ($numCic > 0) {
		$resultado		.= "<option value='0'>Ciclo o Módulo</option>";
		while ($fciclo	= mysqli_fetch_array($sqlCiclos)) {
			$xcod_apert_ciclo	= $fciclo['cod_apert_ciclo'];
			$xtitulo_ciclo		= $fciclo['titulo_ciclo'];
			$resultado		   .= "<option value='$xcod_apert_ciclo'>$xtitulo_ciclo</option>";
		}
	} else {
		$resultado		   		= "<option>No existe ciclos aperturados</option>";
	}
	//Crear array para devolver en formato json
	$salidaJson			= array(
		"duracion"			=> $duracion,
		"turno"				=> $turno,
		"horario"			=> $horario,
		"costo_matricula" 	=> $costo_matricula,
		"resultado"			=> $resultado
	);
	echo json_encode($salidaJson);
}
/*******************************************************/
/******************	  BUSCAR CURSOS   ******************/
/*******************************************************/
if ($proceso == "BuscarCursos") {
	$cod_apert_ciclo	= $_POST['cod_apert_ciclo'];
	$sqlAperturas		= mysqli_query($conexion, "SELECT cod_apertura, cod_ciclo FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
	$filaAper			= mysqli_fetch_array($sqlAperturas);
	$cod_apertura		= $filaAper['cod_apertura'];
	$cod_ciclo			= $filaAper['cod_ciclo'];
	/******* Buscar Cursos Par Ciclos *********/
	$sqlCrusos			= mysqli_query($conexion, "SELECT cod_curricula, nombre_curso FROM plan_curricular WHERE cod_ciclo='$cod_ciclo' AND estado='A'");
	$numCursos			= mysqli_num_rows($sqlCrusos);
	if ($numCursos > 0) {
		$resultado	   .= "<option value='0'>Seleccionar Curso o Asignatura</option>";
		while ($fcursos	= mysqli_fetch_array($sqlCrusos)) {
			$cod_curricula	= $fcursos['cod_curricula'];
			$nombre_curso	= $fcursos['nombre_curso'];
			$resultado	   .= "<option value='$cod_curricula'>$nombre_curso</option>";
		}
	} else {
		$resultado	   	= "<option>No Hay Cursos Asignados</option>";
	}
	$salidaJson			= array("resultado"	=> $resultado);
	echo json_encode($salidaJson);
}
/*******************************************************/
/******************	  BUSCAR DOCENTES  *****************/
/*******************************************************/
if ($proceso == "BuscarDocentes") {
	$cod_curricula	= $_POST['cod_curricula'];
	$sqlDocentes	= mysqli_query($conexion, "SELECT cod_docente, nombres, apellidos FROM docentes WHERE estado='A'");
	$numDoc 		= mysqli_num_rows($sqlDocentes);
	if ($numDoc > 0) {
		$resultado	   	   .= "<option value='0'>Seleccionar Docente para Curso</option>";
		while ($fdocen		= mysqli_fetch_array($sqlDocentes)) {
			$cod_docente	= $fdocen['cod_docente'];
			$nom_docente	= $fdocen['nombres'] . ' ' . $fdocen['apellidos'];
			$resultado	   .= "<option value='$cod_docente'>$nom_docente</option>";
		}
	} else {
		$resultado	   		= "<option>No Existe Docentes Registrados</option>";
	}
	$salidaJson				= array("resultado"	=> $resultado);
	echo json_encode($salidaJson);
}
/*******************************************************/
/******************	  BUSCAR CARRERAS  *****************/
/*******************************************************/
if ($proceso == "BuscarCarrera") {
	$cod_apertura		= $_POST['cod_apertura'];
	$sqlCiclos			= mysqli_query($conexion, "SELECT * FROM apertura_ciclos WHERE cod_apertura='$cod_apertura' AND estado='A'");
	$numCic				= mysqli_num_rows($sqlCiclos);
	if ($numCic > 0) {
		$resultado			   .= "<option value='0'>Ciclo o Módulo</option>";
		while ($fciclo			= mysqli_fetch_array($sqlCiclos)) {
			$xcod_apert_ciclo	= $fciclo['cod_apert_ciclo'];
			$xtitulo_ciclo		= $fciclo['titulo_ciclo'];
			$resultado		   .= "<option value='$xcod_apert_ciclo'>$xtitulo_ciclo</option>";
		}
	} else {
		$resultado		   		= "<option>No existe ciclos aperturados</option>";
	}
	//Crear array para devolver en formato json
	$salidaJson			= array("resultado"	=> $resultado);
	echo json_encode($salidaJson);
}
/*******************************************************/
/***************  BUSCAR CARGA HORARIA  ****************/
/*******************************************************/
if ($proceso == "BuscarCargaHoraria") {
	$cod_apertura		= $_POST['cod_apertura'];
	$cod_apert_ciclo	= $_POST['cod_apert_ciclo'];
	$modulo				= $_POST['modulo'];
	$sqlCargaHora		= mysqli_query($conexion, "SELECT * FROM carga_horaria WHERE cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo'");
	while ($filaCarga		= mysqli_fetch_array($sqlCargaHora)) {
		$cod_cargahoraria	= $filaCarga['cod_cargahoraria'];
		$cod_apertura		= $filaCarga['cod_apertura'];
		$cod_apert_ciclo	= $filaCarga['cod_apert_ciclo'];
		$cod_curricula		= $filaCarga['cod_curricula'];
		$cod_docente		= $filaCarga['cod_docente'];
		$dias				= $filaCarga['dias'];
		$fecha_ini			= $filaCarga['fecha_inicio'];
		$fecha_inicio		= date("d-m-Y", strtotime($fecha_ini));
		$fecha_ter			= $filaCarga['fecha_termino'];
		$fecha_termino		= date("d-m-Y", strtotime($fecha_ter));
		$num++;
		/**********************************************************/
		$sqlCarrera			= mysqli_query($conexion, "SELECT titulo_apertura FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
		$filaC				= mysqli_fetch_array($sqlCarrera);
		$titulo_apertura	= $filaC['titulo_apertura'];
		/**********************************************************/
		$sqlCiclo			= mysqli_query($conexion, "SELECT titulo_ciclo FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
		$filaA				= mysqli_fetch_array($sqlCiclo);
		$titulo_ciclo		= $filaA['titulo_ciclo'];
		/**********************************************************/
		$sqlCurso			= mysqli_query($conexion, "SELECT nombre_curso FROM plan_curricular WHERE cod_curricula='$cod_curricula'");
		$filaCur			= mysqli_fetch_array($sqlCurso);
		$nombre_curso		= $filaCur['nombre_curso'];
		/**********************************************************/
		$sqlDocente			= mysqli_query($conexion, "SELECT nombres, apellidos FROM docentes WHERE cod_docente='$cod_docente'");
		$filaDoc			= mysqli_fetch_array($sqlDocente);
		$docente			= $filaDoc['nombres'] . ' ' . $filaDoc['apellidos'];
		/**********************************************************/
		$sqlHorarios 	= mysqli_query($conexion, "SELECT * FROM horarios WHERE cod_cargahoraria='$cod_cargahoraria'");
		$dias			= "";
		while ($fhoras	= mysqli_fetch_array($sqlHorarios)) {
			$dias 	   .= $fhoras['dias'] . ' ' . $fhoras['hora_inicio'] . ' a ' . $fhoras['hora_termino'] . "<br>";
		}
		/**********************************************************/
		if ($modulo == 'Notas') {
			$enlace = "
			<a href='reg-notas.php?cod_docente=$cod_docente&cod_curricula=$cod_curricula&cod_apertura=$cod_apertura&cod_apert_ciclo=$cod_apert_ciclo' title='Registrar Calificacion'><i class='icon-edit iconos'></i></a>
			<a href='ver-registro-notas.php?cod_docente=$cod_docente&cod_curricula=$cod_curricula&cod_apertura=$cod_apertura&cod_apert_ciclo=$cod_apert_ciclo' title='Ver Registro Notas'><i class='icon-doc-text iconos'></i></a>";
		} else {
			$enlace = "
			<a href='reg-asistencia.php?cod_docente=$cod_docente&cod_curricula=$cod_curricula&cod_apertura=$cod_apertura&cod_apert_ciclo=$cod_apert_ciclo' title='Registrar Asistencia'><i class='icon-edit iconos'></i></a>
			<a href='ver-registro-asistencia.php?cod_docente=$cod_docente&cod_curricula=$cod_curricula&cod_apertura=$cod_apertura&cod_apert_ciclo=$cod_apert_ciclo' title='Ver Registro Asistencia'><i class='icon-doc-text iconos'></i></a>";
		}
		/************** CREAR FILAS Y COLUMNAS PARA SALIDA ********/
		$resultado		   .= "
		<tr>
		  <td>$num</td>
		  <td>$titulo_apertura<br>$titulo_ciclo</td>
		  <td>$nombre_curso</td>
		  <td>$docente</td>
		  <td>$dias</td>
		  <td>Inicio : $fecha_inicio<br>Termino : $fecha_termino</td>
		  <td>$enlace</td>
		</tr>";
	} //fin while

	//Crear array para devolver en formato json
	$salidaJson			= array("resultado"	=> $resultado);
	echo json_encode($salidaJson);
}
/*******************************************************/
/********  BUSCAR ALUMNOS PARA CERTIFICADOS  ***********/
/*******************************************************/
if ($proceso == "BuscarAlumnosCer") {
	$cod_apertura			= $_POST['cod_apertura'];
	$cod_apert_ciclo		= $_POST['cod_apert_ciclo'];
	/*********************************************************/
	$sqlRegistro	= mysqli_query($conexion, "SELECT * FROM matriculas as r, alumnos as a WHERE r.cod_apertura = '$cod_apertura' AND r.cod_apert_ciclo 	 = '$cod_apert_ciclo' AND r.cod_alumno = a.cod_alumno ORDER BY a.apellido_paterno ASC");
	while ($filAl			= mysqli_fetch_array($sqlRegistro)) {
		$cod_cargahoraria	= $filAl['cod_cargahoraria'];
		$cod_matricula		= $filAl['cod_matricula'];
		$cod_alumno			= $filAl['cod_alumno'];
		$cod_apertura		= $filAl['cod_apertura'];
		$cod_apert_ciclo	= $filAl['cod_apert_ciclo'];
		$cod_curricula		= $filAl['cod_curricula'];
		$cod_docente		= $filAl['cod_docente'];
		$num_documento		= $filAl['num_documento'];
		$fecha_nacim		= $filAl['fecha_nacimiento'];
		$fecha_nacimiento     = date("d-m-Y", strtotime($fecha_nacim));
		$sexo				= $filAl['sexo'];
		$telefono			= $filAl['telefono'];
		$nombre_alumno		= $filAl['apellido_paterno'] . ' ' . $filAl['apellido_materno'] . ' ' . $filAl['nombres'];
		/*********************************************************/
		$sqlCurso			= mysqli_query($conexion, "SELECT nombre_curso FROM plan_curricular WHERE cod_curricula='$cod_curricula'");
		$filaCur			= mysqli_fetch_array($sqlCurso);
		$nombre_curso		= $filaCur['nombre_curso'];
		/*********************************************************/
		$sqlDocente			= mysqli_query($conexion, "SELECT nombres, apellidos FROM docentes WHERE cod_docente='$cod_docente'");
		$filaDoc			= mysqli_fetch_array($sqlDocente);
		$docente			= $filaDoc['nombres'] . ' ' . $filaDoc['apellidos'];
		/*********************************************************/
		$num++;
		$boleta = "
		<a href='boleta-notas.php?cod_cargahoraria=$cod_cargahoraria&cod_matricula=$cod_matricula&cod_alumno=$cod_alumno&cod_apertura=$cod_apertura&cod_apert_ciclo=$cod_apert_ciclo'&cod_curricula=$cod_curricula&cod_docente=$cod_docente' target='_blank' title='Imprimir Boleta Notas'>
			<i class='icon-print iconos'></i>
		</a>";
		$certificados = "
		<a href='certificado-estudios.php?cod_cargahoraria=$cod_cargahoraria&cod_matricula=$cod_matricula&cod_alumno=$cod_alumno&cod_apertura=$cod_apertura&cod_apert_ciclo=$cod_apert_ciclo&cod_curricula=$cod_curricula&cod_docente=$cod_docente' target='_blank' title='Imprimir Certificado'>
			<i class='icon-print iconos'></i>
		</a>";
		/************** CREAR FILAS Y COLUMNAS PARA SALIDA ********/
		$resultado		   .= "
		<tr>
		  <td>$num</td>
		  <td>$nombre_alumno</td>
		  <td>$num_documento</td>
		  <td>$fecha_nacimiento</td>
		  <td>$sexo</td>
		  <td>$telefono</td>
		  <td align='center'>$boleta</td>
		  <td align='center'>$certificados</td>
		</tr>";
	} //fin while
	//Crear array para devolver en formato json
	$salidaJson			= array("resultado"	=> $resultado);
	echo json_encode($salidaJson);
}
/*******************************************************/
/******************	  BUSCAR MATRICULAS  ***************/
/*******************************************************/
if ($proceso == "BuscarMatriculas") {
	$xcod_alumno		= $_POST['cod_alumno'];
	$sqlMatriculas		= mysqli_query($conexion, "SELECT * FROM matriculas WHERE cod_alumno='$xcod_alumno'");
	$numResul			= mysqli_num_rows($sqlMatriculas);
	$resultado		   .= "
	<table width='100%' border='0' cellspacing='0' cellpadding='0' class='borde-tablas' style='width:98%; margin:auto;'>
    <thead>
		<tr>
		  <th width='34%' scope='col'>Carrera</th>
		  <th width='22%' scope='col'>Ciclo</th>
		  <th width='23%' scope='col'>Turno</th>
		  <th width='21%' scope='col'>Forma Pago</th>
		  <th width='0%' scope='col'>&nbsp;</th>
		  <th width='0%' scope='col'>&nbsp;</th>
		</tr>
	</thead>
	<tbody>";
	if ($numResul > 0) {
		while ($fMatri	= mysqli_fetch_array($sqlMatriculas)) {
			$cod_matricula	= $fMatri['cod_matricula'];
			$cod_alumno		= $fMatri['cod_alumno'];
			$cod_apertura	= $fMatri['cod_apertura'];
			$cod_apert_ciclo = $fMatri['cod_apert_ciclo'];
			$forma_pago		= $fMatri['forma_pago'];
			$horario		= $fMatri['horario'];
			$turno			= $fMatri['turno'];
			/************************************************/
			/*************** Cronograma de Pagos ************/
			/************************************************/
			$sqlCronograma	= mysqli_query($conexion, "SELECT * FROM cronograma_pagos WHERE cod_alumno='$cod_alumno' AND cod_matricula='$cod_matricula' AND cod_apertura='$cod_apertura' AND estado='A'");
			$numeroCuota	= mysqli_num_rows($sqlCronograma);
			$totalCoutas	= 0;
			$xnumcouta		= '';
			while ($result 	= mysqli_fetch_array($sqlCronograma)) {
				$ncuota		= $result['num_cuota'];
				if ($xnumcouta != $ncuota) {
					$xnumcouta	= $ncuota;
					$totalCoutas++;
				}
			}
			/************************************************/
			/*************** Datos del Alumno    ************/
			/************************************************/
			$sqlAlumnos		= mysqli_query($conexion, "SELECT * FROM alumnos WHERE cod_alumno='$cod_alumno'");
			$filaAlu		= mysqli_fetch_array($sqlAlumnos);
			$apellido_paterno = $filaAlu['apellido_paterno'];
			$apellido_materno = $filaAlu['apellido_materno'];
			$nombres 		  = $filaAlu['nombres'];
			$num_documento	  = $filaAlu['num_documento'];
			$direccion 		  = $filaAlu['direccion'];
			$email 		 	  = $filaAlu['email'];
			$telefono	  	  = $filaAlu['telefono'];
			$movil	  		  = $filaAlu['movil'];
			/************************************************/
			/*************** Datos de Apertura   ************/
			/************************************************/
			$sqlApert		 = mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
			$filaAper		 = mysqli_fetch_array($sqlApert);
			$titulo_apertura = $filaAper['titulo_apertura'];
			/************************************************/
			/*************** Datos de Apertura Ciclo  *******/
			/************************************************/
			$sqlCiclos		 = mysqli_query($conexion, "SELECT * FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
			$filaCic		 = mysqli_fetch_array($sqlCiclos);
			$titulo_ciclo 	 = $filaCic['titulo_ciclo'];
			/************************************************/
			/*************** Extraer Datos a la Tabla *******/
			/************************************************/
			if ($numeroCuota > 0) {
				$resultado  .= "
				<tr>
				  <td>$titulo_apertura</td>
				  <td>$titulo_ciclo</td>
				  <td>$turno - $horario</td>
				  <td style='color:#D90000'>Debe $totalCoutas - $forma_pago</td>
				  <td>
				  	<a href='#' class='bpagar'>
						<i class='icon-money iconos'></i>
						<input type='hidden' name='codalumno' value='$cod_alumno' class='codalumno'>
						<input type='hidden' name='codmatricula' value='$cod_matricula' class='codmatricula'>
						<input type='hidden' name='tituloapertura' value='$titulo_apertura' class='tituloapertura'>
						<input type='hidden' name='titulociclo' value='$titulo_ciclo' class='tituloapertura'>
					</a>
				  </td>
				  <td>
				  	<a href='calendario-pagos.php?cod_matricula=$cod_matricula&cod_alumno=$cod_alumno'>
						<i class='icon-calendar iconos'></i>
					</a>
				  </td>
				</tr>";
			} else {
				$resultado  .= "
				<tr>
				  <td>$titulo_apertura</td>
				  <td>$titulo_ciclo</td>
				  <td>$turno - $horario</td>
				  <td style='color:#D90000'>Cancelo todas las - $forma_pago</td>
				  <td><i class='icon-money iconos' style='color:#ccc'></i></td>
				  <td>
				  	<a href='calendario-pagos.php?cod_matricula=$cod_matricula&cod_alumno=$cod_alumno'>
						<i class='icon-calendar iconos'></i>
					</a>
				  </td>
				</tr>";
			}
		}
	} else {
		$resultado  .= "
		<tr>
		  <td colspan='6'>Lo sentimos el alumno no esta registrado en ninguna apertura academica</td>
		</tr>";
	}
	$resultado  .= "
			</tbody>	
	</table>";
	//Crear array para devolver en formato json
	$salidaJson			= array("resultado"	=> $resultado);
	echo json_encode($salidaJson);
}
/*******************************************************/
/********	  BUSCAR DATOS MATRICULA PARA PAGO  ********/
/*******************************************************/
if ($proceso == "BuscarCronogramas") {
	$cod_alumno			= $_POST['cod_alumno'];
	$cod_matricula		= $_POST['cod_matricula'];
	//Leer Datos de Matricula
	$sqlMatriculas		= mysqli_query($conexion, "SELECT * FROM matriculas WHERE cod_alumno='$cod_alumno'");
	$filaMat			= mysqli_fetch_array($sqlMatriculas);
	$cod_apertura		= $filaMat['cod_apertura'];
	$cod_apert_ciclo	= $filaMat['cod_apert_ciclo'];
	$horario			= $filaMat['horario'];
	//Buscar Titulo de la Carrera
	$sqlAperturas		= mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
	$filaApert			= mysqli_fetch_array($sqlAperturas);
	$cod_apertura		= $filaApert['cod_apertura'];
	$cod_carrera		= $filaApert['cod_carrera'];
	$titulo_apertura	= $filaApert['titulo_apertura'];
	//Buscar Titulo de la Ciclo
	$sqlCiclos			= mysqli_query($conexion, "SELECT * FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo' AND estado='A'");
	$filaCiclos			= mysqli_fetch_array($sqlCiclos);
	$cod_apert_ciclo	= $filaCiclos['cod_apert_ciclo'];
	$titulo_ciclo		= $filaCiclos['titulo_ciclo'];
	//Buscar cronograma de pagos
	$sqlCronogramas		= mysqli_query($conexion, "SELECT * FROM cronograma_pagos WHERE cod_alumno='$cod_alumno' AND cod_matricula='$cod_matricula' AND cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' AND estado='A' ORDER BY num_cuota ASC");
	$rescronograma	   .= "<option value='0'>Seleccionar Couta</option>";
	while ($filacro		= mysqli_fetch_array($sqlCronogramas)) {
		$cod_cronograma	= $filacro['cod_cronograma'];
		$num_cuota		= $filacro['num_cuota'];
		$costo			= $filacro['costo'];
		$rescronograma .= "
		<option value='$cod_cronograma'>S/. $costo | $num_cuota</option>";
	}
	//Crear array para devolver en formato json
	$salidaJson			= array(
		"carrera"			=> $titulo_apertura,
		"ciclo"				=> $titulo_ciclo,
		"horario"			=> $horario,
		"cod_apertura" 		=> $cod_apertura,
		"cod_apert_ciclo" 	=> $cod_apert_ciclo,
		"cronogramas"		=> $rescronograma
	);
	echo json_encode($salidaJson);
}
/*******************************************************/
/********	  BUSCAR DATOS DEL ALUMNO           ********/
/*******************************************************/
if ($proceso == "BuscarDatosAlumno") {
	$cod_alumno			= $_POST['cod_alumno'];
	//Leer Datos de Matricula
	$sqlMatriculas		= mysqli_query($conexion, "SELECT * FROM matriculas WHERE cod_alumno='$cod_alumno'");
	$filaMat			= mysqli_fetch_array($sqlMatriculas);
	$cod_matricula		= $filaMat['cod_matricula'];
	$cod_alumno			= $filaMat['cod_alumno'];
	$cod_apertura		= $filaMat['cod_apertura'];
	$cod_apert_ciclo	= $filaMat['cod_apert_ciclo'];
	//Buscar Titulo de la Carrera
	$sqlAperturas		= mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
	$filaApert			= mysqli_fetch_array($sqlAperturas);
	$titulo_apertura	= $filaApert['titulo_apertura'];
	$horario			= $filaApert['horario'];
	//Buscar Titulo de la Ciclo
	$sqlCiclos			= mysqli_query($conexion, "SELECT * FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo' AND estado='A'");
	$filaCiclos			= mysqli_fetch_array($sqlCiclos);
	$titulo_ciclo		= $filaCiclos['titulo_ciclo'];
	//Crear array para devolver en formato json
	$salidaJson			= array(
		"titulo_apertura"	=> $titulo_apertura,
		"cod_apertura" 		=> $cod_apertura,
		"cod_apert_ciclo" 	=> $cod_apert_ciclo,
		"titulo_ciclo"		=> $titulo_ciclo,
		"horario"			=> $horario,
		"cod_matricula"		=> $cod_matricula
	);
	echo json_encode($salidaJson);
}
/*******************************************************/
/********	  		BUSCAR SOLICITUDES          ********/
/*******************************************************/
if ($proceso == "BuscarSolicitudes") {
	$fecha_busqueda		= $_POST['fecha_busqueda'];
	/***************************************************/
	$respuesta	 	   .= "
	<thead>
		<tr>
			<th>Nº</th>
			<th>F. Solicitud</th>
			<th>N. Expediente</th>
			<th>Nombres y Apellidos</th>
			<th>Carrera</th>
			<th>Ciclo</th>
			<th>Email</th>
			<th>F. Respuesta</th>
			<th>Documentos</th>
			<th>Estado</th>
			<th></th>
		</tr>
	</thead>
	<tbody>";
	/***************************************************/
	$sqlConsulta    	= mysqli_query($conexion, "SELECT * FROM mesa_partes WHERE fecha_creacion='$fecha_busqueda'");
	if (mysqli_num_rows($sqlConsulta) > 0) {
		while ($filas       = mysqli_fetch_array($sqlConsulta)) {
			$cod_datos      = $filas['cod_datos'];
			$fecha_creacion = date('d-m-Y', strtotime($filas['fecha_creacion']));
			if ($filas['fecha_respuesta '] != '') {
				$fecha_respuesta = date('d-m-Y', strtotime($filas['fecha_respuesta ']));
			} else {
				$fecha_respuesta = "";
			}
			$num_expediente = $filas['num_expediente'];
			$tipo_documento = $filas['tipo_documento'];
			$num_documento  = $filas['num_documento'];
			$nombres        = $filas['apellido_paterno'] . ' ' . $filas['apellido_materno'] . ' ' . $filas['nombres'];
			$direccion      = $filas['direccion'];
			$num_telefono   = $filas['num_telefono'];
			$email          = $filas['email'];
			$estado         = $filas['estado'];
			$carrera        = $filas['carrera'];
			$ciclo          = $filas['ciclo'];
			/****************************************************/
			/****************************************************/
			$sqlImgDatos    = mysqli_query($conexion, "SELECT * FROM img_mesapartes WHERE cod_datos='$cod_datos'");
			$numRes         = mysqli_num_rows($sqlImgDatos);
			/****************************************************/
			/****************************************************/
			$editar         = "<a href='ver-solicitudmesaparte.php?cod_datos=$cod_datos' class='fancybox fancybox.iframe'><i class='icon-edit iconos'></i></a>";
			if ($numRes > 0) {
				$documentos = "<a href='ver-documentos.php?cod_datos=$cod_datos' class='fancybox fancybox.iframe'><i class='icon-search iconos'></i></a>";
			} else {
				$documentos = "Entregó Físico";
			}
			$num++;
			$respuesta	 	   .= "
			<tr>
				<td>$num</td>
				<td>$fecha_creacion</td>
				<td>$num_expediente</td>
				<td>$nombres</td>
				<td>$carrera</td>
				<td>$ciclo</td>
				<td>$email</td>
				<td>$fecha_respuesta</td>
				<td>$documentos</td>
				<td>$estado</td>
				<td>$editar</td>
			</tr>";
		}
	} else {
		$respuesta	 	   .= "
			<tr>
				<td colspan='11' align='center'>Lo sentimos, pero no hay resultados para esta fecha</td>
			</tr>";
	}
	$respuesta	 	   .= "	
	</tbody>";
	//Crear array para devolver en formato json
	$salidaJson			= array("respuesta"	=> $respuesta);
	echo json_encode($salidaJson);
}
