<?php
$nombreExcel = "reporte-docentes".date('d-m-Y-His') . ".xls";
header("Content-Type: application/vnd.ms-excel");
header("Content-Disposition: attachment; filename=\"$nombreExcel\"");
/***********************************************/
/***********************************************/
require("modulos/conexion.php");
require("verificar-usuarios.php");
/***********************************************/
/***********************************************/
$sexo		= $_POST['sexo'];
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
</head>

<body>
<h1>REPORTES DOCENTES</h1>
<h2>IESTP ANTENOR ORREGO ESPINOZA</h2>
<table width="100%" border="1" cellspacing="0" cellpadding="0">
  <tbody>
    <tr>
      <th width="18%" bgcolor="#E1E1E1" scope="col">Apellidos y Nombres</th>
      <th width="11%" bgcolor="#E1E1E1" scope="col">Documento</th>
      <th width="11%" bgcolor="#E1E1E1" scope="col">Fecha Nac.</th>
      <th width="17%" bgcolor="#E1E1E1" scope="col">Email</th>
      <th width="8%" bgcolor="#E1E1E1" scope="col">Teléfono</th>
      <th width="7%" bgcolor="#E1E1E1" scope="col">Móvil</th>
      <th width="11%" bgcolor="#E1E1E1" scope="col">Direccion</th>
	  <th width="11%" bgcolor="#E1E1E1" scope="col">Especialidad</th>	
      <th width="6%" bgcolor="#E1E1E1" scope="col">Sexo</th>
    </tr>
	<?php
	if($sexo=='Femenino'){
		$sqlConsulta = mysqli_query($conexion, "SELECT * FROM docentes WHERE sexo='Femenino' ORDER BY apellidos ASC");	
	}  
	if($sexo=='Masculino'){
		$sqlConsulta = mysqli_query($conexion, "SELECT * FROM docentes WHERE sexo='Femenino' ORDER BY apellidos ASC");	
	}
	if($sexo=='Todos'){
		$sqlConsulta = mysqli_query($conexion, "SELECT * FROM docentes ORDER BY apellidos ASC");	
	}  
	while($fila				= mysqli_fetch_array($sqlConsulta)){
		$nombres			= utf8_encode($fila['apellidos'].' '.$fila['nombres']);
		$num_documento		= $fila['num_documento'];
		$fecha_nacimiento	= $fila['fecha_nacimiento'];
		$email				= $fila['email'];
		$telefono			= $fila['telefono'];
		$movil				= $fila['movil'];
		$direccion			= utf8_encode($fila['direccion']);
		$especialidad		= utf8_encode($fila['especialidad']);
		$sexo				= $fila['sexo'];
		$total++;
	?>
    <tr>
      <td><?php echo $nombres ?></td>
      <td><?php echo $num_documento ?></td>
      <td><?php echo $fecha_nacimiento ?></td>
      <td><?php echo $email ?></td>
      <td><?php echo $telefono ?></td>
      <td><?php echo $movil ?></td>
      <td><?php echo $direccion ?></td>
      <td><?php echo $especialidad ?></td>
      <td><?php echo $sexo ?></td>
    </tr>
	<?php
	}
	?>  
  </tbody>
</table>
<h2>Total docentes : <?php echo $total; ?></h2>	
</body>
</html>