<?php
$nombreExcel = "reporte-docentes".date('d-m-Y-His') . ".xls";
header("Content-Type: application/vnd.ms-excel");
header("Content-Disposition: attachment; filename=\"$nombreExcel\"");
/***********************************************/
/***********************************************/
require("modulos/conexion.php");
require("verificar-usuarios.php");
/***********************************************/
/***********************************************/
$cod_apertura       = $_POST['cod_apertura'];
$cod_apert_ciclo    = $_POST['cod_apert_ciclo'];
$cod_curricula      = $_POST['cod_curricula'];
$cod_docente        = $_POST['cod_docente'];
/***********************************************/
/***********************************************/
$sqlCarrera			  = mysqli_query($conexion, "SELECT titulo_apertura FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
$filaCar			    = mysqli_fetch_array($sqlCarrera);
$titulo_apertura	= utf8_encode($filaCar['titulo_apertura']);
/*************************************************/
/*************************************************/
$sqlCiclo		  	  = mysqli_query($conexion, "SELECT titulo_ciclo FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
$filaCic			    = mysqli_fetch_array($sqlCiclo);
$titulo_ciclo		  = utf8_encode($filaCic['titulo_ciclo']);
/*************************************************/
/*************************************************/
$sqlDocente			  = mysqli_query($conexion, "SELECT nombres, apellidos FROM docentes WHERE cod_docente='$cod_docente'");
$filaDoc			    = mysqli_fetch_array($sqlDocente);
$docente			    = utf8_encode($filaDoc['nombres'].' '.$filaDoc['apellidos']);
/*************************************************/
/*************************************************/
$sqlCurso			    = mysqli_query($conexion, "SELECT nombre_curso FROM plan_curricular WHERE cod_curricula='$cod_curricula'");
$filaCur			    = mysqli_fetch_array($sqlCurso);
$nombre_curso		  = utf8_encode($filaCur['nombre_curso']);
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
</head>

<body>
<h1>REPORTE DE NOTAS IESTP ANTENOR ORREGO ESPINOZA</h1>
<?php
  echo "
    <h2>Carrera : $titulo_apertura</h2>
    <h2>Ciclo : $titulo_ciclo</h2>
    <h3>Docente : $docente</h3>
    <h3>Curso : $nombre_curso</h3>";
?>
<table width="100%" border="1" cellspacing="0" cellpadding="0">
  <tbody>
    <tr>
      <th width="1%" scope="col">Nº</th>
      <th width="50%" scope="col">Nombres y Apellidos</th>
      <th width="2%" scope="col">1</th>
      <th width="2%" scope="col">2</th>
      <th width="2%" scope="col">3</th>
      <th width="2%" scope="col">4</th>
      <th width="2%" scope="col">5</th>
      <th width="2%" scope="col">6</th>
      <th width="2%" scope="col">7</th>
      <th width="2%" scope="col">8</th>
      <th width="2%" scope="col">9</th>
      <th width="2%" scope="col">10</th>
      <th width="2%" scope="col">11</th>
      <th width="2%" scope="col">12</th>
      <th width="2%" scope="col">13</th>
      <th width="2%" scope="col">14</th>
      <th width="2%" scope="col">15</th>
      <th width="2%" scope="col">16</th>
      <th width="2%" scope="col">17</th>
      <th width="2%" scope="col">18</th>
      <th width="2%" scope="col">19</th>
      <th width="2%" scope="col">20</th>
      <th width="3%" scope="col">Prom.</th>
      <th width="4%" scope="col">Recup.</th>
      <th width="2%" scope="col">Final</th>
    </tr>
	<?php
	  $sqlRegistro	= mysqli_query($conexion, "SELECT * FROM registro_notas as r, alumnos as a WHERE r.cod_docente='$cod_docente' AND r.cod_curricula='$cod_curricula' AND r.cod_apertura='$cod_apertura' AND r.cod_apert_ciclo='$cod_apert_ciclo' AND r.cod_alumno=a.cod_alumno ORDER BY a.apellido_paterno ASC");
	while($fila		= mysqli_fetch_array($sqlRegistro)){
    $notas		  = array();
    $totalNotas	= 0;
    $numNotas	  = 0;
    $promedio	  = 0;
    $codigo		  = $fila['cod_notas'];
    $cod_alumno	= $fila['cod_alumno'];
    $nota1		  = $fila['nota1'];
    if($nota1>0){ array_push($notas, $nota1); }
    $nota2		= $fila['nota2'];
    if($nota2>0){ array_push($notas, $nota2); }
    $nota3		= $fila['nota3'];
    if($nota3>0){ array_push($notas, $nota3); }
    $nota4		= $fila['nota4'];
    if($nota4>0){ array_push($notas, $nota4); }
    $nota5		= $fila['nota5'];
    if($nota5>0){ array_push($notas, $nota5); }
    $nota6		= $fila['nota6'];
    if($nota6>0){ array_push($notas, $nota6); }
    $nota7		= $fila['nota7'];
    if($nota7>0){ array_push($notas, $nota7); }
    $nota8		= $fila['nota8'];
    if($nota8>0){ array_push($notas, $nota8); }
    $nota9		= $fila['nota9'];
    if($nota9>0){ array_push($notas, $nota9); }
    $nota10		= $fila['nota10'];
    if($nota10>0){ array_push($notas, $nota10); }
    $nota11		= $fila['nota11'];
    if($nota11>0){ array_push($notas, $nota11); }
    $nota12		= $fila['nota12'];
    if($nota12>0){ array_push($notas, $nota12); }
    $nota13		= $fila['nota13'];
    if($nota13>0){ array_push($notas, $nota13); }
    $nota14		= $fila['nota14'];
    if($nota14>0){ array_push($notas, $nota14); }
    $nota15		= $fila['nota15'];
    if($nota15>0){ array_push($notas, $nota15); }
    $nota16		= $fila['nota16'];
    if($nota16>0){ array_push($notas, $nota16); }
    $nota17		= $fila['nota17'];
    if($nota17>0){ array_push($notas, $nota17); }
    $nota18		= $fila['nota18'];
    if($nota18>0){ array_push($notas, $nota18); }
    $nota19		= $fila['nota19'];
    if($nota19>0){ array_push($notas, $nota19); }
    $nota20		= $fila['nota20'];
    if($nota20>0){ array_push($notas, $nota20); }
    $recuperacion = $fila['recuperacion'];
    /************ Calculando Totales *********************/
    foreach($notas as $nota){
      $totalNotas = ($totalNotas+$nota);
    }
    $numNotas		= count($notas);
    $promedio		= round(($totalNotas/$numNotas));
    if($recuperacion>0){
      $notaFinal		= round(($promedio+$recuperacion)/2);
    }else{
      $notaFinal		= $promedio;
    }
    $num++;
    /*************************************************/
    /*************************************************/
    $nombre_alumno	= utf8_encode($fila['apellido_paterno'].' '.$fila['apellido_materno'].' '.$fila['nombres']);
	?>
    <tr>
      <td><?php echo $num ?></td>
      <td><?php echo $nombre_alumno ?></td>
      <td><?php echo $nota1 ?></td>
      <td><?php echo $nota2 ?></td>
      <td><?php echo $nota3 ?></td>
      <td><?php echo $nota4 ?></td>
      <td><?php echo $nota5 ?></td>
      <td><?php echo $nota6 ?></td>
      <td><?php echo $nota7 ?></td>
      <td><?php echo $nota8 ?></td>
      <td><?php echo $nota9 ?></td>
      <td><?php echo $nota10 ?></td>
      <td><?php echo $nota11 ?></td>
      <td><?php echo $nota12 ?></td>
      <td><?php echo $nota13 ?></td>
      <td><?php echo $nota14 ?></td>
      <td><?php echo $nota15 ?></td>
      <td><?php echo $nota16 ?></td>
      <td><?php echo $nota17 ?></td>
      <td><?php echo $nota18 ?></td>
      <td><?php echo $nota19 ?></td>
      <td><?php echo $nota20 ?></td>
      <td><?php echo $promedio ?></td>
      <td><?php echo $recuperacion ?></td>
      <td><?php echo $notaFinal ?></td>
    </tr>
	<?php
	}
	?>  
  </tbody>
</table>
<h2>Total alumnos : <?php echo $num; ?></h2>	
</body>
</html>