<?php
$nombreExcel = "reporte-docentes".date('d-m-Y-His') . ".xls";
header("Content-Type: application/vnd.ms-excel");
header("Content-Disposition: attachment; filename=\"$nombreExcel\"");
/***********************************************/
/***********************************************/
require("modulos/conexion.php");
require("verificar-usuarios.php");
/***********************************************/
/***********************************************/
$busqueda		    = $_POST['busqueda'];
$cod_apertura       = $_POST['cod_apertura'];
$cod_apert_ciclo    = $_POST['cod_apert_ciclo'];
/***********************************************/
/***********************************************/
$sqlCarrera         = mysqli_query($conexion, "SELECT titulo_apertura FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
$fcarr              = mysqli_fetch_array($sqlCarrera);
$titulo_apertura    = utf8_encode($fcarr['titulo_apertura']);
/***********************************************/
/***********************************************/
$sqlCiclo           = mysqli_query($conexion, "SELECT titulo_ciclo FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
$fcic               = mysqli_fetch_array($sqlCiclo);
$titulo_ciclo       = utf8_encode($fcic['titulo_ciclo']);
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
</head>

<body>
<h1>REPORTE DE PAGOS IESTP ANTENOR ORREGO ESPINOZA</h1>
<?php
echo "
    <h2>Carrera : $titulo_apertura</h2>
    <h2>Ciclo : $titulo_ciclo</h2>
    <h2>Tipo Pago : $busqueda</h2>";
?>
<table width="100%" border="1" cellspacing="0" cellpadding="0">
  <tbody>
    <tr>
      <th width="18%" bgcolor="#E1E1E1" scope="col">Apellidos y Nombres</th>
      <th width="11%" bgcolor="#E1E1E1" scope="col">Documento</th>
      <th width="11%" bgcolor="#E1E1E1" scope="col">Fecha Nac.</th>
      <th width="17%" bgcolor="#E1E1E1" scope="col">Email</th>
      <th width="8%" bgcolor="#E1E1E1" scope="col">Telef./Movil</th>
      <th width="8%" bgcolor="#E1E1E1" scope="col">Direccion</th>
      <th width="7%" bgcolor="#E1E1E1" scope="col">Conpceto</th>
      <th width="7%" bgcolor="#E1E1E1" scope="col">Monto</th>
      <th width="11%" bgcolor="#E1E1E1" scope="col">Fecha Pago</th>	
      <th width="6%" bgcolor="#E1E1E1" scope="col">Serie Boleta</th>
    </tr>
	<?php
	if($busqueda=='Matriculas'){
		$sqlConsulta        = mysqli_query($conexion, "SELECT * FROM pagos WHERE cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' AND cod_concepto=1");	
    }
    if($busqueda=='Pensiones'){
		$sqlConsulta        = mysqli_query($conexion, "SELECT * FROM pagos WHERE cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' AND cod_concepto=2");	
    }
    if($busqueda=='Varios'){
		$sqlConsulta        = mysqli_query($conexion, "SELECT * FROM pagos WHERE cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' AND cod_concepto!=1 AND cod_concepto!=2");	
    }
    if($busqueda=='Todos'){
		$sqlConsulta        = mysqli_query($conexion, "SELECT * FROM pagos WHERE cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo'");	
    }
	while($fila				= mysqli_fetch_array($sqlConsulta)){
        $cod_alumno         = $fila['cod_alumno'];
        /*********************************************/
        $sqlAlumnos         = mysqli_query($conexion, "SELECT * FROM alumnos WHERE cod_alumno='$cod_alumno'");
        $falum              = mysqli_fetch_array($sqlAlumnos);
        $nombres			= utf8_encode($falum['apellido_parterno'].' '.$falum['apellido_materno'].' '.$falum['nombres']);
		$num_documento		= $falum['num_documento'];
		$fecha_nacimiento	= $falum['fecha_nacimiento'];
		$email				= $falum['email'];
		$movil				= $falum['movil'];
        $direccion			= utf8_encode($falum['direccion']);
        /*********************************************/
        $monto              = utf8_encode($fila['monto']);
        $fecha_pago         = utf8_encode($fila['fecha_pago']);
        $comprobante_pago   = utf8_encode($fila['serie_boleta']);
        $cod_concepto       = $fila['cod_concepto'];
        /*********************************************/
        $sqlConcepto        = mysqli_query($conexion, "SELECT * FROM concepto_pagos WHERE cod_concepto='$cod_concepto'");
        $fcon               = mysqli_fetch_array($sqlConcepto);
        $concepto           = utf8_encode($fcon['concepto']);
		$total++;
	?>
    <tr>
      <td><?php echo $nombres ?></td>
      <td><?php echo $num_documento ?></td>
      <td><?php echo $fecha_nacimiento ?></td>
      <td><?php echo $email ?></td>
      <td><?php echo $movil ?></td>
      <td><?php echo $direccion ?></td>
      <td><?php echo $concepto ?></td>
      <td><?php echo $monto ?></td>
      <td><?php echo $fecha_pago ?></td>
      <td><?php echo $comprobante_pago ?></td>
    </tr>
	<?php
	}
	?>  
  </tbody>
</table>
<h2>Total Pagos : <?php echo $total; ?></h2>	
</body>
</html>