<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<title>Sistema Educativo AppAOE</title>
<link rel="stylesheet" type="text/css" href="css/normalize.css">
<link rel="stylesheet" type="text/css" href="css/estilosweb.css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel" rel="stylesheet">
<!-- jQuery -->
<script src="js/jquery-3.2.1.min.js"></script>
<!-- jQuery Vegas -->
<link rel="stylesheet" type="text/css" href="css/vegas.css">
<script src="js/vegas.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" type="text/css" href="css/alertify.core.css">
<link rel="stylesheet" type="text/css" href="css/alertify.default.css">
<script src="js/alertify.js"></script>
 
<script>
$(function(){
	//Validar formulario de recuperar clave
	$("#bingresar").click(function(){
		var emailreg	= /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
		if($("#email").val()=='' || !emailreg.test($("#email").val())){
			alertify.error("Ingresar un email valido");
			$("#email").focus();
			return false;	
		}
		recuperarClave();
	})
	//funcion que invoca a recuperar la clave
	function recuperarClave(){
		$("#proceso").val("recuperarClave");
		var datosEnvio	= $("#fingreso").serialize();
		$.ajax({
			data 	: datosEnvio,
			url 	: 'procesocms.php',
			type  	: 'post',
			dataType: 'json',
			success	: function(datos){
				$("#email").val('');
				$(".alerta").html(datos.resultado);
				setTimeout(function(){
					$(".alerta").html('&nbsp;');
				}, 5000);
			},
			error: function(error) {
				console.log("Error envio correo: ",error);
			}
			
		});
	}
	
	
});
</script>
</head>
<body>
<!-- ************************************************************** -->
<!-- *******************      CAJA FORMULARIO   ******************* -->
<!-- ************************************************************** -->
<section id="cajaformulario">
	<div id="cuerpoingreso">
    	<a href="index.php"><img src="imagenes/logo-blanco.png" alt="El Esquinon"></a>
        <h2>Recuperar Clave para AppAOE</h2>
        <div id="cajaingreso">
     		<form action="" id="fingreso">
            	<p>
                Ingresa tu Email<br>
                <input type="text" name="email" id="email" class="camposingreso" placeholder="Ingresar tu email">
                </p>
                <!-- ********************************************** -->
                <p class="alerta">&nbsp;</p>
                <!-- ********************************************** -->
                <p>
                <input type="button" value="Enviar" id="bingresar">
                <input type="hidden" name="proceso" id="proceso">
                </p>
            </form>   
            <ul id="ingresosociales">
            	<li><a href="#"><i class="icon-googleplus-rect"></i> Ingreso con Google</a></li>
            	<li><a href="#" class="fa"><i class="icon-facebook fai"></i> Ingreso con Facebook</a></li>
            	<li><a href="#" class="lin"><i class="icon-linkedin lini"></i> Ingreso con Linkedin</a></li>
            </ul>
        </div>
   	</div>
</section>
<!-- ************************************************************** -->
<!-- *******************       PIE PAGINA       ******************* -->
<!-- ************************************************************** -->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>