<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
/*******************************************************/
/***********  CREACION DE CODIGO DE MATRICULA **********/
/*******************************************************/
$slqCodMat      = mysqli_query($conexion, "SELECT * FROM tabla_codigointerno");
$fcmat          = mysqli_fetch_array($slqCodMat);
$cod_codigo     = $fcmat['cod_codigo'];
$codigo         = $fcmat['codigo'] + 1;
$prefijo        = $fcmat['prefijo'];
$CodigoInterno  = $prefijo . '-' . $codigo;
/*******************************************************/
$proceso    = $_POST['proceso'];
if ($proceso == 'Insertar') {
    $fecha_creacion            = date('Y-m-d H:i:s');
    $fecha_actualizacion    = date('Y-m-d H:i:s');
    $codigo_interno            = $_POST['codigo_interno'];
    $cod_alumno                = $_POST['cod_alumno'];
    $cod_apertura            = $_POST['cod_apertura'];
    $cod_apert_ciclo        = $_POST['cod_apert_ciclo'];
    $duracion                = $_POST['duracion'];
    $turno                    = $_POST['turno'];
    $horario                = $_POST['horario'];
    $periodo_lectivo        = $_POST['periodo_lectivo'];
    $costo_matricula        = $_POST['costo_matricula'];
    $tipo_alumno            = $_POST['tipo_alumno'];
    $forma_pago                = $_POST['forma_pago'];
    $monto_total            = $_POST['monto_total'];
    $observaciones            = $_POST['observaciones'];
    $fecha_mat                = $_POST['fecha_matricula'];
    $fecha_matricula        = date("Y-m-d", strtotime($fecha_mat));
    $cod_administrativo        = $_POST['cod_administrativo'];
    $cod_tipo_compro        = $_POST['cod_tipo_compro'];
    $razon_social            = $_POST['razon_social'];
    $ruc                    = $_POST['ruc'];
    $direccion_empresa        = $_POST['direccion_empresa'];
    $email_empresa            = $_POST['email_empresa'];
    /********************************************************/
    /**************   Actualizar Nº Doc. Venta   ************/
    /********************************************************/
    switch ($cod_tipo_compro) {
        case 1: //Factura
            $slqSerFactura    = mysqli_query($conexion, "SELECT * FROM serie_facturas WHERE estado='A'");
            $fFact            = mysqli_fetch_array($slqSerFactura);
            $cod_seriefac    = $fFact['cod_seriefac'];
            $serie            = $fFact['serie'];
            $num_actual        = ($fFact['num_actual'] + 1);
            $serie_factura    = $serie . '-' . $num_actual;
            $comprobante_pago = $serie_factura;
            $slqActSerieFac    = mysqli_query($conexion, "UPDATE serie_facturas SET num_actual = '$num_actual' WHERE cod_seriefac='$cod_seriefac'");
            break;
        case 2: //Boleta
            $slqSerBoleta    = mysqli_query($conexion, "SELECT * FROM serie_boletas WHERE estado='A'");
            $fBol            = mysqli_fetch_array($slqSerBoleta);
            $cod_seriebol    = $fBol['cod_seriebol'];
            $serie_bol        = $fBol['serie_bol'];
            $num_actualbol    = ($fBol['num_actualbol'] + 1);
            $serie_boleta    = $serie_bol . '-' . $num_actualbol;
            $comprobante_pago = $serie_boleta;
            $slqActSerieFac    = mysqli_query($conexion, "UPDATE serie_boletas SET num_actualbol = '$num_actualbol+1' WHERE cod_seriebol='$cod_seriebol'");
            break;
    }
    /********************************************************/
    /**************      Verificar si existe     ************/
    /********************************************************/
    $sqlVerificar            = mysqli_query($conexion, "SELECT codigo_interno FROM matriculas WHERE codigo_interno='$codigo_interno'");
    $numRes                    = mysqli_num_rows($sqlVerificar);
    if ($numRes == 0) {
        $sqlInsertar        = mysqli_query($conexion, "INSERT INTO matriculas (
		fecha_creacion,
		fecha_actualizacion,
		codigo_interno,
		cod_alumno,
		cod_apertura,
		cod_apert_ciclo,
		duracion,
		turno,
		horario,
        periodo_lectivo,
		costo_matricula,
		tipo_alumno,
		forma_pago,
		observaciones,
		fecha_matricula,
		cod_administrativo,
		cod_tipo_compro,
		comprobante_pago,
		razon_social,
		ruc,
		direccion_empresa,
		email_empresa
		)VALUES(
		'$fecha_creacion',
		'$fecha_actualizacion',
		'$codigo_interno',
		'$cod_alumno',
		'$cod_apertura',
		'$cod_apert_ciclo',
		'$duracion',
		'$turno',
		'$horario',
        '$periodo_lectivo',
		'$costo_matricula',
		'$tipo_alumno',
		'$forma_pago',
		'$observaciones',
		'$fecha_matricula',
		'$cod_administrativo',
		'$cod_tipo_compro',
		'$comprobante_pago',
		'$razon_social',
		'$ruc',
		'$direccion_empresa',
		'$email_empresa')");
        /********************************************************/
        /**************   Cronograma de Pagos     ***************/
        /********************************************************/
        $cod_matricula    = mysqli_insert_id($conexion);
        switch ($forma_pago) {
            case 'Coutas':
                if (!empty($_POST['numcouta']) && is_array($_POST['numcouta'])) {
                    $numcouta        = $_POST['numcouta'];
                    $costo            = $_POST['costo'];
                    $fechas            = $_POST['fechas'];
                    for ($i = 0; $i < sizeof($numcouta); $i++) {
                        $xNumCuota    = $numcouta[$i];
                        $xCosto        = $costo[$i];
                        $xFechas    = $fechas[$i];
                        $xEstado    = 'A';
                        $sqlInserCro = mysqli_query($conexion, "INSERT INTO cronograma_pagos (
						cod_alumno,
						cod_matricula,
						cod_apertura,
						cod_apert_ciclo,
						num_cuota,
						costo,
						fechas,
						estado
						)VALUES(
						'$cod_alumno',
						'$cod_matricula',
						'$cod_apertura',
						'$cod_apert_ciclo',
						'$xNumCuota',
						'$xCosto',
						'$xFechas',
						'$xEstado'
						)");
                    }
                }
                break;
            case 'Contado':
                $xNumCuota    = 'Couta Unica';
                $xCosto        = $monto_total;
                $xFechas    = date('Y-m-d H:i:s');
                $xEstado    = "A";
                $sqlInserCro = mysqli_query($conexion, "INSERT INTO cronograma_pagos (
				cod_alumno,
				cod_matricula,
				cod_apertura,
				cod_apert_ciclo,
				num_cuota,
				costo,
				fechas,
				estado
				)VALUES(
				'$cod_alumno',
				'$cod_matricula',
				'$cod_apertura',
				'$cod_apert_ciclo',
				'$xNumCuota',
				'$xCosto',
				'$xFechas',
				'$xEstado'
				)");
                break;
        }
        /********************************************************/
        /**************      Registrar Pagos         ************/
        /********************************************************/
        $sqlRegPAgos    = mysqli_query($conexion, "INSERT INTO pagos (
		fecha_creacion,
		fecha_actualizacion,
		cod_concepto,
		cod_matricula,
		cod_alumno,
		cod_apertura,
		cod_apert_ciclo,
		horario,
		couta,
		cod_tipo_compro,
		monto,
		fecha_pago,
		cod_administrativo,
		razon_social,
		ruc,
		direccion_empresa,
		email_empresa,
		serie_factura,
		serie_boleta,
		estado_sunat
		)VALUES(
		'$fecha_creacion',
		'$fecha_actualizacion',
		'1',
		'$cod_matricula',
		'$cod_alumno',
		'$cod_apertura',
		'$cod_apert_ciclo',
		'$horario',
		'Pago Matricula',
		'$cod_tipo_compro',
		'$costo_matricula',
		'$fecha_matricula',
		'$cod_administrativo',
		'$razon_social',
		'$ruc',
		'$direccion_empresa',
		'$email_empresa',
		'$serie_factura',
		'$serie_boleta',
		'N')");
        /********************************************************/
        /************** Actualizar Codigo Interno ***************/
        /********************************************************/
        $sqlCodigoInterno    = mysqli_query($conexion, "UPDATE tabla_codigointerno SET codigo='$codigo' WHERE cod_codigo='$cod_codigo'");
        /********************************************************/
        /********************* Cerrar Modal *********************/
        /********************************************************/
        echo "
		<script>
			parent.jQuery.fancybox.close();
			parent.location.reload();
		</script>
		";
    } else {
        echo "
		<script>
			alert('Algo salio mal')
		</script>
		";
    }
}
?>
<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
    <title>Sistema Educativo AppAOE</title>
    <link rel="stylesheet" type="text/css" href="css/normalize.css">
    <link rel="stylesheet" type="text/css" href="css/estilosweb.css">
    <!-- Iconos Fontello -->
    <link rel="stylesheet" type="text/css" href="css/animation.css">
    <link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
    <link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
    <link rel="stylesheet" type="text/css" href="css/iconos.css">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel" rel="stylesheet">
    <!-- jQuery -->
    <script src="js/jquery-3.2.1.min.js"></script>
    <!-- jQuery Alertify -->
    <link rel="stylesheet" type="text/css" href="css/alertify.core.css">
    <link rel="stylesheet" type="text/css" href="css/alertify.default.css">
    <script src="js/alertify.js"></script>
    <!-- jQuery Tinymce -->
    <script src="js/tinymce/tinymce.min.js"></script>
    <!-- jQuery DatePick -->
    <link rel="stylesheet" type="text/css" href="jqueryDatepick510/css/jquery.datepick.css">
    <script src="jqueryDatepick510/js/jquery.plugin.min.js"></script>
    <script src="jqueryDatepick510/js/jquery.datepick.js"></script>
    <!-- jQuery Select -->
    <link rel="stylesheet" type="text/css" href="css/select2.css">
    <script src="js/select2.js"></script>
    <script>
        $(function() {
            //Inicializar Editor Tinymce
            tinymce.init({
                selector: 'textarea',
                height: 150,
                menubar: false,
                toolbar: 'formatselect | bold italic backcolor  | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | removeformat |',
                content_css: [
                    '//fonts.googleapis.com/css?family=Lato:300,300i,400,400i',
                    '//www.tinymce.com/css/codepen.min.css'
                ]
            });
            //Inicializar Selects
            $("#cod_alumno").select2({
                placeholder: "Seleccionar Alumno"
            })
            $("#cod_apertura").select2({
                placeholder: "Seleccionar Carrera"
            })
            $("#cod_apert_ciclo").select2({
                placeholder: "Seleccionar Ciclo"
            })
            $("#cod_administrativo").select2({
                placeholder: "Seleccionar Ejecutiva de Ventas"
            })
            $("#cod_tipo_compro").select2({
                placeholder: "Seleccionar Tipo Comprobante"
            })
            //Mostrar y ocultar elementos del formulario
            $("#pagocontado").hide();
            $("#pagocuotas").hide();
            $(".datosempre").hide();
            $("input[name=forma_pago]").click(function() {
                $("#monto_total").val('');
                var valor = $(this).val();
                if (valor == 'Contado') {
                    $("#pagocontado").show();
                    $("#pagocuotas").hide();
                } else {
                    $("#pagocontado").hide();
                    $("#pagocuotas").show();
                }
            });
            //Mostrar y ocultar datos de factura
            $("#cod_tipo_compro").change(function() {
                $("#razon_social").val('');
                $("#ruc").val('');
                $("#direccionemp").val('');
                var tipo = $(this).val();
                if (tipo == 1) {
                    $(".datosempre").show();
                } else {
                    $(".datosempre").hide();
                }
            });
            //Consultar datos del Alumno
            $("#cod_alumno").change(function(e) {
                var datosEnviar = {
                    'cod_alumno': $(this).val(),
                    'proceso': 'BuscarAlumnos'
                };
                $.ajax({
                    type: 'POST',
                    url: 'consultas.php',
                    data: datosEnviar,
                    dataType: 'json',
                    success: function(data) {
                        $("#apellido_paterno").val(data.apellido_paterno);
                        $("#apellido_materno").val(data.apellido_materno);
                        $("#nombres").val(data.nombres);
                        $("#dni").val(data.num_documento);
                        $("#direccion").val(data.direccion);
                        $("#email").val(data.email);
                        $("#telefono").val(data.telefono);
                        $("#movil").val(data.movil);
                    }
                })
            });
            //Buscar datos de la carrera
            $("#cod_apertura").change(function(e) {
                var datosEnviar = {
                    'cod_apertura': $(this).val(),
                    'proceso': 'BuscarAperturas'
                };
                $.ajax({
                    type: 'POST',
                    url: 'consultas.php',
                    data: datosEnviar,
                    dataType: 'json',
                    success: function(data) {
                        $("#duracion").val(data.duracion);
                        $("#turno").val(data.turno);
                        $("#horario").val(data.horario);
                        $("#costo_matricula").val(data.costo_matricula);
                        $("#cod_apert_ciclo").html(data.resultado);
                    }
                })
            });
            /*************************************************************/
            /*************************************************************/
            //Inicializar dataPick
            $("#fecha_matricula").datepick();
            $("#fechas").datepick({
                rangeSelect: true,
                monthsToShow: 2,
                minDate: '-6m',
                maxDate: '+5y',
                showTrigger: '#calImg'
            });
            /*************************************************************/
            /*******  Añadir Filas a Cronogramas de Pagos    *************/
            /*************************************************************/
            $("#agregarFecha").on('click', NuevaFecha);
            $("body").on('click', ".bborrar", EliminarFila);
            var i = 0;

            function NuevaFecha() {
                i++;
                $("#taCronogramas")
                    .append(
                        $('<tr>')
                        .append(
                            $('<td>')
                            .append(
                                $('<input>').attr('type', 'text').attr('name', 'numcouta[]').attr('id', 'numcouta' +
                                    i).attr('size', '10').attr('value', 'Couta N-').addClass('campos')
                            )
                        )
                        .append(
                            $('<td>')
                            .append(
                                $('<input>').attr('type', 'text').attr('name', 'costo[]').attr('id', 'costo' + i)
                                .attr('size', '10').addClass('campos')
                            )
                        )
                        .append(
                            $('<td>')
                            .append(
                                $('<input>').attr('type', 'text').attr('name', 'fechas[]').attr('id', 'fechas' + i)
                                .attr('size', '20').addClass('campos')
                            )
                        )
                        .append(
                            $('<td>')
                            .append(
                                $('<input>').attr('type', 'button').attr('value', 'BORRAR').addClass('bborrar')
                            )
                        )
                    ); //Fin append taCronograma		
                $("#fechas" + i).datepick({
                    rangeSelect: true,
                    monthsToShow: 2,
                    minDate: '-6m',
                    maxDate: '+5y',
                    showTrigger: '#calImg'
                });
            } //Fin funcion NuevaFecha
            /*************************************************************/
            function EliminarFila() {
                $(this).parent().parent().remove();
            }
            //Validar Formulario
            $("#benviar").click(function() {
                if ($("#apellido_paterno").val() == '') {
                    alertify.error("Faltan campos por ingresar");
                    $("#apellido_paterno").focus();
                    return false;
                }
                if ($("#apellido_materno").val() == '') {
                    alertify.error("Faltan campos por ingresar");
                    $("#apellido_materno").focus();
                    return false;
                }
                if ($("#nombres").val() == '') {
                    alertify.error("Faltan campos por ingresar");
                    $("#nombres").focus();
                    return false;
                }
                if ($("#dni").val() == '') {
                    alertify.error("Faltan campos por ingresar");
                    $("#dni").focus();
                    return false;
                }
                if ($("#email").val() == '') {
                    alertify.error("Faltan campos por ingresar");
                    $("#email").focus();
                    return false;
                }
                if ($("#cod_apertura").val() == 0) {
                    alertify.error("Seleccionar la Carrera Profesional");
                    $("#cod_apertura").focus();
                    return false;
                }
                if ($("#cod_apert_ciclo").val() == 0) {
                    alertify.error("Seleccionar la Ciclo Academico");
                    $("#cod_apert_ciclo").focus();
                    return false;
                }
                if (!($("input[name='forma_pago']:radio").is(':checked'))) {
                    alertify.error("Seleccionar forma de pago");
                    $("input[name=forma_pago]").focus();
                    return false;
                }
                if ($("input[name=forma_pago]:checked").val() == 'Contado') {
                    if ($("#monto_total").val() == '') {
                        alertify.error("Ingresar el valor del monto");
                        $("#monto_total").focus();
                        return false;
                    }
                }
                if ($("input[name=forma_pago]:checked").val() == 'Coutas') {
                    if ($("#taCronogramas > tbody > tr > td").length == 0) {
                        alertify.error("Necesario Ingresar Cronograma de Pago");
                        return false;
                    }
                }
                if ($("#fecha_matricula").val() == '') {
                    alertify.error("Faltan campos por ingresar");
                    $("#fecha_matricula").focus();
                    return false;
                }
                if ($("#cod_administrativo").val() == 0) {
                    alertify.error("Seleccionar Ejecutivo(a) de Ventas");
                    $("#cod_administrativo").focus();
                    return false;
                }
                if ($("#cod_tipo_compro").val() == 0) {
                    alertify.error("Seleccionar Tipo de Comprobante");
                    $("#cod_tipo_compro").focus();
                    return false;
                }
                if ($("#cod_tipo_compro").val() == 1) {
                    if ($("#razon_social").val() == '') {
                        alertify.error("Faltan campos por ingresar");
                        $("#razon_social").focus();
                        return false;
                    }
                    if ($("#ruc").val() == '') {
                        alertify.error("Faltan campos por ingresar");
                        $("#ruc").focus();
                        return false;
                    }
                    if ($("#direccion_empresa").val() == '') {
                        alertify.error("Faltan campos por ingresar");
                        $("#direccion_empresa").focus();
                        return false;
                    }
                    if ($("#email_empresa").val() == '') {
                        alertify.error("Faltan campos por ingresar");
                        $("#email_empresa").focus();
                        return false;
                    }
                }
                document.fcms.action = "reg-matriculas.php";
                document.fcms.proceso.value = "Insertar";
                document.fcms.submit();
            });

        }) //Fin document ready	
    </script>
</head>

<body>
    <form action="" name="fcms" id="fcms" method="post">
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="tablas">
            <tbody>
                <tr class="fondofila">
                    <td colspan="2">
                        <h2>Registrar Nueva Matricula</h2>
                    </td>
                </tr>
                <tr>
                    <td width="27%" class="aliderecha" style="color: #fff;">Codigo de Matricula :</td>
                    <td width="73%"><input type="hidden" name="codigo_interno" id="codigo_interno" class="campos" size="20" readonly value="<?php echo $CodigoInterno; ?>"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Alumno :</td>
                    <td>
                        <select name="cod_alumno" id="cod_alumno" class="campos">
                            <option value="0">Nombre o DNI del Alumno</option>
                            <?php
                            $sqlAlumnos    = mysqli_query($conexion, "SELECT cod_alumno, apellido_paterno, apellido_materno, nombres, num_documento  FROM alumnos WHERE estado='A'");
                            while ($fAlum = mysqli_fetch_array($sqlAlumnos)) {
                                $xcod_alumno    = $fAlum['cod_alumno'];
                                $xNombres        = $fAlum['nombres'] . ' ' . $fAlum['apellido_paterno'] . ' ' . $fAlum['apellido_materno'];
                                $xNumDoc        = $fAlum['num_documento'];
                                echo "<option value='$xcod_alumno'>$xNombres - $xNumDoc</option>";
                            }
                            ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td class="aliderecha">Apellido Parteno :</td>
                    <td><input type="text" name="apellido_paterno" id="apellido_paterno" class="campos" size="40"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Apellido Materno :</td>
                    <td><input type="text" name="apellido_materno" id="apellido_materno" class="campos" size="40"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Nombres :</td>
                    <td><input type="text" name="nombres" id="nombres" class="campos" size="40"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Nº DNI/Doc. :</td>
                    <td>
                        <input type="text" name="dni" id="dni" class="campos" size="40">
                    </td>
                </tr>
                <tr>
                    <td class="aliderecha">Direccion :</td>
                    <td><input type="text" name="direccion" id="direccion" class="campos" size="40"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Email :</td>
                    <td><input type="text" name="email" id="email" class="campos" size="40"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Telefono :</td>
                    <td><input type="text" name="telefono" id="telefono" class="campos" size="40"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Movil :</td>
                    <td><input type="text" name="movil" id="movil" class="campos" size="40"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Carreras Aperturas :</td>
                    <td>
                        <select name="cod_apertura" id="cod_apertura" class="campos">
                            <option value="0">Seleccionar Carrera</option>
                            <?php
                            $sqlAperturas    = mysqli_query($conexion, "SELECT cod_apertura, titulo_apertura FROM apertura_carreras WHERE estado='A'");
                            while ($fAper    = mysqli_fetch_array($sqlAperturas)) {
                                $xcod_apertura        = $fAper['cod_apertura'];
                                $xtitulo_apertura     = $fAper['titulo_apertura'];
                                echo "<option value='$xcod_apertura'>$xtitulo_apertura</option>";
                            }
                            ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td class="aliderecha">Ciclo o Módulo :</td>
                    <td>
                        <select name="cod_apert_ciclo" id="cod_apert_ciclo" class="campos">
                            <option value="0">Ciclo o Módulo</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td class="aliderecha">Periodo Lectivo :</td>
                    <td>
                        <input type="text" name="periodo_lectivo" id="periodo_lectivo" class="campos" size="40">
                    </td>
                </tr>
                <tr>
                    <td class="aliderecha">Duración :</td>
                    <td>
                        <input type="text" name="duracion" id="duracion" class="campos" size="40">
                    </td>
                </tr>
                <tr>
                    <td class="aliderecha">Turno :</td>
                    <td>
                        <input type="text" name="turno" id="turno" class="campos" size="40">
                    </td>
                </tr>
                <tr>
                    <td class="aliderecha">Horario :</td>
                    <td><input type="text" name="horario" id="horario" class="campos" size="40"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Costo por Matricula :</td>
                    <td><input type="text" name="costo_matricula" id="costo_matricula" class="campos" size="40"></td>
                </tr>
                <tr>
                    <td class="aliderecha">Tipo de Alumno :</td>
                    <td>
                        <input type="radio" name="tipo_alumno" value="Normal" checked> Normal
                        <input type="radio" name="tipo_alumno" value="Becado"> Becado
                        <input type="radio" name="tipo_alumno" value="1/2 Beca"> 1/2 Beca
                        <input type="radio" name="tipo_alumno" value="Descuento"> Descuento
                    </td>
                </tr>
                <tr>
                    <td class="aliderecha">Forma de Pago :</td>
                    <td>
                        <input type="radio" name="forma_pago" value="Coutas"> Ciclo en Coutas
                        <input type="radio" name="forma_pago" value="Contado"> Ciclo al Contado
                    </td>
                </tr>
                <tr id="pagocontado">
                    <td class="aliderecha">Pago Ciclo al Contado :</td>
                    <td>
                        <input type="text" name="monto_total" id="monto_total" class="campos" size="40">
                    </td>
                </tr>
            </tbody>
        </table>
        <!-- ************************************************** -->
        <!-- ***************  PAGO COUTRAS ******************** -->
        <!-- ************************************************** -->
        <div id="pagocuotas">
            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="sinborde">
                <tr>
                    <td width="25%">
                        <h4>Gronograma de Pagos</h4>
                    </td>
                    <td width="25%">&nbsp;</td>
                    <td width="36%">&nbsp;</td>
                    <td width="14%">
                        <input type="button" value="Añadir Fecha" class="botones" id="agregarFecha">
                    </td>
                </tr>
            </table>
            <!-- ********************************************** -->
            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="borde-tablas" id="taCronogramas">
                <tr>
                    <th width="21%">Nº Coutas</th>
                    <th width="43%">Monto en S/.</th>
                    <th width="30%">Fecha Limite</th>
                    <th width="6%">&nbsp;</th>
                </tr>
            </table>
        </div>
        <!-- ************************************************** -->
        <!-- ************************************************** -->
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="tablas" id="tabla">
            <tr>
                <td width="27%" class="aliderecha">Observaciones</td>
                <td width="73%">
                    <textarea name="observaciones" cols="80" rows="5" class="campos"></textarea>
                </td>
            </tr>
            <tr>
                <td class="aliderecha">Fecha Matricula :</td>
                <td>
                    <input type="text" name="fecha_matricula" id="fecha_matricula" class="campos">
                </td>
            </tr>
            <tr>
                <td class="aliderecha">Asesor de Ventas :</td>
                <td>
                    <select name="cod_administrativo" id="cod_administrativo" class="campos">
                        <option value="0">Seleccionar Ejecutiva de Ventas</option>
                        <?php
                        $sqlEjeVentas    = mysqli_query($conexion, "SELECT cod_administrativo, nombres, apellidos FROM administrativo WHERE estado='A'");
                        while ($fEje    = mysqli_fetch_array($sqlEjeVentas)) {
                            $xcod_administrativo    = $fEje['cod_administrativo'];
                            $xnombres                = $fEje['nombres'] . ' ' . $fEje['apellidos'];
                            echo "<option value='$xcod_administrativo'>$xnombres</option>";
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="aliderecha">Tipo Comprobante :</td>
                <td>
                    <select name="cod_tipo_compro" id="cod_tipo_compro" class="campos">
                        <option value="0">Seleccionar Tipo de Comprobante</option>
                        <?php
                        $sqlTipoComp    = mysqli_query($conexion, "SELECT * FROM tipo_comprobante");
                        while ($fTcom    = mysqli_fetch_array($sqlTipoComp)) {
                            $xcod_tipo_comproPrimaria    = $fTcom['cod_tipo_compro'];
                            $xnombre_tipo_comprobante    = $fTcom['nombre_tipo_comprobante'];
                            echo "<option value='$xcod_tipo_comproPrimaria'>$xnombre_tipo_comprobante</option>";
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr class="datosempre">
                <td class="aliderecha">Nombre o Razon Social :</td>
                <td>
                    <input type="text" name="razon_social" id="razon_social" class="campos" size="40">
                </td>
            </tr>
            <tr class="datosempre">
                <td class="aliderecha">Nº RUC :</td>
                <td>
                    <input type="text" name="ruc" id="ruc" class="campos">
                </td>
            </tr>
            <tr class="datosempre">
                <td class="aliderecha">Direccion :</td>
                <td>
                    <input type="text" name="direccion_empresa" id="direccion_empresa" class="campos" size="40">
                </td>
            </tr>
            <tr class="datosempre">
                <td class="aliderecha">Email Empresa :</td>
                <td>
                    <input type="text" name="email_empresa" id="email_empresa" class="campos" size="40">
                </td>
            </tr>
            <tr>
                <td class="aliderecha">&nbsp;</td>
                <td>
                    <input type="button" value="REGISTRAR MATRICULA" class="botones" id="benviar">
                    <input type="hidden" name="proceso" id="proceso">
                </td>
            </tr>
            <tr>
                <td class="aliderecha">&nbsp;</td>
                <td>NOTA: Todos los campos son obligatorios.</td>
            </tr>
        </table>
    </form>
</body>

</html>