<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<title>Sistema Educativo AppAOE</title>
<link rel="stylesheet" type="text/css" href="css/normalize.css">
<link rel="stylesheet" type="text/css" href="css/estilosweb.css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel" rel="stylesheet">
<!-- jQuery -->
<script src="js/jquery-2.2.3.min.js"></script>
<!-- jQueryDataTable -->
<link rel="stylesheet" type="text/css" href="css/datatables.min.css">
<script src="js/datatables.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/dataTables.checkboxes.css">
<script src="js/dataTables.checkboxes.min.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" type="text/css" href="css/alertify.core.css">
<link rel="stylesheet" type="text/css" href="css/alertify.default.css">
<script src="js/alertify.js"></script>
<!-- Fancybox -->
<script src="source/jquery.fancybox.pack.js?v=2.1.5"></script>
<link rel="stylesheet" type="text/css" href="source/jquery.fancybox.css?v=2.1.5">
<!-- Acordion -->
<script src="js/acordion.js"></script>
<script>
    $(function(){
        //Inicializar Alertify como Prom
        function reset(){
            $("#toggleCSS").attr("href", "css/alertify.default.css")
            alertify.set({
                labels         :{
                    ok         : "SI",
                    cancel     : "NO"
                },
                delay          : 5000,
                buttonReverse  : false,
                buttonFocus    : true
            });
        }
        /****************************************************/
        /***************    GENERAR REPORTES   **************/
        /****************************************************/
		$("#bexportar").click(function(){
			document.fcms.action 	= "exportar-docentes-excel.php";
			document.fcms.submit();
		});
		
    })//Fin document ready
</script>
</head>
<body>
<!-- **************************************************************** -->
<!-- ************************  MENU DEL GESTOR  ********************* -->
<!-- **************************************************************** -->
<?php include("modulos/menucms.php"); ?>
<!-- **************************************************************** -->
<!-- ************************  SECCION DEL GESTOR  ****************** -->
<!-- **************************************************************** -->
<section id="contenedor">
	<!-- ********************  CABECERA GESTOR     ****************** -->
	<?php include("modulos/cabecera.php"); ?>	
	<!-- ********************   CUERPO GESTOR      ****************** -->
	<section id="cuerpo">
        <section id="centro-top">
            <h1>Administrar Reportes Personal Docente</h1>
        </section>
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <section id="titulo-modulos">
            <h2>Generar Reportes</h2>
        </section>
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <section id="marco-modulo">
			<form action="" name="fcms" id="fbuscar" method="post">
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="sinborde">
				  <tbody> 
					<tr>
					  <td width="21%" class="aligder">Reporte por sexo :</td>
					  <td width="79%">
						  <input type="radio" name="sexo" value="Masculino" checked> Masculino
						  <input type="radio" name="sexo" value="Femenino"> Femenino
						  <input type="radio" name="sexo" value="Todos"> Todos
					  </td>
					</tr>
					<tr>
					  <td class="aligder">&nbsp;</td>
					  <td id="resultado"></td>
					</tr>  
					<tr>
					  <td>&nbsp;</td>
					  <td>
					  <div style="display: flex;">	  
						  <input type="button" value="EXPORTAR A EXCEL" class="botones" id="bexportar" style="background: #40B43B; margin-left: 6px;">
						  <input type="hidden" name="proceso" id="proceso">
					  </div>	  
					  </td>
					</tr>
					<tr>
					  <td>&nbsp;</td>
					  <td id="mensaje"></td>
					</tr>  
					<tr>
					  <td>&nbsp;</td>
					  <td>&nbsp;</td>
					</tr>  
				  </tbody>
				</table>
			</form>
        </section>        
	</section>	
	<!-- ********************  PIE PAGINA GESTOR   ****************** -->
	<?php include("modulos/piepag.php"); ?>	
</section>
<!--************************** Rutinas CMS ***************************-->
<script src="js/cms-rutuas.js"></script>
</body>
</html>