<?php
require("modulos/conexion.php");
require("config/verificar-login.php");

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">	
<link href="css/normalize.css" rel="stylesheet" type="text/css">
<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
<!-- jQuery -->
<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
<!-- Mega Menu -->
<link rel="stylesheet" type="text/css" href="css/megamenu.css">
<script src="js/megamenu.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" href="css/alertify.core.css" />
<link rel="stylesheet" href="css/alertify.default.css" id="toggleCSS" />
<script src="js/alertify.js"></script>	
<script>
$(document).ready(function(e) {
	 //Inicializar el mega menu
	$(".megamenu").megamenu();
	deshabilitaRetroceso();
	var altura	= $("#menuprincipal").offset().top;
	$(window).on("scroll", function(){ 
		if($(window).scrollTop() > altura){
			$("#menuprincipal").addClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","20px");
		}else{
			$("#menuprincipal").removeClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","0");
		}
	});
	//Validar formulario generar nueva clave
	$('.clave').hide();
	$('.clave2').hide();
	$('#brecup').click(function(){
		if($('#clave').val()=='' || $('#clave').val().length<6){
			alertify.error('Debe ingresar una clave con 6 caracteres');
			$('#clave').focus();
			return false;
		}
		if($('#clave2').val()=='' || $('#clave2').val().length<6){
			alertify.error('Debe confirmar la clave');
			$('#clave2').focus();
			return false;
		}
		if($('#clave').val() != $('#clave2').val()){
			alertify.error('Las claves no son iguales');
			$('#clave2').focus();
			return false;
		}
		actualizarClave();
	});
});
function deshabilitaRetroceso(){
	window.location.hash="no-back-button";
	window.location.hash="Again-No-back-button";
	window.onhashchange=function(){
		window.location.hash='no-back-button';
	}
}
function actualizarClave(){
	$('#proceso').val('actualizarClaveDocente');
	var datosEnviar = $('#fingreso').serialize();
	$.ajax({
		data 	: datosEnviar,
		url 	: 'procesoeduca.php',
		type  	: 'post',
		dataType: 'json',
		success	: function(datos){
			$("#clave").val('');
			$("#clave2").val('');
			$(".msjalerta").html(datos.resultado);
			setTimeout(function(){
				$(".msjalerta").text('');
				window.open('config/cerrar-sesion.php', '_self');
			}, 5000);
		}
	});
}		
function Validar(elemento){
	//Captura la longitud de caracteres del campo
	var longitud	= $('[name='+elemento+']').val().length;
	if(longitud<6){
		$('.'+elemento).show();
	}else{
		if(elemento == 'clave2'){
			valor_clave		= document.fingreso.clave.value;
			valor_clave_2	= document.fingreso.clave2.value;
			if(valor_clave == valor_clave_2){
				$('.'+elemento).hide();
			}else{
				$('.'+elemento).html('Las claves deberán ser iguales');
				$('.'+elemento).show();
			}
		}else{
			if(elemento == 'clave'){
				if(longitud<6){
					$('.'+elemento).html('La longitud mínima debe ser 6 caracteres');
					$('.'+elemento).show();
				}else{
					$('.'+elemento).hide();
				}
			}
		}
	}
}		
</script>
</head>

<body>
<!--***************************************************************-->
<!--********************  CABECERA DE LA WEB  *********************-->
<!--***************************************************************-->
<?php include "modulos/cabecera.php"; ?>
<!--***************************************************************-->
<!--********************  CUERPO DE LA WEB    *********************-->
<!--***************************************************************-->
<section id="cajacuerpo">
	<div id="cuerpo">
		<h2 class="titulo">ACTUALIZAR CONTRASEÑA</h2>
		<p class="txtintro">Cambiar periodicamente sus accesos.</p>
		<div id="cajablanca">
			<img src="img-apps/docentes/<?php echo $dImagen; ?>" alt="<?php echo $dNombres; ?>" class="imgperfil" width="150" height="150">
		  	<h2 class="nombreuser"><?php echo $dNombres; ?></h2>
			<!-- ************************************************ -->
			<!-- ************************************************ -->
			<div id="cajalogin">
				<form action="" id="fingreso" name="fingreso" method="post">
					<p>
					Ingrese una clave<br>
					<input type="password" name="clave" id="clave" class="camposrecu" placeholder="Ingrese password" onKeyUp="javascript:Validar(this.name)">
					</p>
					<!-- ********************************************** -->
					<p class="clave alerta">La longitud mínima debe ser 6 caracteres</p>
					<!-- ********************************************** -->
					<p>
					Confirme la clave<br>
					<input type="password" name="clave2" id="clave2" class="camposrecu" placeholder="Confirme password" onKeyUp="javascript:Validar(this.name)">
					</p>
					<!-- ********************************************** -->
					<p class="clave2 alerta">Las claves deberan ser iguales</p>
					<!-- ********************************************** -->
					<p>
					<input type="button" value="ACTUALIZAR CONTRASEÑA" id="brecup">
					<input type="hidden" name="proceso" id="proceso">
					<input type="hidden" name="cod_docente" id="cod_docente" value="<?php echo $dCodigo; ?>">
					</p>
					<p class="alerta msjalerta"></p>
				</form>
			</div>
		</div>			
    </div>
</section>
<!--***************************************************************-->
<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
<!--***************************************************************-->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>