<?php
require("modulos/conexion.php");
session_start();
session_destroy();
$_SESSION	= array();
if(ini_get("session.use_cookies")){
	$params	= session_get_cookie_params();
	setcookie(session_name(), '', time()-42000, $params["path"], $params["domain"], $params["secure"], $params["httponly"]);
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<link href="css/normalize.css" rel="stylesheet" type="text/css">
<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
<!-- jQuery -->
<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
<!-- jQuery -->
<link rel="stylesheet" href="css/vegas.css" />	
<script type="text/javascript" src="js/vegas.min.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" href="css/alertify.core.css" />
<link rel="stylesheet" href="css/alertify.default.css" id="toggleCSS" />
<script src="js/alertify.js"></script>
<!-- Add fancyBox main JS and CSS files -->
<script type="text/javascript" src="source/jquery.fancybox.js?v=2.1.5"></script>
<link rel="stylesheet" type="text/css" href="source/jquery.fancybox.css?v=2.1.5" media="screen" />	
<script>
$(document).ready(function(e) {
	$('.fancybox').fancybox();
	//Inicializar jQuery Vegas
	$("#cajacuerpoHome").vegas({
		timer		: false,
		slides		: [
			{ src 	: "imagenes/banner-home.jpg" }
		],
		overlay 	: 'css/overlays/02.png',
		animation	: 'random'	
	});
	//Validar Formulario de Ingreso
	$("#usuario").keypress(function(e){
		if(e.which == 13){
		   	Validar();
			return false;
		}
	});
	$("#clave").keypress(function(e){
		if(e.which == 13){
		   	Validar();
			return false;
		}
	});
	$("#bingreso").click(function(){
		Validar();
	});
});
//Funcion Validar
function Validar(){
	var usuario = $("#usuario").val();
	var clave 	= $("#clave").val();
	if(usuario==""){
	   	alertify.error("Ingresar su usuario");
		$("#usuario").focus();
		return false;
	}
	if(clave==""){
	   	alertify.error("Ingresar su clave");
		$("#clave").focus();
		return false;
	}
	document.fingreso.action = "config/validar.php";
	document.fingreso.proceso.value = "Iniciar";
	document.fingreso.submit();
}	
</script>
</head>

<body>
<!--***************************************************************-->
<!--********************  CABECERA DE LA WEB  *********************-->
<!--***************************************************************-->
<header id="cabeceraHome">
    <img src="imagenes/logo.png" alt="Instituto Superior Publico Instituto Antenor Orrego Espinoza">
    <form name="fingreso" method="post" action="" id="fingreso">
		<p><input type="text" name="usuario" class="camposlog" id="usuario" placeholder="Usuario"></p>
		<p><input type="password" name="clave" class="camposlog" id="clave" placeholder="Contraseña"></p>
		<p><a href="recuperar-clave.php" class="fancybox fancybox.iframe olvidoclave">¿Olvidó su contraseña?</a></p>
		<p>
		<input type="button" name="boton" value="INGRESAR AHORA" class="boton" id="bingreso">
		<input type="hidden" name="proceso" id="proceso">
		</p>
	</form>
	<p class="copy">© Copyright Instituto Antenor Orrego Espinoza.</p>
	<div id="sociales">
    	<ul>
    		<li><a href="https://www.facebook.com/" target="_blank"><i class="icon-facebook"></i></a></li>
    		<li><a href="https://twitter.com/" class="tw" target="_blank"><i class="icon-twitter"></i></a></li>
    		<li><a href="http://www.linkedin.com" class="li" target="_blank"><i class="icon-linkedin"></i></a></li>
    		<li><a href="https://www.youtube.com" class="yu" target="_blank"><i class="icon-youtube"></i></a></li>
    	</ul>
    </div>
</header>
<!--***************************************************************-->
<!--********************  CUERPO DE LA WEB    *********************-->
<!--***************************************************************-->
<section id="cajacuerpoHome">
</section>
</body>
</html>