<?php
require("modulos/conexion.php");
require("config/verificar-login.php");
//Leer datos del alumno
$sqlConsulta			= mysqli_query($conexion, "SELECT * FROM alumnos WHERE cod_alumno='$xCodigo'");
$fila					= mysqli_fetch_array($sqlConsulta);
$cod_alumno				= $fila['cod_alumno'];
$apellido_paterno		= utf8_encode($fila['apellido_paterno']);
$apellido_materno		= utf8_encode($fila['apellido_materno']);
$nombres				= utf8_encode($fila['nombres']);
$tipo_documento			= $fila['tipo_documento'];
$num_documento			= $fila['num_documento'];
$fecha_nacimiento		= $fila['fecha_nacimiento'];
$sexo					= utf8_encode($fila['sexo']);
$IdDepartamento			= $fila['IdDepartamento'];
$IdProvincia			= $fila['IdProvincia'];
$IdDistrito				= $fila['IdDistrito'];
$direccion				= utf8_encode($fila['direccion']);
$email					= utf8_encode($fila['email']);
$telefono				= $fila['telefono'];
$telefono_emergencia	= $fila['telefono_emergencia'];
$movil					= $fila['movil'];
$imagen					= $fila['imagen'];
$nombre_apoderado		= utf8_decode($fila['nombre_apoderado']);
$email_apoderado		= utf8_decode($fila['email_apoderado']);
$direccion_apoderado	= utf8_decode($fila['direccion_apoderado']);
$telefono_apoderado		= $fila['telefono_apoderado'];
$movil_apoderado		= $fila['movil_apoderado'];


$_SESSION['xNombres']	= $nombres." ".$apellido_paterno." ".$apellido_materno;
$_SESSION['xEmail']		= $email;
$_SESSION['xImagen']	= $imagen;

$xNombres=$nombres." ".$apellido_paterno." ".$apellido_materno;

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">	
<link href="css/normalize.css" rel="stylesheet" type="text/css">
<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
<!-- jQuery -->
<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
<!-- Mega Menu -->
<link rel="stylesheet" type="text/css" href="css/megamenu.css">
<script src="js/megamenu.js"></script>
<script>
$(document).ready(function(e) {
	 //Inicializar el mega menu
	$(".megamenu").megamenu();
	deshabilitaRetroceso();
	var altura	= $("#menuprincipal").offset().top;
	$(window).on("scroll", function(){ 
		if($(window).scrollTop() > altura){
			$("#menuprincipal").addClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","20px");
		}else{
			$("#menuprincipal").removeClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","0");
		}
	});
});
function deshabilitaRetroceso(){
	window.location.hash="no-back-button";
	window.location.hash="Again-No-back-button";
	window.onhashchange=function(){
		window.location.hash='no-back-button';
	}
}	
</script>
</head>

<body>
<!--***************************************************************-->
<!--********************  CABECERA DE LA WEB  *********************-->
<!--***************************************************************-->
<?php include "modulos/cabecera.php"; ?>
<!--***************************************************************-->
<!--********************  CUERPO DE LA WEB    *********************-->
<!--***************************************************************-->
<section id="cajacuerpo">
	<div id="cuerpo">
		<h2 class="titulo">PERFIL DEL ESTUDIANTE</h2>
		<p class="txtintro">Ver datos del estudiante.</p>
		<div id="cajablanca">
			<img src="img-apps/alumnos/<?php echo $imagen; ?>" alt="<?php echo $xNombres; ?>" class="imgperfil" width="150" height="150">
			<h2 class="nombreuser"><?php echo $xNombres; ?></h2>
			<!-- ************************************************* -->
			<!-- ************************************************* -->
			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tablas">
			  <tbody>
				<tr>
				  <td width="30%" class="tabizq">Apellido Paterno :</td>
				  <td width="70%"><?php echo $apellido_paterno; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Apellido Materno :</td>
				  <td><?php echo $apellido_materno; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Nombres :</td>
				  <td><?php echo $nombres; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Tipo de Documento :</td>
				  <td><?php echo $tipo_documento; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Nº de Documento :</td>
				  <td><?php echo $num_documento; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Fecha Nacimiento :</td>
				  <td><?php echo $fecha_nacimiento; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Sexo :</td>
				  <td><?php echo $sexo; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Departamento :</td>
				  <td>
					<?php
					$sqlDeparta	= mysqli_query($conexion, "SELECT * FROM departamentos WHERE IdDepartamento='$IdDepartamento'");
					$fDepa		= mysqli_fetch_array($sqlDeparta);
					echo utf8_encode($fDepa['Departamento']);
					?>
				  </td>
				</tr>
				<tr>
				  <td class="tabizq">Provincia :</td>
				  <td>
				    <?php
					$sqlProv	= mysqli_query($conexion, "SELECT * FROM provincias WHERE IdProvincia='$IdProvincia'");
					$fProv		= mysqli_fetch_array($sqlProv);
					echo utf8_encode($fProv['Provincia']);
					?>		
				  </td>
				</tr>
				<tr>
				  <td class="tabizq">Distrito :</td>
				  <td>
					<?php
					$sqlDist	= mysqli_query($conexion, "SELECT * FROM distritos WHERE IdDistrito='$IdDistrito'");
					$fDis		= mysqli_fetch_array($sqlDist);
					echo utf8_encode($fDis['Distrito']);
					?>	
				  </td>
				</tr>
				<tr>
				  <td class="tabizq">Dirección :</td>
				  <td><?php echo $direccion; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Email :</td>
				  <td><?php echo $email; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Teléfono :</td>
				  <td><?php echo $telefono; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Teléfono de Emergencia :</td>
				  <td><?php echo $telefono_emergencia; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Movil/Whastapp :</td>
				  <td><?php echo $movil; ?></td>
				</tr>
				<tr class="fondofila">
				  <td class="tabizq"><h4>Datos del Padre o Apoderado</h4></td>
				  <td>&nbsp;</td>
				</tr>
				<tr>
				  <td class="tabizq">Nombres y Apellidos :</td>
				  <td><?php echo $nombre_apoderado; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Email :</td>
				  <td><?php echo $email_apoderado; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Dirección :</td>
				  <td><?php echo $direccion_apoderado; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Teléfono :</td>
				  <td><?php echo $telefono_apoderado; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Movil/Whastapp :</td>
				  <td><?php echo $movil_apoderado; ?></td>
				</tr>
			  </tbody>
			</table>
			<!-- ************************************************* -->
			<!-- ************************************************* -->
		</div>			
    </div>
</section>
<!--***************************************************************-->
<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
<!--***************************************************************-->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>