<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
<link href="css/normalize.css" rel="stylesheet" type="text/css">
<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" href="css/alertify.core.css" />
<link rel="stylesheet" href="css/alertify.default.css" id="toggleCSS" />
<script src="js/alertify.js"></script>
<script>
$(function(){
	//Validar Formulario
	$(".alerta").hide();
	$("#email").keypress(function(e){
		if(e.which==13){
			Validar();
			return false;
		}
	});
	$("#brecup").click(function(){
		Validar();
	})
	
});
//Funcion Validar formulario
function Validar(){
	var emailreg	= /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
	if($("#email").val()=='' || !emailreg.test($("#email").val())){
		alertify.error("Ingresar un email valido");
		$("#email").focus();
		return false;	
	}
	recuperarClave();
}
//Funcion Recuperar Clave
function recuperarClave(){
	$("#proceso").val("recuperarClave");
	var datosEnvio = $("#frecuperar").serialize();
	$.ajax({
		data		: datosEnvio,
		url			: 'procesoeduca.php',
		type		: 'post',
		dataType	: 'json',
		beforeSend	: function(){
			$(".alerta").show();
			$(".alerta").html('Procesando datos espere por favor...');
		},
		success		: function(datos){
			$("#email").val('');
			$(".alerta").show();
			$(".alerta").html(datos.resultado);
			setTimeout(function(){
				$(".alerta").html('&nbsp;')
				$(".alerta").hide();
			}, 5000);
		}
	});
}	
</script>	
</head>

<body>
<div id="cajarecuperar">
	<h2>Recuperación de Contraseña</h2>
	<form name="frecuperar" method="post" action="" id="frecuperar">
		<p>
		Ingresa tu Email<br>
		<input type="text" name="email" id="email" class="camposrecu" placeholder="Email *">
		</p>
		<!-- ********************************************** -->
		<p class="alerta"></p>
		<!-- ********************************************** -->
		<p>
		<input type="button" value="ENVIAR PETICIÓN" id="brecup">
		<input type="hidden" name="proceso" id="proceso">
		</p>
	</form>
</div>
</body>
</html>