<?php
require("modulos/conexion.php");
require("config/verificar-login.php");
$cod_docente        = $_REQUEST['cod_docente'];
$cod_curricula        = $_REQUEST['cod_curricula'];
$cod_apertura        = $_REQUEST['cod_apertura'];
$cod_apert_ciclo    = $_REQUEST['cod_apert_ciclo'];
/*******************************************/
/********** Mostrar Titulo Ciclo     *******/
/*******************************************/
$sqlAperturas        = mysqli_query($conexion, "SELECT * FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
$fAper                = mysqli_fetch_array($sqlAperturas);
$titulo_ciclo        = $fAper['titulo_ciclo'];
/*******************************************/
/********** Mostrar Datos del Docente  *****/
/*******************************************/
$sqlDocente            = mysqli_query($conexion, "SELECT * FROM docentes WHERE cod_docente='$cod_docente'");
$fDoc                = mysqli_fetch_array($sqlDocente);
$docente            = $fDoc['nombres'] . ' ' . $fDoc['apellidos'];
/*******************************************/
/********** Mostrar Datos del Curso    *****/
/*******************************************/
$sqlCursos            = mysqli_query($conexion, "SELECT nombre_curso FROM plan_curricular WHERE cod_curricula='$cod_curricula'");
$fCur                = mysqli_fetch_array($sqlCursos);
$nombre_curso        = $fCur['nombre_curso'];
/*******************************************/
/********** Mostrar Titulo Apertura   ******/
/*******************************************/
$sqlAperCar            = mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
$fAperCar            = mysqli_fetch_array($sqlAperCar);
$titulo_apertura    = $fAperCar['titulo_apertura'];
?>
<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
    <link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
    <link href="css/normalize.css" rel="stylesheet" type="text/css">
    <link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
    <!-- Iconos Fontello -->
    <link rel="stylesheet" type="text/css" href="css/animation.css">
    <link rel="stylesheet" type="text/css" href="css/iconos.css">
    <link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
    <link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
    <!-- jQuery -->
    <script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
    <!-- Mega Menu -->
    <link rel="stylesheet" type="text/css" href="css/megamenu.css">
    <script src="js/megamenu.js"></script>
    <!-- Print Area -->
    <script type="text/javascript" src="js/jquery-ui-1.10.4.custom.js"></script>
    <script type="text/javascript" src="js/jquery.PrintArea.js"></script>
    <link rel="stylesheet" type="text/css" href="css/ui-lightness/jquery-ui-1.10.4.custom.css">
    <link rel="stylesheet" type="text/css" href="css/PrintArea.css">
    <script>
        $(document).ready(function(e) {
            //Inicializar el mega menu
            $(".megamenu").megamenu();
            deshabilitaRetroceso();
            var altura = $("#menuprincipal").offset().top;
            $(window).on("scroll", function() {
                if ($(window).scrollTop() > altura) {
                    $("#menuprincipal").addClass("menu-fijo");
                    $("#cajacuerpo").css("margin-top", "20px");
                } else {
                    $("#menuprincipal").removeClass("menu-fijo");
                    $("#cajacuerpo").css("margin-top", "0");
                }
            });
            $("#bimprimir").click(function() {
                var mode = 'iframe';
                var close = mode == 'popup';
                var options = {
                    mode: mode,
                    popClose: close
                };
                $("div#cajaboleta").printArea(options);
            })
            /**************************************************/
            /*************  Actualizar Notas    ***************/
            /**************************************************/
            $("#bactualizar").click(function() {
                if ($("#titulo_nota").val() == '') {
                    alert("Es necesario ingresar el titulo de notas");
                    $("#titulo_nota").focus();
                    return false;
                }
                $("#proceso").val('ActualizarNotas');
                var datosEnviar = $("#fcms").serialize();
                $.ajax({
                    type: 'POST',
                    url: 'actualizar-notas.php',
                    data: datosEnviar,
                    dataType: 'json',
                    success: function(data) {
                        //alert(data.resultado)
                        if (data.resultado == 'SI') {
                            location.reload();
                        }
                    }
                });
            });
        });

        function deshabilitaRetroceso() {
            window.location.hash = "no-back-button";
            window.location.hash = "Again-No-back-button";
            window.onhashchange = function() {
                window.location.hash = 'no-back-button';
            }
        }
    </script>
</head>

<body>
    <!--***************************************************************-->
    <!--********************  CABECERA DE LA WEB  *********************-->
    <!--***************************************************************-->
    <?php include "modulos/cabecera.php"; ?>
    <!--***************************************************************-->
    <!--********************  CUERPO DE LA WEB    *********************-->
    <!--***************************************************************-->
    <section id="cajacuerpo">
        <div id="cuerpo">
            <h2 class="titulo"><?php echo $titulo_apertura; ?></h2>
            <p class="txtintro">Registro de Notas</p>
            <div id="cajablanca">
                <a href="poner-notas-docentes.php?cod_apertura=<?php echo $cod_apertura; ?>&cod_apert_ciclo=<?php echo $cod_apert_ciclo ?>&cod_docente=<?php echo $cod_docente ?>" class="botones"><i class="icon-reply-all"></i> Volver a Cursos</a>
                <!-- ************************************************* -->
                <!-- ************************************************* -->
                <div id="cajaboleta">
                    <form action="" name="fcms" id="fcms" method="post">
                        <div id="tituloboleta">
                            <p><img src="imagenes/logo.png" alt="Instituto Ninadesign"></p>
                            <h1>REGISTRO DE NOTAS</h1>
                            <h2><?php echo $titulo_apertura; ?></h2>
                            <h2><?php echo $titulo_ciclo; ?></h2>
                            <p>Docente : <?php echo $docente; ?> | Curso : <?php echo $nombre_curso; ?></p>
                        </div>
                        <!-- ************************************************* -->
                        <!-- ************************************************* -->
                        <input type="hidden" name="proceso" id="proceso">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="bordetablas">
                            <thead>
                                <tr>
                                    <th width="2%" scope="col">Nº</th>
                                    <th scope="col">Nombres y Apellidos</th>
                                    <?php
                                    $sqlRegistro    = mysqli_query($conexion, "SELECT cod_notas FROM registro_alumnos WHERE cod_docente='$cod_docente' AND cod_curricula='$cod_curricula' AND cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' ORDER BY alumno ASC");
                                    $fila           = mysqli_fetch_array($sqlRegistro);
                                    $cod_notas      = $fila['cod_notas'];
                                    /*******************************************/
                                    $sqlListaNotas  = mysqli_query($conexion, "SELECT * FROM lista_notas WHERE cod_docente='$cod_docente' AND cod_curricula='$cod_curricula' AND cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' AND cod_notas = '$cod_notas' ORDER BY cod_listnotas ASC");
                                    while ($flnotas = mysqli_fetch_array($sqlListaNotas)) {
                                        $titulo_nota = $flnotas['titulo_nota'];
                                        echo "<th scope='col' align='left'>$titulo_nota</th>";
                                    }
                                    ?>
                                    <th scope="col" align="left">Prom.</th>
                                </tr>
                            </thead>
                            <!-- *********** Resultado de Busqueda -->
                            <tbody id="cuerpotabla">
                                <?php
                                $sqlRegistro    = mysqli_query($conexion, "SELECT * FROM registro_alumnos WHERE cod_docente='$cod_docente' AND cod_curricula='$cod_curricula' AND cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' ORDER BY alumno ASC");
                                while ($fila        = mysqli_fetch_array($sqlRegistro)) {
                                    $num++;
                                    $cod_notas        = $fila['cod_notas'];
                                    $nombre_alumno    = $fila['alumno'];
                                    /*************************************************/
                                    /*************************************************/
                                ?>
                                    <tr>
                                        <td><?php echo $num; ?></td>
                                        <td><?php echo $nombre_alumno; ?></td>
                                        <?php
                                        $sqlListaNotas  = mysqli_query($conexion, "SELECT * FROM lista_notas WHERE cod_notas = '$cod_notas' ORDER BY cod_listnotas ASC");
                                        $numNot = 0;
                                        $totalNotas = 0;
                                        $promedio = 0;
                                        while ($flnotas = mysqli_fetch_array($sqlListaNotas)) {
                                            $nota       = $flnotas['nota'];
                                            $totalNotas = ($totalNotas + $nota);
                                            $numNot++;
                                            echo "<td>$nota</td>";
                                        }
                                        $promedio = ($totalNotas / $numNot);
                                        ?>
                                        <td><?= round($promedio) ?></td>
                                    </tr>
                                <?php
                                } //Fin while
                                ?>
                            </tbody>
                        </table>
                        <p>&nbsp;</p>
                    </form>
                    <!-- ************************************************* -->
                    <!-- ************************************************* -->
                    <a class="botones" id="bimprimir"><i class="icon-print-2"></i>Imprimir Registro</a>
                </div>
            </div>
        </div>
    </section>
    <!--***************************************************************-->
    <!--****************** PIE DE PAGINA DE LA WEB    *****************-->
    <!--***************************************************************-->
    <?php include "modulos/piepagina.php"; ?>
</body>

</html>