<?php
$nombreExcel = "reporte-docentes".date('d-m-Y-His') . ".xls";
header("Content-Type: application/vnd.ms-excel");
header("Content-Disposition: attachment; filename=\"$nombreExcel\"");
/***********************************************/
/***********************************************/
require("modulos/conexion.php");
require("verificar-usuarios.php");
/***********************************************/
/***********************************************/
$cod_apertura       = $_POST['cod_apertura'];
$cod_apert_ciclo    = $_POST['cod_apert_ciclo'];
$cod_curricula      = $_POST['cod_curricula'];
$cod_docente        = $_POST['cod_docente'];
/***********************************************/
/***********************************************/
$sqlCarrera			= mysqli_query($conexion, "SELECT titulo_apertura FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
$filaCar			= mysqli_fetch_array($sqlCarrera);
$titulo_apertura	= utf8_encode($filaCar['titulo_apertura']);
/*************************************************/
/*************************************************/
$sqlCiclo		  	  = mysqli_query($conexion, "SELECT titulo_ciclo FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
$filaCic			    = mysqli_fetch_array($sqlCiclo);
$titulo_ciclo		  = utf8_encode($filaCic['titulo_ciclo']);
/*************************************************/
/*************************************************/
$sqlDocente			  = mysqli_query($conexion, "SELECT nombres, apellidos FROM docentes WHERE cod_docente='$cod_docente'");
$filaDoc			    = mysqli_fetch_array($sqlDocente);
$docente			    = utf8_encode($filaDoc['nombres'].' '.$filaDoc['apellidos']);
/*************************************************/
/*************************************************/
$sqlCurso			    = mysqli_query($conexion, "SELECT nombre_curso FROM plan_curricular WHERE cod_curricula='$cod_curricula'");
$filaCur			    = mysqli_fetch_array($sqlCurso);
$nombre_curso		  = utf8_encode($filaCur['nombre_curso']);
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
</head>

<body>
<h1>REPORTE DE ASISTENCIA IESTP ANTENOR ORREGO ESPINOZA</h1>
<?php
echo "
    <h2>Carrera : $titulo_apertura</h2>
    <h2>Ciclo : $titulo_ciclo</h2>
    <h3>Docente : $docente</h3>
    <h3>Curso : $nombre_curso</h3>";
?>
?>
<table width="100%" border="1" cellspacing="0" cellpadding="0">
  <tbody>
    <tr>
        <th width="2%" scope="col">Nº</th>
        <th width="53%" scope="col">Nombres y Apellidos</th>
        <th width="2%" scope="col">1</th>
        <th width="2%" scope="col">2</th>
        <th width="2%" scope="col">3</th>
        <th width="2%" scope="col">4</th>
        <th width="2%" scope="col">5</th>
        <th width="2%" scope="col">6</th>
        <th width="2%" scope="col">7</th>
        <th width="2%" scope="col">8</th>
        <th width="2%" scope="col">9</th>
        <th width="2%" scope="col">10</th>
        <th width="2%" scope="col">11</th>
        <th width="2%" scope="col">12</th>
        <th width="2%" scope="col">13</th>
        <th width="2%" scope="col">14</th>
        <th width="2%" scope="col">15</th>
        <th width="2%" scope="col">16</th>
        <th width="2%" scope="col">17</th>
        <th width="2%" scope="col">18</th>
        <th width="2%" scope="col">19</th>
        <th width="1%" scope="col">20</th>
        <th width="1%" scope="col">T</th>
        <th width="1%" scope="col">%</th>
        <th width="4%" scope="col">Obs.</th>
    </tr>
	<?php
	$sqlRegistro	= mysqli_query($conexion, "SELECT * FROM registro_asistencia as r, alumnos as a WHERE r.cod_docente='$cod_docente' AND r.cod_curricula='$cod_curricula' AND r.cod_apertura='$cod_apertura' AND r.cod_apert_ciclo='$cod_apert_ciclo' AND r.cod_alumno=a.cod_alumno ORDER BY a.apellido_paterno ASC");
	while($fila		= mysqli_fetch_array($sqlRegistro)){
        /**************************************/
        /********   Inicializar Array  ********/
        /**************************************/
        $asistencias	= array();
        $totalAsis	= 0;
        $porcentaje	= 0;
        /**************************************/
        $codigo		= $fila['cod_asistencia'];
        $cod_alumno	= $fila['cod_alumno'];
        $clase1		= $fila['clase1'];
        if($clase1=='S'){ array_push($asistencias, $clase1); }
        
        $clase2		= $fila['clase2'];
        if($clase2=='S'){ array_push($asistencias, $clase2); }
        
        $clase3		= $fila['clase3'];
        if($clase3=='S'){ array_push($asistencias, $clase3); }
        
        $clase4		= $fila['clase4'];
        if($clase4=='S'){ array_push($asistencias, $clase4); }
        
        $clase5		= $fila['clase5'];
        if($clase5=='S'){ array_push($asistencias, $clase5); }
        
        $clase6		= $fila['clase6'];
        if($clase6=='S'){ array_push($asistencias, $clase6); }
        
        $clase7		= $fila['clase7'];
        if($clase7=='S'){ array_push($asistencias, $clase7); }
        
        $clase8		= $fila['clase8'];
        if($clase8=='S'){ array_push($asistencias, $clase8); }
        
        $clase9		= $fila['clase9'];
        if($clase9=='S'){ array_push($asistencias, $clase9); }
        
        $clase10	= $fila['clase10'];
        if($clase10=='S'){ array_push($asistencias, $clase10); }
        
        $clase11	= $fila['clase11'];
        if($clase11=='S'){ array_push($asistencias, $clase11); }
        
        $clase12	= $fila['clase12'];
        if($clase12=='S'){ array_push($asistencias, $clase12); }
        
        $clase13	= $fila['clase13'];
        if($clase13=='S'){ array_push($asistencias, $clase13); }
        
        $clase14	= $fila['clase14'];
        if($clase14=='S'){ array_push($asistencias, $clase14); }
        
        $clase15	= $fila['clase15'];
        if($clase15=='S'){ array_push($asistencias, $clase15); }
        
        $clase16	= $fila['clase16'];
        if($clase16=='S'){ array_push($asistencias, $clase16); }
        
        $clase17	= $fila['clase17'];
        if($clase17=='S'){ array_push($asistencias, $clase17); }
        
        $clase18	= $fila['clase18'];
        if($clase18=='S'){ array_push($asistencias, $clase18); }
        
        $clase19	= $fila['clase19'];
        if($clase19=='S'){ array_push($asistencias, $clase19); }
        
        $clase20	= $fila['clase20'];
        if($clase20=='S'){ array_push($asistencias, $clase20); }
        
        $observacion= $fila['observacion'];
        /************ Calculando Totales *********************/
        $totalAsis 	= count($asistencias);
        $porcentaje = ($totalAsis/20)*100;
        $num++;
        /*************************************************/
        /*************************************************/
        $nombre_alumno	= utf8_encode($fila['apellido_paterno'].' '.$fila['apellido_materno'].' '.$fila['nombres']);
	?>
    <tr>
      <td><?php echo $num ?></td>
      <td><?php echo $nombre_alumno ?></td>
      <td><?php echo $clase1 ?></td>
      <td><?php echo $clase2 ?></td>
      <td><?php echo $clase3 ?></td>
      <td><?php echo $clase4 ?></td>
      <td><?php echo $clase5 ?></td>
      <td><?php echo $clase6 ?></td>
      <td><?php echo $clase7 ?></td>
      <td><?php echo $clase8 ?></td>
      <td><?php echo $clase9 ?></td>
      <td><?php echo $clase10 ?></td>
      <td><?php echo $clase11 ?></td>
      <td><?php echo $clase12 ?></td>
      <td><?php echo $clase13 ?></td>
      <td><?php echo $clase14 ?></td>
      <td><?php echo $clase15 ?></td>
      <td><?php echo $clase16 ?></td>
      <td><?php echo $clase17 ?></td>
      <td><?php echo $clase18 ?></td>
      <td><?php echo $clase19 ?></td>
      <td><?php echo $clase20 ?></td>
      <td><?php echo $totalAsis; ?></td>
      <td><?php echo $porcentaje; ?>%</td>
      <td><?php echo $observacion; ?></td>
    </tr>
	<?php
	}
	?>  
  </tbody>
</table>
<h2>Total alumnos : <?php echo $num; ?></h2>	
</body>
</html>