<?php
$cod_usuario	= $_REQUEST['cod_usuario'];
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<title>Sistema Educativo AppAOE</title>
<link rel="stylesheet" type="text/css" href="css/normalize.css">
<link rel="stylesheet" type="text/css" href="css/estilosweb.css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel" rel="stylesheet">
<!-- jQuery -->
<script src="js/jquery-3.2.1.min.js"></script>
<!-- jQuery Vegas -->
<link rel="stylesheet" type="text/css" href="css/vegas.css">
<script src="js/vegas.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" type="text/css" href="css/alertify.core.css">
<link rel="stylesheet" type="text/css" href="css/alertify.default.css">
<script src="js/alertify.js"></script>
 
<script>
$(function(){
	//Validar formulario generar nueva clave
	$('.clave').hide();
	$('.clave2').hide();
	$('#bingresar').click(function(){
		if($('#clave').val()=='' || $('#clave').val().length<6){
			alertify.error('Debe ingresar una clave con 6 caracteres');
			$('#clave').focus();
			return false;
		}
		if($('#clave2').val()=='' || $('#clave2').val().length<6){
			alertify.error('Debe confirmar la clave');
			$('#clave2').focus();
			return false;
		}
		if($('#clave').val() != $('#clave2').val()){
			alertify.error('Las claves no son iguales');
			$('#clave2').focus();
			return false;
		}
		actualizarClave();
	});
});

function actualizarClave(){
	$('#proceso').val('actualizarClave');
	var datosEnviar = $('#fingreso').serialize();
	$.ajax({
		data 	: datosEnviar,
		url 	: 'procesocms.php',
		type  	: 'post',
		dataType: 'json',
		success	: function(datos){
			$("#clave").val('');
			$("#clave2").val('');
			$(".msjalerta").html(datos.resultado);
			setTimeout(function(){
				$(".msjalerta").text('');
				window.open('index.php', '_self');
			}, 5000);
		}
	});
}	
//Funcion validar que las claves en tiempo real
function Validar(elemento){
	//Captura la longitud de caracteres del campo
	var longitud	= $('[name='+elemento+']').val().length;
	if(longitud<6){
		$('.'+elemento).show();
	}else{
		if(elemento == 'clave2'){
			valor_clave		= document.fingreso.clave.value;
			valor_clave_2	= document.fingreso.clave2.value;
			if(valor_clave == valor_clave_2){
				$('.'+elemento).hide();
			}else{
				$('.'+elemento).html('Las claves deberán ser iguales');
				$('.'+elemento).show();
			}
		}else{
			if(elemento == 'clave'){
				if(longitud<6){
					$('.'+elemento).html('La longitud mínima debe ser 6 caracteres');
					$('.'+elemento).show();
				}else{
					$('.'+elemento).hide();
				}
			}
		}
	}
}	
</script>
</head>
<body>
<!-- ************************************************************** -->
<!-- *******************      CAJA FORMULARIO   ******************* -->
<!-- ************************************************************** -->
<section id="cajaformulario">
	<div id="cuerpoingreso">
    	<img src="imagenes/logo-blanco.png" alt="">
        <h2>Generar Clave para AppAOE</h2>
        <div id="cajaingreso">
     		<form action="" id="fingreso" name="fingreso" method="post">
            	<p>
                Ingrese una clave<br>
                <input type="password" name="clave" id="clave" class="camposingreso" placeholder="Ingrese password" onKeyUp="javascript:Validar(this.name)">
                </p>
                <!-- ********************************************** -->
                <p class="clave alerta">La longitud mínima debe ser 6 caracteres</p>
                <!-- ********************************************** -->
                <p>
                Confirme la clave<br>
                <input type="password" name="clave2" id="clave2" class="camposingreso" placeholder="Confirme password" onKeyUp="javascript:Validar(this.name)">
                </p>
                <!-- ********************************************** -->
                <p class="clave2 alerta">Las claves deberan ser iguales</p>
                <!-- ********************************************** -->
                <p>
                <input type="button" value="Actualizar" id="bingresar">
                <input type="hidden" name="proceso" id="proceso">
                <input type="hidden" name="cod_usuario" id="cod_usuario" value="<?php echo $cod_usuario; ?>">
                </p>
                <p class="alerta msjalerta"></p>
            </form>
            <!-- ************************************************** -->  
            <ul id="ingresosociales">
            	<li><a href="#"><i class="icon-googleplus-rect"></i> Ingreso con Google</a></li>
            	<li><a href="#" class="fa"><i class="icon-facebook fai"></i> Ingreso con Facebook</a></li>
            	<li><a href="#" class="lin"><i class="icon-linkedin lini"></i> Ingreso con Linkedin</a></li>
            </ul>
        </div>
   	</div>
</section>
<!-- ************************************************************** -->
<!-- *******************       PIE PAGINA       ******************* -->
<!-- ************************************************************** -->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>