<?php
session_start();
session_destroy();
$_SESSION	= array();
if(ini_get("session.use_cookies")){
	$params	= session_get_cookie_params();
	setcookie(session_name(), '', time()-42000, $params["path"], $params["domain"], $params["secure"], $params["httponly"]);
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<title>Sistema Educativo AppAOE</title>
<link rel="stylesheet" type="text/css" href="css/normalize.css">
<link rel="stylesheet" type="text/css" href="css/estilosweb.css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel" rel="stylesheet">
<!-- jQuery -->
<script src="js/jquery-3.2.1.min.js"></script>
<!-- jQuery Vegas -->
<link rel="stylesheet" type="text/css" href="css/vegas.css">
<script src="js/vegas.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" type="text/css" href="css/alertify.core.css">
<link rel="stylesheet" type="text/css" href="css/alertify.default.css">
<script src="js/alertify.js"></script>
 
<script>
$(function(){
	$("#bingresar").click(function(){
		Validar();
		return false;
	})
	$("#usuario").keypress(function(e){
		if(e.which == 13){
		   	Validar();
			return false;
		}
	})
	$("#clave").keypress(function(e){
		if(e.which == 13){
		   	Validar();
			return false;
		}
	})
	//Funcion Validar
	function Validar(){
		var usuario		= $("#usuario").val();
		var clave		= $("#clave").val();
		if(usuario == ''){
			alertify.error("¡Error ingresar usuario!");
			$("#usuario").focus();
			return false;
		}
		if(clave == ''){
			alertify.error("¡Error ingresar su contraseña!");
			$("#clave").focus();
			return false;
		}
		autenticarUsuario();
	}
});
/************************************************/
/**************** AUTENTICACION *****************/
/************************************************/
function autenticarUsuario(){
	$("#proceso").val('IniciarAut');
	var	enviarDatos	= $("#fingreso").serialize();
	$.ajax({
		data		: enviarDatos,
		url			: 'validar-usuarios.php',
		type		: 'post',
		dataType	: 'json',
		beforeSend	: function(){
			$("#resultados").html('<span>Procesando datos, espere por favor...</span>');
		},
		success		: function(datos){
			$("#usuario").val('');
			$("#clave").val('');
			if(datos.respuesta=='SI'){
			   	$("#resultados").html('<span><i class="icon-spin4 animate-spin"></i>Redireccionando...</span>');
				setTimeout(function(){
					window.location.href = "inicio.php";
				},3000);
			}else{
				$("#resultados").html('<span>Error sus credenciales estan incorrectos...</span>');
				setTimeout(function(){
					$("#resultados").html('');
					$("#usuario").focus();
				},5000);
			}
		}
	});
}	
</script>
</head>
<body>
<!-- ************************************************************** -->
<!-- *******************      CAJA FORMULARIO   ******************* -->
<!-- ************************************************************** -->
<section id="cajaformulario">
	<div id="cuerpoingreso">
    	<img src="imagenes/logo_inicio.png" alt="">
        <h2>Bienvenidos al Sistema Educativo AppAOE</h2>
        <div id="cajaingreso">
     		<form action="" id="fingreso" name="fcms" method="post">
            	<p>
                Usuario<br>
                <input type="text" name="usuario" id="usuario" class="camposingreso" placeholder="Ingrese usuario" maxlength="30">
                </p>
                <!-- ********************************************** -->
                <p>
                Password<br>
                <input type="password" name="clave" id="clave" class="camposingreso" placeholder="Ingrese password" maxlength="30">
                </p>
                <!-- ********************************************** -->
                <p><a href="recuperar-clave.php">¿Olvidaste tu password?</a></p>
                <!-- ********************************************** -->
                <p>
                <input type="button" value="Ingresar" id="bingresar">
                <input type="hidden" name="proceso" id="proceso">
                </p>
				<div id="resultados"></div>
            </form>   
            <ul id="ingresosociales">
            	<li><a href="#"><i class="icon-googleplus-rect"></i> Ingreso con Google</a></li>
            	<li><a href="#" class="fa"><i class="icon-facebook fai"></i> Ingreso con Facebook</a></li>
            	<li><a href="#" class="lin"><i class="icon-linkedin lini"></i> Ingreso con Linkedin</a></li>
            </ul>
        </div>
   	</div>
</section>
<!-- ************************************************************** -->
<!-- *******************       PIE PAGINA       ******************* -->
<!-- ************************************************************** -->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>