<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
//Recibir datos imagen
$ancho		= $_POST['ancho'];
$alto		= $_POST['alto'];
$proceso	= $_POST['proceso'];
//Variables permanente
define("maxUpload", 5000000);
define("maxWidth", $ancho);
define("maxHeight", $alto);
//Definir nombre y lugar donde se grabara la imagen
switch($proceso){
	case	'Usuarios':
		define("fileName", 'usuario_');
		define("uploadURL", '../img-apps/usuarios/');
		break;
	case	'Alumnos':
		define("fileName", 'alumno_');
		define("uploadURL", '../img-apps/alumnos/');
		break;
	case	'Curricula':
		define("fileName", 'curri_');
		define("uploadURL", '../img-apps/curricula/');
		break;
	case	'Administrativo':
		define("fileName", 'admin_');
		define("uploadURL", '../img-apps/administrativos/');
		break;
	case	'Biblioteca':
		define("fileName", 'biblio_');
		define("uploadURL", '../img-apps/biblioteca/');
		break;
	case	'Docentes':
		define("fileName", 'docente_');
		define("uploadURL", '../img-apps/docentes/');
		break;				
}
//Determinar variable para tipo de imagen
$fileType		= array('image/jpeg', 'image/png', 'csv', 'xlsx', 'pdf');
//Definir variable para verificar proceso de tamaño definido
$pasaImgSize	= false;
//Definir variable para verificar error al procesar
$respuestaFile	= false;
//Definir nombre por defecto de las imagenes subir
$fileName		= '';
//Definir variable para detectar si hay error del lado del servidor
$mensajeFile	= 'ERROR EN EL SCRIPT';
//Optener los datos de la imagen
$tamanio		= $_FILES['userfile']['size'];
$tipo			= $_FILES['userfile']['type'];
$archivo		= $_FILES['userfile']['name'];
//Tamaño de imagen
$imageSize		= getimagesize($_FILES['userfile']['tmp_name']);
//Verificar la extension
$extension		= explode('.', $_FILES['userfile']['name']);
$num			= count($extension)-1;
//Crear el nombre del archivo
//$imgFile		= $archivo;
$imgFile		= fileName.time().'.'.$extension[$num];

//Verificar el tamaño de las imagenes
if($imageSize[0] == maxWidth && $imageSize[1] == maxHeight){
	$pasaImgSize = true;
}
//Proceso subir imagen al servidor
if($pasaImgSize == true){
	if(in_array($tipo, $fileType) && $tamanio > 0 && $tamanio <= maxUpload && ($extension[$num]=='jpg') || ($extension[$num]=='png') || ($extension[$num]=='csv') || ($extension[$num]=='xlsx') || ($extension[$num]=='pdf')){
		//Intentar copiar el archivo
		if(is_uploaded_file($_FILES['userfile']['tmp_name'])){
			if(move_uploaded_file($_FILES['userfile']['tmp_name'], uploadURL.$imgFile)){
				$respuestaFile	= 'done';
				$fileName		= $imgFile;
				$mensajeFile	= $imgFile;
			}else{
				$mensajeFile	= "No se pudo subir el archivo 1";
			}
		}else{
			$mensajeFile	= "No se pudo subir el archivo 2";
		}
	}else{
		$mensajeFile	= "Verifique el tamaño y el tipo de imagen";
	}
}else{
	$mensajeFile	= "Verifique las dimensiones la imagen en su ancho y alto";
}
//Salida json
$salidaJson = array(
	"respuesta"	=> $respuestaFile,
	"mensaje"	=> $mensajeFile,
	"filename"	=> $fileName);
echo json_encode($salidaJson);
?>