<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
if(isset($_POST['proceso'])){
	$proceso	= $_POST['proceso'];
	if($proceso == 'Insertar'){
		$fecha_creacion			= date('Y-m-d H:i:s');
		$fecha_actualizacion	= date('Y-m-d H:i:s');
		$titulo					= utf8_decode($_POST['titulo']);
		$nombre_autor			= utf8_decode($_POST['nombre_autor']);
		$descripcion			= utf8_decode($_POST['descripcion']);
		$edicion				= utf8_decode($_POST['edicion']);
		$anio					= utf8_decode($_POST['anio']);
		$pdf					= utf8_decode($_POST['pdf']);
		$enlace_referencia		= utf8_decode($_POST['enlace_referencia']);
		if($_POST['imagen']!=''){
			$imagen				= $_POST['imagen'];	
		}else{
			$imagen				= "blanco.png";
		}
		$video_youtube			= utf8_decode($_POST['video_youtube']);
		$video_vimeo			= utf8_decode($_POST['video_vimeo']);
		$estado					= $_POST['estado'];		
		//Verificar si el usuarios ya esta registrado
		$sqlVerificar			= mysqli_query($conexion, "SELECT cod_libro FROM biblioteca WHERE titulo='$titulo'");
		$numreg					= mysqli_num_rows($sqlVerificar);
		if($numreg==0){
			$sqlInsertar		= mysqli_query($conexion, "INSERT INTO biblioteca(
			fecha_creacion,
			fecha_actualizacion,
			titulo,
			nombre_autor,
			descripcion,
			edicion,
			anio,
			pdf,
			enlace_referencia,
			imagen,
			video_youtube,
			video_vimeo,
			estado
			)VALUE(
			'$fecha_creacion',
			'$fecha_actualizacion',
			'$titulo',
			'$nombre_autor',
			'$descripcion',
			'$edicion',
			'$anio',
			'$pdf',
			'$enlace_referencia',
			'$imagen',
			'$video_youtube',
			'$video_vimeo',
			'$estado'
			)");
			echo "
			<script>
				setTimeout(function(){
					parent.jQuery.fancybox.close();
					parent.location.reload();
				},100);
			</script>";
		}
	}
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<title>Sistema Educativo AppAOE</title>
<link rel="stylesheet" type="text/css" href="css/normalize.css">
<link rel="stylesheet" type="text/css" href="css/estilosweb.css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel" rel="stylesheet">
<!-- jQuery -->
<script src="js/jquery-3.2.1.min.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" type="text/css" href="css/alertify.core.css">
<link rel="stylesheet" type="text/css" href="css/alertify.default.css">
<script src="js/alertify.js"></script>
<!-- Rutinas -->
<script src="js/tinymce/tinymce.min.js"></script>
<!-- jQuery Select2 -->	
<link rel="stylesheet" type="text/css" href="css/select2.css">	
<script src="js/select2.js"></script>
<!-- jQurey Datapicker -->	
<link href="jqueryDatepick510/css/jquery.datepick.css" rel="stylesheet">
<script src="jqueryDatepick510/js/jquery.plugin.min.js"></script>
<script src="jqueryDatepick510/js/jquery.datepick.js"></script>
<!-- Acordion -->
<script src="js/acordion.js"></script>
<!-- AjaxUpload -->  
<script src="js/AjaxUpload.2.0.min.js"></script>	
<script>
$(document).ready(function(){
	tinymce.init({
	  selector: 'textarea',
	  height: 150,
	  menubar: false,
	  plugins: [
		'advlist autolink lists link image charmap print preview anchor textcolor',
		'searchreplace visualblocks code fullscreen',
		'insertdatetime media table contextmenu paste code help wordcount'
	  ],
	  toolbar: 'formatselect | bold italic backcolor  | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | removeformat',
	  content_css: [
		'//fonts.googleapis.com/css?family=Lato:300,300i,400,400i',
		'//www.tinymce.com/css/codepen.min.css']
	});
	$("#benviar").click(function(){
		if($("#titulo").val()==''){
			alertify.error("Faltan campos por llenar");
			$("#titulo").focus();
			return false;
		}
		if($("#nombre_autor").val()==''){
			alertify.error("Faltan campos por llenar");
			$("#nombre_autor").focus();
			return false;
		}
		if($("#edicion").val()==''){
			alertify.error("Faltan campos por llenar");
			$("#edicion").focus();
			return false;
		}
		document.fcms.action = "reg-biblioteca.php";
		document.fcms.proceso.value = "Insertar";
		document.fcms.submit();
	});
})
</script>
</head>
<body>
<form action="" name="fcms" method="post">
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tablas" id="tabla">
	  <tbody>
		<tr class="fondofila">
		  <td class="tabizq"></td>
		  <td><h4>Datos de la Bibliografía</h4></td>	
		</tr>  
		<tr>
		  <td class="tabizq">Título :</td>
		  <td><input type="text" name="titulo" id="titulo" size="40" class="campos"></td>
		</tr>
		<tr>
		  <td class="tabizq">Nombre del Autor :</td>
		  <td><input type="text" name="nombre_autor" id="nombre_autor" size="40" class="campos"></td>
		</tr>
		<tr>
		  <td width="21%" class="tabizq">Descripción :</td>
		  <td width="79%">
		  <textarea name="descripcion"cols="30" rows="10"></textarea>	  
		  </td>
		</tr>
		<tr>
		  <td class="tabizq">Edición :</td>
		  <td><input type="text" name="edicion" id="edicion" size="30" class="campos"></td>
		</tr>
		<tr>
		  <td class="tabizq">Año Publicación :</td>
		  <td><input type="text" name="anio" size="30" class="campos"></td>
		</tr>
		<tr>
		  <td class="tabizq">Versión PDF :</td>
		  <td>
			  <input type="text" name="pdf" id="pdf" size="40" class="campos" placeholder="Seleccionar PDF" readonly >
			  (sólo PDF)
			  <p id="precarga2"><i class="icon-spin4 animate-spin"></i>Cargando Archivo</p>
		  </td>
		</tr>
		<tr>
		  <td class="tabizq">Enlace de Referencia :</td>
		  <td><input type="text" name="enlace_referencia" size="40" class="campos"></td>
		</tr>
		<tr>
		  <td class="tabizq">Imagen Portada :</td>
		  <td>
			  <input type="text" name="imagen" id="imagen" size="40" class="campos" placeholder="Seleccionar JPG" readonly>
			  (sólo JPG o PNG 465 x 600 pixeles)
			  <p id="precarga"><i class="icon-spin4 animate-spin"></i>Cargando Imagen</p>
		  </td>
		</tr>
		<tr>
		  <td class="tabizq">Video Youtube :</td>
		  <td><input type="text" name="video_youtube" size="40" class="campos"></td>
		</tr>
		<tr>
		  <td class="tabizq">Video Vimeo :</td>
		  <td><input type="text" name="video_vimeo" size="40" class="campos"></td>
		</tr>
		<tr>
		  <td class="tabizq">Estado :</td>
		  <td>
			  <input type="radio" name="estado" value="A" checked> Activo
			<input type="radio" name="estado" value="I"> Inactivo
		  </td>
		</tr>
		<tr>
		  <td>&nbsp;</td>
		  <td>
		  <input type="button" value="REGISTRAR LIBRO" class="botones" id="benviar">
		  <input type="hidden" name="proceso">
		  </td>
		</tr>
		<tr>
		  <td>&nbsp;</td>
		  <td>&nbsp;</td>
		</tr>  
	  </tbody>
	</table>
</form>
<!--************************** Rutinas CMS ***************************-->
<script src="js/cms-rutuas.js"></script>
<script>
$(function(){
	$("#precarga").hide();
	$("#precarga2").hide();
	new AjaxUpload('#imagen', {
		action		: 'procesarImg.php',
		type		: 'POST',
		data		: {
			ancho	: 465,
			alto	: 600,
			proceso	: 'Biblioteca'
		},
		onSubmit	: function(file, ext){
			if(!(ext && /^(jpg|png)$/.test(ext))){
			   	alertify.error("Solo se permite jpg o png");
				return false;
			}else{
				this.disable();
			}
			$("#precarga").show();
		},
		onComplete	: function(file, response){
			resultado	= $.parseJSON(response);
			if(resultado.respuesta == 'done'){
			   	$("#imagen").val(resultado.filename);
				$("#precarga").html("Imagen subio correctamente");
				setTimeout(function(){
					$("#precarga").hide();
				},5000)
				
			}else{
				alertify.error(resultado.mensaje)
			}
			this.enable();
		}
	});
	/***************************************/
	new AjaxUpload('#pdf', {
		action		: 'procesarImg.php',
		type		: 'POST',
		data		: {
			proceso	: 'Biblioteca'
		},
		onSubmit	: function(file, ext){
			if(!(ext && /^(pdf|docx|xlsx|pptx)$/.test(ext))){
			   	alertify.error("Solo se permite pdf, excel, word, power point");
				return false;
			}else{
				this.disable();
			}
			$("#precarga2").show();
		},
		onComplete	: function(file, response){
			resultado	= $.parseJSON(response);
			if(resultado.respuesta == 'done'){
			   	$("#pdf").val(resultado.filename);
				$("#precarga2").html("Documentos subio correctamente");
				setTimeout(function(){
					$("#precarga2").hide();
				},5000)
				
			}else{
				alertify.error(resultado.mensaje)
			}
			this.enable();
		}
	});
});
</script>	
</body>
</html>