<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<title>Sistema Educativo AppAOE</title>
<link rel="stylesheet" type="text/css" href="css/normalize.css">
<link rel="stylesheet" type="text/css" href="css/estilosweb.css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel" rel="stylesheet">
<!-- jQuery -->
<script src="js/jquery-2.2.3.min.js"></script>
<!-- jQueryDataTable -->
<link rel="stylesheet" type="text/css" href="css/datatables.min.css">
<script src="js/datatables.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/dataTables.checkboxes.css">
<script src="js/dataTables.checkboxes.min.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" type="text/css" href="css/alertify.core.css">
<link rel="stylesheet" type="text/css" href="css/alertify.default.css">
<script src="js/alertify.js"></script>
<!-- Fancybox -->
<script src="source/jquery.fancybox.pack.js?v=2.1.5"></script>
<link rel="stylesheet" type="text/css" href="source/jquery.fancybox.css?v=2.1.5">
<!-- Acordion -->
<script src="js/acordion.js"></script>
<!-- jQuery Select2 -->	
<link rel="stylesheet" type="text/css" href="css/select2.css">	
<script src="js/select2.js"></script>
<script>
$(function(){
    //Inicializar Alertify como Prom
    function reset(){
        $("#toggleCSS").attr("href", "css/alertify.default.css")
        alertify.set({
            labels         :{
                ok         : "SI",
                cancel     : "NO"
            },
            delay          : 5000,
            buttonReverse  : false,
            buttonFocus    : true
        });
    }
    //Inicializar Select2
	$("#cod_apertura").select2({
		placeholder : "Seleccionar Carrera"
	});
	$("#cod_apert_ciclo").select2({
		placeholder : "Ciclo o Módulo de Carrera"
    });
    $(".zonacarrera").hide();
    $("input[name=busqueda]").click(function () { 
        var valselec    =   $(this).val();
        if(valselec=='Todos'){
            $(".zonacarrera").hide();
        }else{
            $(".zonacarrera").show();
        }
    });
    /**************************************************/
    /*********************  Busquedas   ***************/
    /**************************************************/
    $("#cod_apertura").change(function(){
        var datosEnviados	= {
            'cod_apertura'	: $(this).val(),
            'proceso'		: 'BuscarCarrera'
        };
        $.ajax({
            type			: 'POST',
            url				: 'consultas.php',
            data			: datosEnviados,
            dataType		: 'json',
            success			: function(data){
                $("#cod_apert_ciclo").html(data.resultado);
            }
        })
    });        
    /****************************************************/
    /***************    GENERAR REPORTES   **************/
    /****************************************************/
    $("#bexportar").click(function(){
        var valor    =   $('input:radio[name=busqueda]:checked').val();
        if(!$("input[name='busqueda']").is(':checked')){
            alertify.error('Favor seleccionar una opción');
            return false;
        }
        if(valor=='Carreras'){
            if($("#cod_apertura").val()==0){
                alertify.error('Favor seleccionar una carrera');
                return false;
            }
            if($("#cod_apert_ciclo").val()==0){
                alertify.error('Favor seleccionar un ciclo');
                return false;
            }
        }
        document.fcms.action 	= "exportar-alumnos-excel.php";
        document.fcms.submit();
    });
    
})//Fin document ready
/**************************************************/
/***************  Realizar Busqueda  **************/
/**************************************************/	
function realizarBusqueda(){
	<?php
	if($cod_apertura!='' and $cod_apert_ciclo!=''){
		echo "
		var datosEnviados = {
			'cod_apertura'		: $cod_apertura,
			'cod_apert_ciclo'	: $cod_apert_ciclo,
			'proceso'			: 'BuscarCargaHoraria',
			'modulo'			: 'Notas'
		};";
	}else{
		echo "
		var datosEnviados = {
			'cod_apertura'		: $('#cod_apertura').val(),
			'cod_apert_ciclo'	: $('#cod_apert_ciclo').val(),
			'proceso'			: 'BuscarCargaHoraria',
			'modulo'			: 'Notas'
		};";
	}
	?>
	$.ajax({
		type				: 'POST',
		url					: 'consultas.php',
		data				: datosEnviados,
		dataType			: 'json',
		success				: function(data){
			$("#cuerpotabla").html(data.resultado);
		}
	});
}
</script>
</head>
<body>
<!-- **************************************************************** -->
<!-- ************************  MENU DEL GESTOR  ********************* -->
<!-- **************************************************************** -->
<?php include("modulos/menucms.php"); ?>
<!-- **************************************************************** -->
<!-- ************************  SECCION DEL GESTOR  ****************** -->
<!-- **************************************************************** -->
<section id="contenedor">
	<!-- ********************  CABECERA GESTOR     ****************** -->
	<?php include("modulos/cabecera.php"); ?>	
	<!-- ********************   CUERPO GESTOR      ****************** -->
	<section id="cuerpo">
        <section id="centro-top">
            <h1>Administrar Reportes Alumnos</h1>
        </section>
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <section id="titulo-modulos">
            <h2>Generar Reportes</h2>
        </section>
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <section id="marco-modulo">
			<form action="" name="fcms" id="fbuscar" method="post">
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tablas">
				  <tbody> 
					<tr>
					  <td width="21%" class="aligder">Reporte carreras ciclos :</td>
					  <td width="79%">
						  <input type="radio" name="busqueda" value="Todos"> Todos los alumnos matriculados
                          <input type="radio" name="busqueda" value="Carreras"> Por carreras y ciclos
					  </td>
					</tr>
					<tr class="zonacarrera">
					  <td class="aligder">Carrera :</td>
					  <td>
					  	<select name="cod_apertura" id="cod_apertura" class="campos">
							<option value="0"> Seleccionar Carrera </option>
							<?php
							$sqlAperCar	= mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE estado='A'");
							while($fAper			= mysqli_fetch_array($sqlAperCar)){
								$xcod_apertura		= $fAper['cod_apertura'];
								$xtitulo_apertura	= utf8_encode($fAper['titulo_apertura']);
								echo "<option value='$xcod_apertura'>$xtitulo_apertura</option>";
							}
							?>
						</select>	
					  </td>
					</tr>
					<tr class="zonacarrera">
					  <td class="aligder">Ciclo ó Módulo :</td>
					  <td>
					  	<select name="cod_apert_ciclo" id="cod_apert_ciclo" class="campos">
							<option value="0"> Ciclo o Módulo de Carrera </option>
						</select>	  
					  </td>
					</tr>                      
					<tr>
					  <td>&nbsp;</td>
					  <td>
					  <div style="display: flex;">	  
						  <input type="button" value="EXPORTAR A EXCEL" class="botones" id="bexportar" style="background: #40B43B;">
						  <input type="hidden" name="proceso" id="proceso">
					  </div>	  
					  </td>
					</tr>
					<tr>
					  <td>&nbsp;</td>
					  <td id="mensaje"></td>
					</tr>  
					<tr>
					  <td>&nbsp;</td>
					  <td>&nbsp;</td>
					</tr>  
				  </tbody>
				</table>
			</form>
        </section>        
	</section>	
	<!-- ********************  PIE PAGINA GESTOR   ****************** -->
	<?php include("modulos/piepag.php"); ?>	
</section>
<!--************************** Rutinas CMS ***************************-->
<script src="js/cms-rutuas.js"></script>
</body>
</html>