<?php
require("modulos/conexion.php");
require("config/verificar-login.php");
?>
<!doctype html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
	<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
	<link href="css/normalize.css" rel="stylesheet" type="text/css">
	<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
	<!-- Iconos Fontello -->
	<link rel="stylesheet" type="text/css" href="css/animation.css">
	<link rel="stylesheet" type="text/css" href="css/iconos.css">
	<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
	<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
	<!-- Google Fonts -->
	<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
	<!-- jQuery -->
	<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
	<!-- Mega Menu -->
	<link rel="stylesheet" type="text/css" href="css/megamenu.css">
	<script src="js/megamenu.js"></script>
	<script>
		$(document).ready(function(e) {
			//Inicializar el mega menu
			$(".megamenu").megamenu();
			deshabilitaRetroceso();
			var altura = $("#menuprincipal").offset().top;
			$(window).on("scroll", function() {
				if ($(window).scrollTop() > altura) {
					$("#menuprincipal").addClass("menu-fijo");
					$("#cajacuerpo").css("margin-top", "20px");
				} else {
					$("#menuprincipal").removeClass("menu-fijo");
					$("#cajacuerpo").css("margin-top", "0");
				}
			});
		});

		function deshabilitaRetroceso() {
			window.location.hash = "no-back-button";
			window.location.hash = "Again-No-back-button";
			window.onhashchange = function() {
				window.location.hash = 'no-back-button';
			}
		}
	</script>
</head>

<body>
	<!--***************************************************************-->
	<!--********************  CABECERA DE LA WEB  *********************-->
	<!--***************************************************************-->
	<?php include "modulos/cabecera.php"; ?>
	<!--***************************************************************-->
	<!--********************  CUERPO DE LA WEB    *********************-->
	<!--***************************************************************-->
	<section id="cajacuerpo">
		<div id="cuerpo">
			<h2 class="titulo">CARRERAS PROFESIONALES</h2>
			<p class="txtintro">Ver Asistencia por Curso</p>
			<div id="cajablanca">
				<a href="#" class="botones"><i class="icon-reply-all"></i> Volver Académico</a>
				<!-- ************************************************* -->
				<!-- ************************************************* -->
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="bordetablas">
					<tbody>
						<tr>
							<th scope="col" width="3%">Nº</th>
							<th scope="col" width="27%">Nombre de Carrera</th>
							<th scope="col" width="28%">Ciclo Actual</th>
							<th scope="col" width="20%">Turno</th>
							<th scope="col" width="8%">Estado</th>
							<th scope="col" width="14%">Cursos</th>
						</tr>
						<?php
						$sqlListado	= mysqli_query($conexion, "SELECT * FROM matriculas WHERE cod_alumno='$xCodigo'");
						while ($fila	= mysqli_fetch_array($sqlListado)) {
							$cod_matricula		= $fila['cod_matricula'];
							$cod_alumno			= $fila['cod_alumno'];
							$cod_apertura		= $fila['cod_apertura'];
							$cod_apert_ciclo	= $fila['cod_apert_ciclo'];
							$costo_matricula	= $fila['costo_matricula'];
							$forma_pago			= $fila['forma_pago'];
							$turno				= $fila['turno'];
							$horario			= $fila['horario'];
							/***************************************************/
							/************ Leer Titulo de Apertura **************/
							/***************************************************/
							$sqlAperCarreras	= mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
							$fApe				= mysqli_fetch_array($sqlAperCarreras);
							$titulo_apertura	= $fApe['titulo_apertura'];
							$estado				= $fApe['estado'];
							if ($estado == 'A') {
								$estadoAper		= "Vigente";
							}
							if ($estado == 'F') {
								$estadoAper		= "Finalizado";
							}
							/***************************************************/
							/************   Leer Datos del Ciclo  **************/
							/***************************************************/
							$sqlCiclos			= mysqli_query($conexion, "SELECT * FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
							$fCiclos			= mysqli_fetch_array($sqlCiclos);
							$titulo_ciclo		= $fCiclos['titulo_ciclo'];
							$fechaini			= $fCiclos['fecha_inicio'];
							$fecha_inicio		= date("d/m/Y", strtotime($fechaini));
							$fechafin			= $fCiclos['fecha_final'];
							$fecha_final		= date("d/m/Y", strtotime($fechafin));
							$estadoCiclo		= $fCiclos['estado'];
							if ($estadoCiclo == 'A') {
								$estadoCic		= "<span style='color: #3Fc112'>Vigente</span>";
							}
							if ($estadoCiclo == 'F') {
								$estadoCic		= "<span style='color: #f93538'>Finalizado</span>";
							}
							$num++;
						?>
							<tr>
								<td><?php echo $num; ?></td>
								<td><?php echo $titulo_apertura; ?></td>
								<td><?php echo $titulo_ciclo; ?><br><span style="#f93538"><?php echo 'Inicio : ' . $fecha_inicio . ' - Fin : ' . $fecha_final; ?></span></td>
								<td><?php echo $turno . '  ' . $horario; ?></td>
								<td><?php echo $estadoCic; ?></td>
								<td>
									<a href="ver-asistencia.php?cod_apertura=<?php echo $cod_apertura ?>&cod_apert_ciclo=<?php echo $cod_apert_ciclo ?>" class="verhorario">
										<i class="icon-doc-text"></i>Ver Asistencias
									</a>
								</td>
							</tr>
						<?php
						}
						?>
					</tbody>
				</table>

				<!-- ************************************************* -->
				<!-- ************************************************* -->
			</div>
		</div>
	</section>
	<!--***************************************************************-->
	<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
	<!--***************************************************************-->
	<?php include "modulos/piepagina.php"; ?>
</body>

</html>