<?php
include "modulos/conexion.php";
include "config/verificar-login.php";
$numpag=4;
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<link href="css/normalize.css" rel="stylesheet" type="text/css">
<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
<!-- jQuery -->
<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
<!-- Mega Menu -->
<link rel="stylesheet" type="text/css" href="css/megamenu.css">
<script src="js/megamenu.js"></script>
<!-- jQuery Data Table -->	
<link rel="stylesheet" type="text/css" href="css/datatables.css">
<script src="js/datatables.js"></script>	
<script>
$(document).ready(function(e) {
	 //Inicializar el mega menu
	$(".megamenu").megamenu();
	var altura	= $("#menuprincipal").offset().top;
	$(window).on("scroll", function(){ 
		if($(window).scrollTop() > altura){
			$("#menuprincipal").addClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","20px");
		}else{
			$("#menuprincipal").removeClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","0");
		}
	});
	//Configuracion de Data Table
	$('#tablas').DataTable( {
        "order"			: [[2, "asc" ]],
		"lengthMenu"	: [[50, 100, -1], [50, 100, "All"]]
    } );
});	
</script>
</head>

<body>
<!--***************************************************************-->
<!--********************  CABECERA DE LA WEB  *********************-->
<!--***************************************************************-->
<?php include "modulos/cabecera.php"; ?>
<!--***************************************************************-->
<!--********************  CUERPO DE LA WEB    *********************-->
<!--***************************************************************-->
<section id="cajacuerpo">
	<div id="cuerpo">
    	<h2 class="titulo">BIBLIOTECA VIRTUAL</h2>
		<p class="txtintro">Textos de Aprendizaje para el Alumno(a) y Docentes</p>
		<?php
		if($xCodigo!=''){
		?>   
        <div id="cajablanca">
       	  <h2 class="titulolistas">Lista de Textos Bibliográficos</h2>
            <table width="100%" border="0" cellspacing="0" cellpadding="0" id="tablas" class="display">
				<thead>
					<tr>
					  <th width="29%" scope="col">Titulo</th>
					  <th width="35%" scope="col">Nombre Autor</th>
					  <th width="9%" scope="col">Fecha Ingreso</th>
					  <th width="19%" scope="col">Año Publicación</th>
					  <th width="8%" scope="col">Descargar/Ver</th>
				    </tr>
				</thead>
				<tbody>
					<?php
					$sqlListado		= mysqli_query($conexion, "SELECT * FROM biblioteca WHERE estado='A' AND pdf!='' AND (acceso='Ambos' OR acceso='Alumno') ORDER BY fecha_creacion DESC");
					while($fila		= mysqli_fetch_array($sqlListado)){
						$codigo			= $fila['cod_libro'];
						$f_cre			= $fila['fecha_creacion'];
						$fecha_creacion	= date("d-m-Y",strtotime($f_cre));
						$titulo			= utf8_encode($fila['titulo']);
						$nombre_autor	= utf8_encode($fila['nombre_autor']);
						$edicion		= utf8_encode($fila['edicion']);
						$anio			= utf8_encode($fila['anio']);
						$pdf			= $fila['pdf'];
						$imagen			= $fila['imagen'];
						if($pdf!=''){
							$enlace = "
							  <a href='https://www.ninafact.com/NDEDUCA1.0/img-apps/biblioteca/$pdf' title='Ver/Descargar PDF' target='_blank'>
								<img src='https://www.ninafact.com/NDEDUCA1.0/img-apps/biblioteca/$imagen' width='79' height='116' alt='$titulo'/>
							  </a>";
						}else{
							$enlace = "
							  <img src='https://www.ninafact.com/NDEDUCA1.0/img-apps/biblioteca/$imagen' width='79' height='116' alt='$titulo'/>";
						}
					?>
					<tr>
					  <td><?php echo $titulo; ?></td>
					  <td><?php echo $nombre_autor; ?></td>
					  <td><?php echo $fecha_creacion; ?></td>
					  <td><?php echo $anio; ?></td>
					  <td>
						  <?php echo $enlace; ?>	
			          </td>
				    </tr>
					<?php
					}
					?>
				</tbody>	
			</table>    
           
		</div>
		<?php
		}else{
		?>
		<div id="cajablanca">
       	  <h2 class="titulolistas">Lista de Textos Bibliográficos</h2>
            <table width="100%" border="0" cellspacing="0" cellpadding="0" id="tablas" class="display">
				<thead>
					<tr>
					  <th width="29%" scope="col">Titulo</th>
					  <th width="35%" scope="col">Nombre Autor</th>
					  <th width="9%" scope="col">Fecha Ingreso</th>
					  <th width="19%" scope="col">Año Publicación</th>
					  <th width="8%" scope="col">Descargar/Ver</th>
				    </tr>
				</thead>
				<tbody>
					<?php
					$sqlListado		= mysqli_query($conexion, "SELECT * FROM biblioteca WHERE estado='A' AND pdf!='' AND (acceso='Ambos' OR acceso='Docente') ORDER BY fecha_creacion DESC");
					while($fila		= mysqli_fetch_array($sqlListado)){
						$codigo			= $fila['cod_libro'];
						$f_cre			= $fila['fecha_creacion'];
						$fecha_creacion	= date("d-m-Y",strtotime($f_cre));
						$titulo			= utf8_encode($fila['titulo']);
						$nombre_autor	= utf8_encode($fila['nombre_autor']);
						$edicion		= utf8_encode($fila['edicion']);
						$anio			= utf8_encode($fila['anio']);
						$pdf			= $fila['pdf'];
						$imagen			= $fila['imagen'];
						if($pdf!=''){
							$enlace = "
							  <a href='https://www.ninafact.com/NDEDUCA1.0/img-apps/biblioteca/$pdf' title='Ver/Descargar PDF' target='_blank'>
								<img src='https://www.ninafact.com/NDEDUCA1.0/img-apps/biblioteca/$imagen' width='79' height='116' alt='$titulo'/>
							  </a>";
						}else{
							$enlace = "
							  <img src='https://www.ninafact.com/NDEDUCA1.0/img-apps/biblioteca/$imagen' width='79' height='116' alt='$titulo'/>";
						}
					?>
					<tr>
					  <td><?php echo $titulo; ?></td>
					  <td><?php echo $nombre_autor; ?></td>
					  <td><?php echo $fecha_creacion; ?></td>
					  <td><?php echo $anio; ?></td>
					  <td>
						  <?php echo $enlace; ?>	
			          </td>
				    </tr>
					<?php
					}
					?>
				</tbody>	
			</table>    
           
		</div>
		<?php
		}
		?>
    </div>
</section>
<!--***************************************************************-->
<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
<!--***************************************************************-->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>