<?php
include "modulos/conexion.php";
include "config/verificar-login.php";
$numpag=6;
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<link href="css/normalize.css" rel="stylesheet" type="text/css">
<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
<!-- jQuery -->
<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
<!-- Mega Menu -->
<link rel="stylesheet" type="text/css" href="css/megamenu.css">
<script src="js/megamenu.js"></script>
<!-- jQuery Data Table -->	
<link rel="stylesheet" type="text/css" href="css/datatables.css">
<script src="js/datatables.js"></script>	
<script>
$(document).ready(function(e) {
	 //Inicializar el mega menu
	$(".megamenu").megamenu();
	var altura	= $("#menuprincipal").offset().top;
	$(window).on("scroll", function(){ 
		if($(window).scrollTop() > altura){
			$("#menuprincipal").addClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","20px");
		}else{
			$("#menuprincipal").removeClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","0");
		}
	});
	//Configuracion de Data Table
	$('#tablas').DataTable( {
        "order"			: [[2, "asc" ]],
		"lengthMenu"	: [[50, 100, -1], [50, 100, "All"]]
    } );
});	
</script>
</head>

<body>
<!--***************************************************************-->
<!--********************  CABECERA DE LA WEB  *********************-->
<!--***************************************************************-->
<?php include "modulos/cabecera.php"; ?>
<!--***************************************************************-->
<!--********************  CUERPO DE LA WEB    *********************-->
<!--***************************************************************-->
<section id="cajacuerpo">
	<div id="cuerpo">
    	<h2 class="titulo">BOLSA DE TRABAJO</h2>
       	<p class="txtintro">Oportunidades de Trabajo para ti</p>
        <div id="cajablanca">
       	  <h2 class="titulolistas">Lista de Puestos Laborales</h2>
            <table width="100%" border="0" cellspacing="0" cellpadding="0" id="tablas" class="display">
				<thead>
					<tr>
					  <th width="2%" scope="col">Nº</th>
					  <th width="30%" scope="col">Nombre del Puesto</th>
					  <th width="8%" scope="col">Nº Vacantes</th>
					  <th width="26%" scope="col">Horario</th>
					  <th width="15%" scope="col">Distrito</th>
					  <th width="6%" scope="col">Incentivo</th>
					  <th width="11%" scope="col">Condición</th>
					  <th width="2%" scope="col">&nbsp;</th>	
				    </tr>
				</thead>
				<tbody>
					<?php
					$sqlListado		= mysqli_query($conexion, "SELECT * FROM bolsa_trabajo WHERE estado='A' AND pdf_bolsa!='' ORDER BY cod_bolsa DESC");
					while($fila		= mysqli_fetch_array($sqlListado)){
						$puesto			= utf8_encode($fila['puesto']);
						$num_vacantes	= $fila['num_vacantes'];
						$funciones		= utf8_encode($fila['funciones']);
						$horario		= utf8_encode($fila['horario']);
						$distrito		= utf8_encode($fila['distrito']);
						$incentivo		= utf8_encode($fila['incentivo']);
						$beneficios		= utf8_encode($fila['beneficios']);
						$condicion		= utf8_encode($fila['condicion']);
						$pdf_bolsa		= utf8_encode($fila['pdf_bolsa']);
						if($pdf_bolsa!=''){
							$enlace = "
							<a href='https://www.ninafact.com/NDEDUCA1.0/img-apps/bolsa/$pdf_bolsa' title='Ver/Descargar PDF' target='_blank' class=''>
								<i class='icon-file-pdf'></i>
							</a>";
						}
						$num++;
					?>
					<tr>
					  <td><?php echo $num; ?></td>	
					  <td><?php echo $puesto; ?></td>
					  <td><?php echo $num_vacantes; ?></td>
					  <td><?php echo $horario; ?></td>
					  <td><?php echo $distrito; ?></td>
					  <td><?php echo $incentivo; ?></td>
					  <td><?php echo $condicion; ?></td>
					  <td><?php echo $enlace; ?></td>	
				    </tr>
					<?php
					}
					?>
				</tbody>
			</table>    
        </div>
    </div>
</section>
<!--***************************************************************-->
<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
<!--***************************************************************-->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>