<?php
require("modulos/conexion.php");
$cod_alumno = $_REQUEST['cod_alumno'];
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
<link href="css/normalize.css" rel="stylesheet" type="text/css">
<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" href="css/alertify.core.css" />
<link rel="stylesheet" href="css/alertify.default.css" id="toggleCSS" />
<script src="js/alertify.js"></script>	
<script>
$(function(){
	//Validar formulario generar nueva clave
	$('.clave').hide();
	$('.clave2').hide();
	$('#brecup').click(function(){
		if($('#clave').val()=='' || $('#clave').val().length<6){
			alertify.error('Debe ingresar una clave con 6 caracteres');
			$('#clave').focus();
			return false;
		}
		if($('#clave2').val()=='' || $('#clave2').val().length<6){
			alertify.error('Debe confirmar la clave');
			$('#clave2').focus();
			return false;
		}
		if($('#clave').val() != $('#clave2').val()){
			alertify.error('Las claves no son iguales');
			$('#clave2').focus();
			return false;
		}
		actualizarClave();
	});
});
function actualizarClave(){
	$('#proceso').val('actualizarClave');
	var datosEnviar = $('#fingreso').serialize();
	$.ajax({
		data 	: datosEnviar,
		url 	: 'procesoeduca.php',
		type  	: 'post',
		dataType: 'json',
		success	: function(datos){
			$("#clave").val('');
			$("#clave2").val('');
			$(".msjalerta").html(datos.resultado);
			setTimeout(function(){
				$(".msjalerta").text('');
				window.open('index.php', '_self');
			}, 5000);
		}
	});
}	
//Funcion validar que las claves en tiempo real
function Validar(elemento){
	//Captura la longitud de caracteres del campo
	var longitud	= $('[name='+elemento+']').val().length;
	if(longitud<6){
		$('.'+elemento).show();
	}else{
		if(elemento == 'clave2'){
			valor_clave		= document.fingreso.clave.value;
			valor_clave_2	= document.fingreso.clave2.value;
			if(valor_clave == valor_clave_2){
				$('.'+elemento).hide();
			}else{
				$('.'+elemento).html('Las claves deberán ser iguales');
				$('.'+elemento).show();
			}
		}else{
			if(elemento == 'clave'){
				if(longitud<6){
					$('.'+elemento).html('La longitud mínima debe ser 6 caracteres');
					$('.'+elemento).show();
				}else{
					$('.'+elemento).hide();
				}
			}
		}
	}
}	
</script>	
</head>

<body>
<!--***************************************************************-->
<!--********************  CABECERA DE LA WEB  *********************-->
<!--***************************************************************-->
<header id="cajacabecera">
    <img src="imagenes/logo.png" alt="">
    <div id="slogan">
        <h1>Plataforma Virtual Nina Design</h1>
    </div>
</header>
<!--***************************************************************-->
<!--********************  CUERPO DE LA WEB    *********************-->
<!--***************************************************************-->
<section id="cajacuerpo">
	<div id="cajalogin">
    	<h2>Generar Contraseña Nina Design</h2>
        <form action="" id="fingreso" name="fingreso" method="post">
			<p>
			Ingrese una clave<br>
			<input type="password" name="clave" id="clave" class="camposrecu" placeholder="Ingrese password" onKeyUp="javascript:Validar(this.name)">
			</p>
			<!-- ********************************************** -->
			<p class="clave alerta">La longitud mínima debe ser 6 caracteres</p>
			<!-- ********************************************** -->
			<p>
			Confirme la clave<br>
			<input type="password" name="clave2" id="clave2" class="camposrecu" placeholder="Confirme password" onKeyUp="javascript:Validar(this.name)">
			</p>
			<!-- ********************************************** -->
			<p class="clave2 alerta">Las claves deberan ser iguales</p>
			<!-- ********************************************** -->
			<p>
			<input type="button" value="ACTUALIZAR CONTRASEÑA" id="brecup">
			<input type="hidden" name="proceso" id="proceso">
			<input type="hidden" name="cod_alumno" id="cod_alumno" value="<?php echo $cod_alumno; ?>">
			</p>
			<p class="alerta msjalerta"></p>
		</form>
    </div>
</section>
<!--***************************************************************-->
<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
<!--***************************************************************-->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>