<?php
require("modulos/conexion.php");
require("config/verificar-login.php");
//Leer datos del alumno
$sqlConsulta			= mysqli_query($conexion, "SELECT * FROM docentes WHERE cod_docente='$dCodigo'");
$fila					= mysqli_fetch_array($sqlConsulta);
$cod_docente			= $fila['cod_docente'];
$nombres				= utf8_encode($fila['nombres']);
$apellidos				= utf8_encode($fila['apellidos']);
$tipo_documento			= $fila['tipo_documento'];
$num_documento			= $fila['num_documento'];
$fecha_nacimiento		= $fila['fecha_nacimiento'];
$email					= utf8_encode($fila['email']);
$telefono				= $fila['telefono'];
$movil					= $fila['movil'];
$direccion				= utf8_encode($fila['direccion']);
$especialidad			= utf8_encode($fila['especialidad']);
$sexo					= $fila['sexo'];
$imagen					= $fila['imagen'];
$curriculum_vitae		= utf8_decode($fila['curriculum_vitae']);



$_SESSION['dNombres']	= $nombres ." ". $apellidos;
$_SESSION['dEmail']		= $email;
$_SESSION['dImagen']	= $imagen;
$_SESSION['dDni']		= $num_documento;
$dNombres = $nombres ." ". $apellidos;
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">	
<link href="css/normalize.css" rel="stylesheet" type="text/css">
<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
<!-- jQuery -->
<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
<!-- Mega Menu -->
<link rel="stylesheet" type="text/css" href="css/megamenu.css">
<script src="js/megamenu.js"></script>
<script>
$(document).ready(function(e) {
	 //Inicializar el mega menu
	$(".megamenu").megamenu();
	deshabilitaRetroceso();
	var altura	= $("#menuprincipal").offset().top;
	$(window).on("scroll", function(){ 
		if($(window).scrollTop() > altura){
			$("#menuprincipal").addClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","20px");
		}else{
			$("#menuprincipal").removeClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","0");
		}
	});
});
function deshabilitaRetroceso(){
	window.location.hash="no-back-button";
	window.location.hash="Again-No-back-button";
	window.onhashchange=function(){
		window.location.hash='no-back-button';
	}
}	
</script>
</head>

<body>
<!--***************************************************************-->
<!--********************  CABECERA DE LA WEB  *********************-->
<!--***************************************************************-->
<?php include "modulos/cabecera.php"; ?>
<!--***************************************************************-->
<!--********************  CUERPO DE LA WEB    *********************-->
<!--***************************************************************-->
<section id="cajacuerpo">
	<div id="cuerpo">
		<h2 class="titulo">PERFIL DEL DOCENTES</h2>
		<p class="txtintro">Ver datos del docente.</p>
		<div id="cajablanca">
			<img src="img-apps/docentes/<?php echo $imagen; ?>" alt="<?php echo $dNombres; ?>" class="imgperfil" width="150" height="150">
			<h2 class="nombreuser"><?php echo $dNombres; ?></h2>
			<!-- ************************************************* -->
			<!-- ************************************************* -->
			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tablas">
			  <tbody>
				<tr>
				  <td width="30%" class="tabizq">Nombres :</td>
				  <td width="70%"><?php echo $nombres; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Apellidos :</td>
				  <td><?php echo $apellidos; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Titpo Documento :</td>
				  <td><?php echo $tipo_documento; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Nº de Documento :</td>
				  <td><?php echo $num_documento; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Fecha Nacimiento :</td>
				  <td><?php echo $fecha_nacimiento; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Email :</td>
				  <td><?php echo $email; ?></td>
				</tr>  
				<tr>
				  <td class="tabizq">Teléfono :</td>
				  <td><?php echo $telefono; ?></td>
				</tr> 
				<tr>
				  <td class="tabizq">Movil/Whastapp :</td>
				  <td><?php echo $movil; ?></td>
				</tr>  
				<tr>
				  <td class="tabizq">Dirección :</td>
				  <td><?php echo $direccion; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Especialidad :</td>
				  <td><?php echo $especialidad; ?></td>
				</tr>  
				<tr>
				  <td class="tabizq">Sexo :</td>
				  <td><?php echo $sexo; ?></td>
				</tr>
				<tr>
				  <td class="tabizq">Curriculum Vitae :</td>
				  <td>
					<a href="img-apps/docentes/<?php echo $curriculum_vitae ?>" target="_blank" style="color: #EF161A"><i class="icon-file-pdf" style="font-size: 22px;"></i> Ver Curriculum Vitae</a>	
				  </td>
				</tr>
				<tr>
				  <td class="tabizq">&nbsp;</td>
				  <td>
					  <p>NOTA: Si la información es incorrecta o falta completar, hacer clic en el botón.</p>
					  <a href="actualizar-datos-docente.php" class="botones">Actualizar Datos</a>
				  </td>
				</tr>  
			  </tbody>
			</table>
			<!-- ************************************************* -->
			<!-- ************************************************* -->
		</div>			
    </div>
</section>
<!--***************************************************************-->
<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
<!--***************************************************************-->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>