<?php
require("modulos/conexion.php");
require("config/verificar-login.php");
$cod_apertura		= $_REQUEST['cod_apertura'];
$cod_apert_ciclo	= $_REQUEST['cod_apert_ciclo'];
$cod_docente		= $_REQUEST['cod_docente'];
/*******************************************/
/********** Mostrar Titulo Apertura  *******/
/*******************************************/
$sqlAperturas		= mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
$fAper				= mysqli_fetch_array($sqlAperturas);
$titulo_apertura	= utf8_encode($fAper['titulo_apertura']);
?>
<!doctype html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
	<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
	<link href="css/normalize.css" rel="stylesheet" type="text/css">
	<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
	<!-- Iconos Fontello -->
	<link rel="stylesheet" type="text/css" href="css/animation.css">
	<link rel="stylesheet" type="text/css" href="css/iconos.css">
	<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
	<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
	<!-- Google Fonts -->
	<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
	<!-- jQuery -->
	<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
	<!-- Mega Menu -->
	<link rel="stylesheet" type="text/css" href="css/megamenu.css">
	<script src="js/megamenu.js"></script>
	<script>
		$(document).ready(function(e) {
			//Inicializar el mega menu
			$(".megamenu").megamenu();
			deshabilitaRetroceso();
			var altura = $("#menuprincipal").offset().top;
			$(window).on("scroll", function() {
				if ($(window).scrollTop() > altura) {
					$("#menuprincipal").addClass("menu-fijo");
					$("#cajacuerpo").css("margin-top", "20px");
				} else {
					$("#menuprincipal").removeClass("menu-fijo");
					$("#cajacuerpo").css("margin-top", "0");
				}
			});
		});

		function deshabilitaRetroceso() {
			window.location.hash = "no-back-button";
			window.location.hash = "Again-No-back-button";
			window.onhashchange = function() {
				window.location.hash = 'no-back-button';
			}
		}
	</script>
</head>

<body>
	<!--***************************************************************-->
	<!--********************  CABECERA DE LA WEB  *********************-->
	<!--***************************************************************-->
	<?php include "modulos/cabecera.php"; ?>
	<!--***************************************************************-->
	<!--********************  CUERPO DE LA WEB    *********************-->
	<!--***************************************************************-->
	<section id="cajacuerpo">
		<div id="cuerpo">
			<h2 class="titulo"><?php echo $titulo_apertura; ?></h2>
			<p class="txtintro">Asistencia de Alumnos por Curso</p>
			<div id="cajablanca">
				<a href="asistencia-docente.php" class="botones"><i class="icon-reply-all"></i> Volver Cursos/Horarios</a>
				<!-- ************************************************* -->
				<!-- ************************************************* -->
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="bordetablas">
					<tbody>
						<tr>
							<th scope="col" width="3%">Nº</th>
							<th scope="col" width="38%">Curso o Materia</th>
							<th scope="col" width="21%">Docente</th>
							<th scope="col" width="12%">Poner Asistencia</th>
						</tr>
						<?php
						$sqlListado				= mysqli_query($conexion, "SELECT * FROM carga_horaria WHERE cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' AND cod_docente='$cod_docente'");
						while ($fila				= mysqli_fetch_array($sqlListado)) {
							$cod_cargahoraria	= $fila['cod_cargahoraria'];
							$cod_apertura		= $fila['cod_apertura'];
							$cod_apert_ciclo	= $fila['cod_apert_ciclo'];
							$cod_curricula		= $fila['cod_curricula'];
							$cod_docente		= $fila['cod_docente'];
							$dias				= $fila['dias'];
							$hora_inicio		= $fila['hora_inicio'];
							$hora_termino		= $fila['hora_termino'];
							$fecha_inicio		= $fila['fecha_inicio'];
							$fecha_termino		= $fila['fecha_termino'];
							/***************************************************/
							/************   Leer Datos del Ciclo  **************/
							/***************************************************/
							$sqlCiclos			= mysqli_query($conexion, "SELECT * FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
							$fCiclos			= mysqli_fetch_array($sqlCiclos);
							$titulo_ciclo		= $fCiclos['titulo_ciclo'];
							/***************************************************/
							/************   Leer Datos del Curso  **************/
							/***************************************************/
							$sqlCursos			= mysqli_query($conexion, "SELECT * FROM plan_curricular WHERE cod_curricula='$cod_curricula'");
							$fCurso				= mysqli_fetch_array($sqlCursos);
							$nombre_curso		= $fCurso['nombre_curso'];
							$sillabus			= $fCurso['sillabus'];
							/***************************************************/
							/************   Leer Datos del Docentge  ***********/
							/***************************************************/
							$sqlDocente			= mysqli_query($conexion, "SELECT * FROM docentes WHERE cod_docente='$cod_docente'");
							$fDocen				= mysqli_fetch_array($sqlDocente);
							$docente			= $fDocen['nombres'] . ' ' . $fDocen['apellidos'];
							$num++;
						?>
							<tr>
								<td><?php echo $num; ?></td>
								<td><?php echo $nombre_curso; ?></td>
								<td><?php echo $docente; ?></td>
								<td>
									<?php
									echo "
					<a href='registro-asistencia-docente.php?cod_docente=$cod_docente&cod_curricula=$cod_curricula&cod_apertura=$cod_apertura&cod_apert_ciclo=$cod_apert_ciclo' class='verhorario'>
						<i class='icon-edit iconos'></i>Asistencia
					</a>
					<a href='ver-registro-asistencia-docente.php?cod_docente=$cod_docente&cod_curricula=$cod_curricula&cod_apertura=$cod_apertura&cod_apert_ciclo=$cod_apert_ciclo' class='verhorario'>
						<i class='icon-doc-text iconos'></i>Registro
					</a>";
									?>
								</td>
							</tr>
						<?php
						}
						?>
					</tbody>
				</table>

				<!-- ************************************************* -->
				<!-- ************************************************* -->
			</div>
		</div>
	</section>
	<!--***************************************************************-->
	<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
	<!--***************************************************************-->
	<?php include "modulos/piepagina.php"; ?>
</body>

</html>