<?php
require("modulos/conexion.php");
require("config/verificar-login.php");
$cod_apertura		= $_REQUEST['cod_apertura'];
$cod_apert_ciclo	= $_REQUEST['cod_apert_ciclo'];
$cod_matricula		= $_REQUEST['cod_matricula'];
$cod_alumno			= $_REQUEST['cod_alumno'];
/*********************************************/
$sqlConsulta	= mysqli_query($conexion, "SELECT titulo_apertura FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
$filC			= mysqli_fetch_array($sqlConsulta);
$titulo_apertura= utf8_encode($filC['titulo_apertura']);
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">	
<link href="css/normalize.css" rel="stylesheet" type="text/css">
<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
<!-- jQuery -->
<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
<!-- Mega Menu -->
<link rel="stylesheet" type="text/css" href="css/megamenu.css">
<script src="js/megamenu.js"></script>
<script>
$(document).ready(function(e) {
	 //Inicializar el mega menu
	$(".megamenu").megamenu();
	deshabilitaRetroceso();
	var altura	= $("#menuprincipal").offset().top;
	$(window).on("scroll", function(){ 
		if($(window).scrollTop() > altura){
			$("#menuprincipal").addClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","20px");
		}else{
			$("#menuprincipal").removeClass("menu-fijo");
			$("#cajacuerpo").css("margin-top","0");
		}
	});
});
function deshabilitaRetroceso(){
	window.location.hash="no-back-button";
	window.location.hash="Again-No-back-button";
	window.onhashchange=function(){
		window.location.hash='no-back-button';
	}
}	
</script>
</head>

<body>
<!--***************************************************************-->
<!--********************  CABECERA DE LA WEB  *********************-->
<!--***************************************************************-->
<?php include "modulos/cabecera.php"; ?>
<!--***************************************************************-->
<!--********************  CUERPO DE LA WEB    *********************-->
<!--***************************************************************-->
<section id="cajacuerpo">
	<div id="cuerpo">
		<h2 class="titulo"><?php echo $titulo_apertura; ?></h2>
		<p class="txtintro">Ver Pagos Realizados/Pendiente.</p>
		<div id="cajablanca">
			<a href="cronograma-pagos.php" class="botones"><i class="icon-reply-all"></i> Volver Cronogramas</a>
			<!-- ************************************************* -->
			<!-- ************************************************* -->
			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="bordetablas">
			  <tbody>
				<tr>
				  <th scope="col" width="3%">Nº</th>
				  <th scope="col" width="23%">Nombre de Carrera</th>
				  <th scope="col" width="21%">Ciclo Actual</th>
				  <th scope="col" width="14%">Nº Couta</th>
				  <th scope="col" width="20%">Fecha</th>
				  <th scope="col" width="10%">Monto</th>
				  <th scope="col" width="9%">Estado</th>
				</tr>
				<?php
				$sqlListado	= mysqli_query($conexion, "SELECT * FROM cronograma_pagos WHERE cod_apertura='$cod_apertura' AND cod_apert_ciclo='$cod_apert_ciclo' AND cod_matricula='$cod_matricula' AND cod_alumno='$cod_alumno' ORDER BY num_cuota ASC");
				while($fila	= mysqli_fetch_array($sqlListado)){
					$cod_cronograma		= $fila['cod_cronograma'];
					$cod_alumno			= $fila['cod_alumno'];
					$cod_matricula		= $fila['cod_matricula'];
					$cod_apertura		= $fila['cod_apertura'];
					$cod_apert_ciclo	= $fila['cod_apert_ciclo'];
					$num_cuota			= $fila['num_cuota'];
					$costo				= $fila['costo'];
					$fechas				= $fila['fechas'];
					if($fila['estado']=="P"){
						$estado		= "<span style='color: #3Fc112'>Pagado</span>";
					}else{
						$estado		= "<span style='color: #f93538'>Por Pagar</span>";
					}
					/***************************************************/
					/************ Leer Titulo de Apertura **************/
					/***************************************************/
					$sqlAperCarreras	= mysqli_query($conexion, "SELECT * FROM apertura_carreras WHERE cod_apertura='$cod_apertura'");
					$fApe				= mysqli_fetch_array($sqlAperCarreras);
					$titulo_apertura	= utf8_encode($fApe['titulo_apertura']);
					/***************************************************/
					/************   Leer Datos del Ciclo  **************/
					/***************************************************/
					$sqlCiclos			= mysqli_query($conexion, "SELECT * FROM apertura_ciclos WHERE cod_apert_ciclo='$cod_apert_ciclo'");
					$fCiclos			= mysqli_fetch_array($sqlCiclos);
					$titulo_ciclo		= utf8_encode($fCiclos['titulo_ciclo']);
					/***************************************************/
					/************   Leer Datos del Alumno **************/
					/***************************************************/
					$sqlAlumnos			= mysqli_query($conexion, "SELECT * FROM alumnos WHERE cod_alumno='$cod_alumno'");
					$falum				= mysqli_fetch_array($sqlAlumnos);
					$alumno				= utf8_encode($falum['nombres'].' '.$falum['apellidos']);					
					$num++;  
				?>
				<tr>
				  <td><?php echo $num; ?></td>
				  <td><?php echo $titulo_apertura; ?></td>
				  <td><?php echo $titulo_ciclo; ?></td>
				  <td><?php echo $num_cuota; ?></td>
				  <td><?php echo $fechas; ?></td>
				  <td>S/. <?php echo $costo; ?></td>
				  <td><?php echo $estado; ?></td>
				</tr>
				<?php
				}
				?>
			  </tbody>
			</table>

			<!-- ************************************************* -->
			<!-- ************************************************* -->
		</div>			
    </div>
</section>
<!--***************************************************************-->
<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
<!--***************************************************************-->
<?php include "modulos/piepagina.php"; ?>
</body>
</html>